2023-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/project.py:
	Rolled back the explicit setting of the minimum GLIBC version now
	that we have changed the build platform.
	[4ea73206e689] [2.14.1] <2.14-maint>

2023-05-22  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qt/InputMethod.cpp, qt/qscintilla.pro:
	Fixed a pointer truncation in the handling of input method queries.
	[e3a47ebe8c93] <2.14-maint>

2023-05-14  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/project.py:
	Fixed the manylinux wheel tag when building on Ubuntu 22.04.
	[77c97572f18c] <2.14-maint>

2023-04-27  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.14.0 for changeset b748338e45bb
	[670c1fb1beeb]

2023-04-24  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qt/qsciscintilla.cpp:
	Fixed a regression in QSciScintilla::text().
	[b748338e45bb] [2.14.0]

2023-04-20  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Use SCI_ADDTEXT rather than SCI_SETTEXT to set the text so tht
	embedded zero bytes can be loaded.
	[774bcbca48b9]

	* NEWS, qt/InputMethod.cpp, qt/SciAccessibility.cpp,
	qt/SciAccessibility.h, qt/qscilexer.cpp, qt/qscilexer.h,
	qt/qsciscintilla.cpp, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Refactored the conversions from bytes to a QString to allow for
	embedded zero bytes and to remove duplicated code.
	[c8eb0d943c07]

2023-03-31  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qt/qscintilla_cs.ts, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_es.ts, qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts:
	Fixed the .ts files.
	[5d000fe9301e]

2023-03-28  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexerasm.sip, Python/sip/qscilexermasm.sip,
	Python/sip/qscilexernasm.sip, Python/sip/qscimodcommon.sip,
	Python/sip/qsciscintillabase.sip:
	Implemented the Python wrappers for the assembler lexers.
	[0030fcf7a208]

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts:
	Updated the translation source files.
	[0fb2491bb039]

	* qt/qscilexer.cpp, qt/qscilexer.h, qt/qscilexerasm.cpp,
	qt/qscilexerasm.h, qt/qsciscintillabase.h:
	Completed the implementation of the assember lexers. Note we choose
	not to support explicit fold points.
	[629503d9342b]

	* NEWS, qt/qsciscintilla.cpp, qt/qsciscintilla.h,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Removed a Qt4 compatibility macro.
	[4b23653f3e5c]

	* qt/qscilexerasm.cpp, qt/qscilexerasm.h:
	Added the support for compact and multi-line comment folding to
	QsciLexerAsm.
	[708bed0e9e2d]

2023-03-27  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qt/qscilexerasm.cpp, qt/qscilexerasm.h,
	qt/qscilexerintelhex.cpp, qt/qscilexermasm.cpp, qt/qscilexermasm.h,
	qt/qscilexernasm.cpp, qt/qscilexernasm.h, qt/qscilexertekhex.cpp,
	qt/qscintilla.pro:
	Initial implementation of the QsciLexerAsm, QsciLexerMASM and
	QsciLexerNASM classes.
	[f216dfe8a7a9]

2023-03-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexerintelhex.sip, Python/sip/qscilexersrec.sip,
	Python/sip/qscilexertekhex.sip, Python/sip/qscimodcommon.sip,
	Python/sip/qsciscintillabase.sip:
	Completed the new Python wrappers.
	[9acd96c733d2]

	* Python/sip/qscilexerhex.sip, Python/sip/qscilexerintelhex.sip,
	Python/sip/qscilexersrec.sip, Python/sip/qscilexertekhex.sip:
	Added the Python bindings for the new lexer classes.
	[7882938747c0]

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts:
	Updated the translation source files.
	[ee55692ee907]

	* NEWS, qt/qscilexerhex.cpp, qt/qscilexerhex.h,
	qt/qscilexerintelhex.cpp, qt/qscilexerintelhex.h,
	qt/qscilexersrec.cpp, qt/qscilexersrec.h, qt/qscilexertekhex.cpp,
	qt/qscilexertekhex.h, qt/qscintilla.pro:
	Added the QsciLexerHex, QsciLexerIntelHex, QsciLexerSRec and
	QsciLexerTekHex classes.
	[5e1cb8b52206]

	* Merged the 2.13-maint branch.
	[a9480b2f6bdb]

2023-03-02  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lexlib/LexAccessor.h:
	Disabled an assert() in the lexer library as the following code
	handles the case anyway. The real bug is probably in the HTML lexer
	triggered when the HTML has embedded DTD.
	[6452e3b634b6] <2.13-maint>

2023-01-15  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.13.4 for changeset b2c87a81f0c3
	[d2bc1ac10aa3] <2.13-maint>

2022-12-06  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, src/EditView.cxx:
	Fixed horizontally scrolled text overwriting margins when EOLs are
	visible.
	[b2c87a81f0c3] [2.13.4] <2.13-maint>

2022-06-17  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qsci/api/python/Python-3.11.api:
	Added the .api file for Python v3.11.
	[96eca4a41bcb] <2.13-maint>

2022-05-24  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lib/gen_python3_api.py, lib/gen_python_api.py,
	qsci/api/python/Python-3.10.api, qsci/api/python/Python-3.8.api,
	qsci/api/python/Python-3.9.api:
	Added the .api file for Python v3.10. Removed the script that
	generates .api files for Python v2. Updated the .api file for Python
	v3.8 and v3.9 removing non-stdlib stuff.
	[048961f449ea] <2.13-maint>

2022-05-13  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.13.3 for changeset 5b8465ba3664
	[f37eea15e210] <2.13-maint>

2022-04-25  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qt/InputMethod.cpp:
	Updates to the input method code to fix a problem with KDE on
	Wayland.
	[5b8465ba3664] [2.13.3] <2.13-maint>

2022-03-15  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.13.2 for changeset bb61ba6bf385
	[6cdbcd2c2dad] <2.13-maint>

	* NEWS, Python/project.py:
	Fixed building from an sdist for iOS.
	[bb61ba6bf385] [2.13.2] <2.13-maint>

2021-10-14  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.13.1 for changeset 0763a2d7a8c2
	[90c834cc462d] <2.13-maint>

2021-10-12  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, designer/designer.pro, example/application.pro,
	lib/README.doc, qt/qscintilla.pro:
	Updated the .pro files and docs to cover multiple architecture
	builds on macOS.
	[0763a2d7a8c2] [2.13.1] <2.13-maint>

2021-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qt/qscintilla.pro, qt/qsciscintilla.cpp:
	Fixed the target used by findNext() after a call to replace().
	[6d59f97850d7] <2.13-maint>

2021-06-26  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.13.0 for changeset 84da33178802
	[95ec8d681eae]

2021-06-13  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintillabase.sip:
	Fixed the Python bindings of SendScintilla() so that a negative
	value can be passed as the wParam argument (specifically
	SC_CURSORNORMAL).
	[84da33178802] [2.13.0]

2021-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciprinter.sip, qt/qscintilla.pro,
	qt/qsciprinter.cpp, qt/qsciprinter.h:
	Added the new QsciPrinter::printRange() overload. The library
	version number is now v15.1.0.
	[4b18dcfe67c4]

	* Merged the 2.12-maint branch.
	[a33fcd321f79]

2021-05-20  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Fixed the handling of explicit Qt font weights for Qt6.
	[1dbb97147333] <2.12-maint>

2021-05-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro:
	Bumped the version number of the shared library.
	[7b3f97fa852f] <2.12-maint>

	* NEWS, qt/ListBoxQt.cpp:
	Improved the appearence of the auto-completion popup.
	[6d05cdc2c9c9] <2.12-maint>

2021-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.12.1 for changeset c1e9b5f091d6
	[0e8a95ee3197] <2.12-maint>

	* NEWS:
	Released as v2.12.1.
	[c1e9b5f091d6] [2.12.1] <2.12-maint>

	* rb-product.toml:
	Fixed the PyQt dependencies.
	[c7af7dfff891] <2.12-maint>

2021-03-02  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[811ff4c9ffb2] <2.12-maint>

2021-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/pyproject-qt5.toml, Python/pyproject-qt6.toml:
	Fixed the project dependencies.
	[f84410807305] <2.12-maint>

	* rb-product, rb-product.toml:
	Updated the product file.
	[266fa5c4525a] <2.12-maint>

2021-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.12.0 for changeset 1cfa1f74a2a6
	[a3df8b831652]

	* NEWS:
	Released as v2.12.0.
	[1cfa1f74a2a6] [2.12.0]

	* NEWS:
	Updated the NEWS file.
	[15c838b76bbb]

2021-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py:
	Fixed project.py so that it will use an embedded QScintilla library
	when being built from an sdist.
	[71cc17f4adb2]

	* qt/qscintilla.pro:
	Added missing .h files from qscintilla.pro.
	[c932fdd83a5e]

2021-02-19  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/pyproject-qt5.toml:
	Reverted the name of the Qt5 Python bindings PyPI project because a
	new name would cause significant problems.
	[c318f3bd3474]

2021-02-18  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/pyproject-qt5.toml, Python/pyproject-qt6.toml,
	Python/sip/qsciscintillabase.sip:
	Fixed the Python bindings for PyQt6.
	[e48e4f400215]

	* lib/README.doc:
	Re-ordered the section in the main page of the docs.
	[35fd189ea5da]

2021-02-17  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py, Python/pyproject-qt5.toml, Python/pyproject-
	qt6.toml, Python/pyproject.toml, Python/sip/qscimod5.sip,
	Python/sip/qscimod6.sip, Python/sip/qscimodcommon.sip,
	lib/README.doc, qt/features/qscintilla2.prf,
	qt/features_staticlib/qscintilla2.prf:
	Update the building of the Python bindings from a full source
	package.
	[124c17880e06]

2021-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/README.doc, lib/qscintilla.dxy:
	Some documentation fixes.
	[81cc3ac8a8df]

	* qt/PlatQt.cpp:
	Fixed a regression in building against Qt5.
	[4e87186ec216]

	* qt/InputMethod.cpp, qt/MacPasteboardMime.cpp, qt/PlatQt.cpp,
	qt/SciAccessibility.cpp, qt/qsciapis.cpp, qt/qscicommandset.cpp,
	qt/qsciglobal.h, qt/qscilexer.cpp, qt/qscimacro.cpp,
	qt/qscintilla.pro, qt/qsciprinter.cpp, qt/qsciprinter.h,
	qt/qsciscintilla.cpp, qt/qsciscintillabase.cpp:
	Initial port to Qt6.
	[b88e78ec2ca3]

2021-02-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-old.py, Python/configure.py, Python/pyproject.toml,
	Python/sip/qscimod4.sip, designer-Qt4Qt5/designer.pro, designer-
	Qt4Qt5/qscintillaplugin.cpp, designer-Qt4Qt5/qscintillaplugin.h,
	designer/designer.pro, designer/qscintillaplugin.cpp,
	designer/qscintillaplugin.h, example-Qt4Qt5/application.pro,
	example-Qt4Qt5/application.qrc, example-Qt4Qt5/images/copy.png,
	example-Qt4Qt5/images/cut.png, example-Qt4Qt5/images/new.png,
	example-Qt4Qt5/images/open.png, example-Qt4Qt5/images/paste.png,
	example-Qt4Qt5/images/save.png, example-Qt4Qt5/main.cpp, example-
	Qt4Qt5/mainwindow.cpp, example-Qt4Qt5/mainwindow.h,
	example/application.pro, example/application.qrc,
	example/images/copy.png, example/images/cut.png,
	example/images/new.png, example/images/open.png,
	example/images/paste.png, example/images/save.png, example/main.cpp,
	example/mainwindow.cpp, example/mainwindow.h, lib/README.doc,
	lib/ed.py, lib/pyproject.toml, qt/InputMethod.cpp, qt/ListBoxQt.cpp,
	qt/MacPasteboardMime.cpp, qt/PlatQt.cpp, qt/SciClasses.cpp,
	qt/ScintillaQt.cpp, qt/qsciglobal.h, qt/qscintilla.pro,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Removed support for Qt4.
	[dad7e9b4d62e]

	* Merged the 2.11-maint branch.
	[8c1814ec889a]

2020-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.11.6 for changeset c262a7a02f6d
	[a12ce93c13bf] <2.11-maint>

	* NEWS:
	Released as v2.11.6.
	[c262a7a02f6d] [2.11.6] <2.11-maint>

	* NEWS:
	Updated the NEWS file.
	[0f32bcb43dd3] <2.11-maint>

2020-10-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/features/qscintilla2.prf, qt/features_staticlib/qscintilla2.prf,
	qt/qscintilla.pro:
	Fixes for building for iOS with recent versions of Qt.
	[aea84882d372] <2.11-maint>

2020-10-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py:
	Added the --qsci-translations-dir option to sip-wheel.
	[df77754750b3] <2.11-maint>

2020-10-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qsci/api/python/Python-3.9.api:
	Added the .api file for Python v3.9.
	[bff51b8043e2] <2.11-maint>

	* .hgignore:
	Updated .hgignore for the current build naming convention.
	[b659680b3f24] <2.11-maint>

2020-10-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fixed the display of non-latin1 call tips.
	[f9fa57df2fbb] <2.11-maint>

2020-09-17  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py, lib/pyproject.toml:
	Require PyQt-builder v1.6 as we no longer specify the sip module and
	ABI.
	[0e989cce12ea] <2.11-maint>

2020-08-22  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py:
	Set the name of the sip module explicitly.
	[a6b6fd548cf3] <2.11-maint>

2020-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* example-Qt4Qt5/main.cpp, example-Qt4Qt5/mainwindow.cpp, example-
	Qt4Qt5/mainwindow.h:
	Updated the copyright notices on the example.
	[8937c1d51479] <2.11-maint>

2020-06-09  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.11.5 for changeset 36bf61975fe2
	[7e336947e75e] <2.11-maint>

	* NEWS:
	Released as v2.11.5.
	[36bf61975fe2] [2.11.5] <2.11-maint>

	* NEWS, Python/sip/qsciabstractapis.sip, Python/sip/qsciapis.sip:
	Fixed the Python signatures of the QsciAbstractAPIs and QsciAPIs
	ctors.
	[80aeec9058bf] <2.11-maint>

2020-05-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py, lib/pyproject.toml:
	The minimum ABI version is 12.8 which requires SIP v5.3.
	[c0e8e2e7e485] <2.11-maint>

2020-04-11  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	We know that The Python binding swill be able to use SIP v6.
	[4f1f5381fb69] <2.11-maint>

2020-04-10  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[2ef898e42a1e] <2.11-maint>

	* Python/project.py, lib/pyproject.toml:
	Include the bundled .api files in wheels.
	[ded23cd63255] <2.11-maint>

2020-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Fixed METADATA for commercial wheels.
	[efc053939949] <2.11-maint>

2019-12-18  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.11.4 for changeset b9eb589b0dab
	[3f3722aac2ad] <2.11-maint>

	* NEWS:
	Released as v2.11.4.
	[b9eb589b0dab] [2.11.4] <2.11-maint>

	* lib/pyproject.toml:
	Fixed requires-dist for commercial wheels.
	[53c08faf43ff] <2.11-maint>

2019-11-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.11.3 for changeset 989462577f67
	[3f6d7cf0fc4b] <2.11-maint>

	* NEWS:
	Released as v2.11.3.
	[989462577f67] [2.11.3] <2.11-maint>

	* NEWS:
	Updated the NEWS file.
	[2075344b2124] <2.11-maint>

2019-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Fixed the name of PEP 566.
	[e435d3af1587] <2.11-maint>

	* lib/pyproject.toml:
	Requires PyQt-builder v1.
	[9502a2b46a2b] <2.11-maint>

2019-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Fixed the name of the PyQt-builder project.
	[efe96da72b1f] <2.11-maint>

2019-09-23  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py:
	Fixes for changes in the sip v5 API.
	[a79acd2cdd94] <2.11-maint>

2019-09-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/pyproject.toml:
	Added the requires-dist meta-data.
	[941784a50fad] <2.11-maint>

2019-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[6c83ad469a4e] <2.11-maint>

	* lib/pyproject.toml:
	Temporarily set the version of PyQt-builder required to be v0.1.
	[734461946ff0] <2.11-maint>

2019-09-06  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py:
	Fixes for relative path options.
	[e7bc21d4cb25] <2.11-maint>

2019-09-05  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/project.py:
	Added the options to build the bindings from a locally installed
	copy of the library.
	[54094e26d201] <2.11-maint>

2019-09-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-old.py, Python/configure.py, Python/project.py,
	designer-Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro,
	qt/qscintilla.pro:
	Removed the code to change the install_name on macOS.
	[c88922cb4dee] <2.11-maint>

	* Python/configure.py, qt/qscintilla.pro:
	Fixed the install_name of the .dylib on macOS so that it is relative
	to @rpath.
	[010c78f5da88] <2.11-maint>

	* Python/config-tests/cfgtest_Qsci.cpp:
	Fixed the configuration test.
	[c00c4195e8fc] <2.11-maint>

	* METADATA.in, Python/README, Python/config-tests/cfgtest_Qsci.cpp,
	Python/configure-old.py, Python/configure.py, Python/project.py,
	lib/README, lib/pyproject.toml, qt/qscintilla.pro:
	Added support for sip-build.
	[20e39552153c] <2.11-maint>

2019-08-30  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in, lib/README:
	Updated the meta-data description.
	[7681c13103f2] <2.11-maint>

2019-08-21  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Updated the link to the docs for PyPI.
	[ab14aecc07de] <2.11-maint>

2019-07-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexercss.cpp:
	Fixed the styling of CSS comments.
	[9b2dd132b868] <2.11-maint>

2019-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.11.2 for changeset 9a9bab556970
	[e39e215312b4] <2.11-maint>

	* NEWS:
	Released as v2.11.2.
	[9a9bab556970] [2.11.2] <2.11-maint>

	* qsci/api/python/Python-3.8.api:
	Added the .api file for Python v3.8.
	[4bc9c6baa011] <2.11-maint>

	* NEWS:
	Updated the NEWS file.
	[38685401d592] <2.11-maint>

2019-05-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Fixes to allow compilation with WASM.
	[71be3fd818c8] <2.11-maint>

2019-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.cpp, qt/ScintillaQt.h, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Fixed selection-related issues on macOS (and probably Windows)
	triggered by the use of additional selections.
	[47aaec2fa37c] <2.11-maint>

2019-05-09  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	QsciScintilla::findMatchingBrace() is now part of the public API.
	[b1973ad12f82] <2.11-maint>

2019-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qt/qsciscintilla.cpp:
	QsciScintilla::clear() now clears the undo history to be consistent
	with Qt and setText().
	[b013bbaed4a5] <2.11-maint>

2019-02-12  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.11.1 for changeset bebf741baff8
	[c09e91f304b8] <2.11-maint>

	* NEWS:
	Released as v2.11.1.
	[bebf741baff8] [2.11.1] <2.11-maint>

	* NEWS:
	Updated the NEWS file.
	[9f2dd3438ac3] <2.11-maint>

	* Python/configure-old.py, Python/configure.py, designer-
	Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro,
	qt/qscintilla.pro:
	Bumped the major version number of the library because of the
	SendScintilla() signature change.
	[c2fe34e11899] <2.11-maint>

	* Python/sip/qsciscintillabase.sip, qt/qscimacro.cpp,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Fixed a regression in QsciScintilla::insert(). The signature of
	QsciScintillaBase::SendScintilla(unigned int, unsigned long, const
	char *) has changed so that the second argument is now uintptr_t.
	This may require code changes.
	[b62eb7f29de4] <2.11-maint>

2019-02-11  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[9768dbe05f64] <2.11-maint>

	* qt/qsciscintillabase.cpp:
	Fixed the marginRightClicked() signal.
	[6a6efafbefd6] <2.11-maint>

	* qt/qscintilla.pro:
	Bumped the library version number.
	[a4ee797a9df9] <2.11-maint>

2019-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.11 for changeset 2610e30b0914
	[f83b4fbdd928]

	* NEWS:
	Released as v2.11.
	[2610e30b0914] [2.11]

2018-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Corrected the wheel meta-data version.
	[593a629d46f5]

2018-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[992f3cb597c4]

2018-11-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.qm, qt/qscintilla_de.ts:
	Updated German translations from Detlev.
	[f293bafecde8]

2018-11-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.h:
	Fixed the Linux build.
	[3ec0608d1744]

	* qt/SciClasses.cpp, qt/SciClasses.h:
	Removed the redundant explicit handling of the Esc key in popup
	lists.
	[a3d596e37561]

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added QsciScintilla::cancelFind().
	[520cda104a4b]

2018-11-13  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added support for Cxx11 regular expressions to findFirst() and
	findFirstInSelection().
	[9c022f775241]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added the remaining new API calls.
	[03f9682f7d6c]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.h,
	qt/qsciscintillabase.h:
	Added the new wrap indent mode.
	[4a786cbfd975]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added the style metadata messages.
	[e3e38b577a1f]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qsciscintillabase.h:
	Added the SCN_AUTOCSELECTIONCHANGE() signal.
	[156c8e0c6fb7]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qsciscintillabase.h:
	Added the new SCN_USERLISTSELECTION() signal overload.
	[031270944f93]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qscilexer.cpp,
	qt/qsciscintillabase.h:
	Added the character/code unit functions.
	[ff2e92ed2890]

	* qt/qscilexer.cpp, qt/qscilexer.h, qt/qscintilla.pro,
	qt/qsciscintilla.cpp:
	Don't use the deprecated style bits API calls.
	[2d1cf2b1019f]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.h,
	qt/qsciscintillabase.h:
	Added support for the new gradient indicators.
	[02e7b6ba2fdb]

2018-11-12  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qscilexerdiff.sip, qt/qscilexerdiff.cpp,
	qt/qscilexerdiff.h, qt/qscintilla_cs.ts, qt/qscintilla_de.ts,
	qt/qscintilla_es.ts, qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts:
	Updates to the diff lexer.
	[fb8a0cb48593]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added the symbolic names for the new lexers.
	[b8d4fab81221]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Implemented the SCN_URIDROPPED signal.
	[242bb09d23ea]

	* qt/qsciscintillabase.h:
	Documented SCN_DWELLSTART and SCN_DWELLEND.
	[8750296d855d]

	* qt/PlatQt.cpp:
	Removed some unused platform methods.
	[70c01135aa8d]

	* qt/InputMethod.cpp, qt/ListBoxQt.cpp, qt/ListBoxQt.h, qt/PlatQt.cpp,
	qt/SciClasses.cpp, qt/SciNamespace.h, qt/ScintillaQt.cpp,
	qt/ScintillaQt.h, qt/qscintilla.pro, qt/qsciscintillabase.cpp:
	Removed the support for the optional Scintilla namespace.
	[33998bb1d26a]

2018-11-11  Phil Thompson  <phil@riverbankcomputing.com>

	* BACKPORTING, License.txt, LongTermDownload.html, NEWS, README,
	check.mak, checkdeps.mak, cocoa/InfoBar.mm, cocoa/PlatCocoa.h,
	cocoa/PlatCocoa.mm, cocoa/QuartzTextLayout.h,
	cocoa/ScintillaCocoa.h, cocoa/ScintillaCocoa.mm,
	cocoa/ScintillaFramework/Info.plist, cocoa/ScintillaFramework/Scinti
	llaFramework.xcodeproj/project.pbxproj,
	cocoa/ScintillaTest/AppController.mm,
	cocoa/ScintillaTest/ScintillaTest.xcodeproj/project.pbxproj,
	cocoa/ScintillaView.mm, cppcheck.suppress, curses/Makefile,
	curses/README.md, curses/ScintillaCurses.cxx,
	curses/ScintillaCurses.h, curses/THANKS.md, curses/jinx/Makefile,
	curses/jinx/jinx.c, delbin.bat, doc/Design.html, doc/LPegLexer.html,
	doc/SciCoding.html, doc/ScintillaDoc.html,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/ScintillaRelated.html, doc/ScintillaToDo.html,
	doc/StyleMetadata.html, doc/index.html, gtk/Converter.h,
	gtk/PlatGTK.cxx, gtk/ScintillaGTK.cxx, gtk/ScintillaGTK.h,
	gtk/ScintillaGTKAccessible.cxx, gtk/ScintillaGTKAccessible.h,
	gtk/deps.mak, gtk/makefile, gtk/scintilla-marshal.c, gtk/scintilla-
	marshal.h, gtk/scintilla-marshal.list, include/ILexer.h,
	include/ILoader.h, include/Platform.h, include/SciLexer.h,
	include/Sci_Position.h, include/Scintilla.h,
	include/Scintilla.iface, lexers/LexA68k.cxx, lexers/LexAPDL.cxx,
	lexers/LexASY.cxx, lexers/LexAU3.cxx, lexers/LexAVE.cxx,
	lexers/LexAVS.cxx, lexers/LexAbaqus.cxx, lexers/LexAda.cxx,
	lexers/LexAsm.cxx, lexers/LexAsn1.cxx, lexers/LexBaan.cxx,
	lexers/LexBash.cxx, lexers/LexBasic.cxx, lexers/LexBatch.cxx,
	lexers/LexBibTeX.cxx, lexers/LexBullant.cxx, lexers/LexCLW.cxx,
	lexers/LexCOBOL.cxx, lexers/LexCPP.cxx, lexers/LexCSS.cxx,
	lexers/LexCaml.cxx, lexers/LexCmake.cxx, lexers/LexCoffeeScript.cxx,
	lexers/LexConf.cxx, lexers/LexCrontab.cxx, lexers/LexCsound.cxx,
	lexers/LexD.cxx, lexers/LexDMAP.cxx, lexers/LexDMIS.cxx,
	lexers/LexDiff.cxx, lexers/LexECL.cxx, lexers/LexEDIFACT.cxx,
	lexers/LexEScript.cxx, lexers/LexEiffel.cxx, lexers/LexErlang.cxx,
	lexers/LexErrorList.cxx, lexers/LexFlagship.cxx,
	lexers/LexForth.cxx, lexers/LexFortran.cxx, lexers/LexGAP.cxx,
	lexers/LexGui4Cli.cxx, lexers/LexHTML.cxx, lexers/LexHaskell.cxx,
	lexers/LexHex.cxx, lexers/LexIndent.cxx, lexers/LexInno.cxx,
	lexers/LexJSON.cxx, lexers/LexKVIrc.cxx, lexers/LexKix.cxx,
	lexers/LexLPeg.cxx, lexers/LexLaTeX.cxx, lexers/LexLisp.cxx,
	lexers/LexLout.cxx, lexers/LexLua.cxx, lexers/LexMMIXAL.cxx,
	lexers/LexMPT.cxx, lexers/LexMSSQL.cxx, lexers/LexMagik.cxx,
	lexers/LexMake.cxx, lexers/LexMarkdown.cxx, lexers/LexMatlab.cxx,
	lexers/LexMaxima.cxx, lexers/LexMetapost.cxx, lexers/LexModula.cxx,
	lexers/LexMySQL.cxx, lexers/LexNimrod.cxx, lexers/LexNsis.cxx,
	lexers/LexNull.cxx, lexers/LexOScript.cxx, lexers/LexOpal.cxx,
	lexers/LexPB.cxx, lexers/LexPLM.cxx, lexers/LexPO.cxx,
	lexers/LexPOV.cxx, lexers/LexPS.cxx, lexers/LexPascal.cxx,
	lexers/LexPerl.cxx, lexers/LexPowerPro.cxx,
	lexers/LexPowerShell.cxx, lexers/LexProgress.cxx,
	lexers/LexProps.cxx, lexers/LexPython.cxx, lexers/LexR.cxx,
	lexers/LexRebol.cxx, lexers/LexRegistry.cxx, lexers/LexRuby.cxx,
	lexers/LexRust.cxx, lexers/LexSAS.cxx, lexers/LexSML.cxx,
	lexers/LexSQL.cxx, lexers/LexSTTXT.cxx, lexers/LexScriptol.cxx,
	lexers/LexSmalltalk.cxx, lexers/LexSorcus.cxx,
	lexers/LexSpecman.cxx, lexers/LexSpice.cxx, lexers/LexStata.cxx,
	lexers/LexTACL.cxx, lexers/LexTADS3.cxx, lexers/LexTAL.cxx,
	lexers/LexTCL.cxx, lexers/LexTCMD.cxx, lexers/LexTeX.cxx,
	lexers/LexTxt2tags.cxx, lexers/LexVB.cxx, lexers/LexVHDL.cxx,
	lexers/LexVerilog.cxx, lexers/LexVisualProlog.cxx,
	lexers/LexYAML.cxx, lexlib/Accessor.cxx, lexlib/Accessor.h,
	lexlib/CharacterCategory.cxx, lexlib/CharacterCategory.h,
	lexlib/CharacterSet.cxx, lexlib/CharacterSet.h,
	lexlib/DefaultLexer.cxx, lexlib/DefaultLexer.h,
	lexlib/LexAccessor.h, lexlib/LexerBase.cxx, lexlib/LexerBase.h,
	lexlib/LexerModule.cxx, lexlib/LexerModule.h,
	lexlib/LexerNoExceptions.cxx, lexlib/LexerNoExceptions.h,
	lexlib/LexerSimple.cxx, lexlib/LexerSimple.h, lexlib/OptionSet.h,
	lexlib/PropSetSimple.cxx, lexlib/PropSetSimple.h,
	lexlib/SparseState.h, lexlib/StringCopy.h, lexlib/StyleContext.cxx,
	lexlib/StyleContext.h, lexlib/SubStyles.h, lexlib/WordList.cxx,
	lexlib/WordList.h, lib/README.doc, qt/InputMethod.cpp,
	qt/ListBoxQt.cpp, qt/ListBoxQt.h, qt/PlatQt.cpp, qt/SciClasses.cpp,
	qt/SciClasses.h, qt/SciNamespace.h, qt/ScintillaQt.cpp,
	qt/ScintillaQt.h, qt/qscintilla.pro, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h, scripts/Face.py, scripts/FileGenerator.py,
	scripts/GenerateCaseConvert.py, scripts/HFacer.py,
	scripts/HeaderCheck.py, scripts/HeaderOrder.txt, scripts/LexGen.py,
	scripts/ScintillaData.py, src/AutoComplete.cxx, src/AutoComplete.h,
	src/CallTip.cxx, src/CallTip.h, src/CaseConvert.cxx,
	src/CaseConvert.h, src/CaseFolder.cxx, src/CaseFolder.h,
	src/Catalogue.cxx, src/Catalogue.h, src/CellBuffer.cxx,
	src/CellBuffer.h, src/CharClassify.cxx, src/CharClassify.h,
	src/ContractionState.cxx, src/ContractionState.h, src/DBCS.cxx,
	src/DBCS.h, src/Decoration.cxx, src/Decoration.h, src/Document.cxx,
	src/Document.h, src/EditModel.cxx, src/EditModel.h,
	src/EditView.cxx, src/EditView.h, src/Editor.cxx, src/Editor.h,
	src/ElapsedPeriod.h, src/ExternalLexer.cxx, src/ExternalLexer.h,
	src/FontQuality.h, src/Indicator.cxx, src/Indicator.h,
	src/IntegerRectangle.h, src/KeyMap.cxx, src/KeyMap.h,
	src/LineMarker.cxx, src/LineMarker.h, src/MarginView.cxx,
	src/MarginView.h, src/Partitioning.h, src/PerLine.cxx,
	src/PerLine.h, src/Position.h, src/PositionCache.cxx,
	src/PositionCache.h, src/RESearch.cxx, src/RESearch.h,
	src/RunStyles.cxx, src/RunStyles.h, src/ScintillaBase.cxx,
	src/ScintillaBase.h, src/Selection.cxx, src/Selection.h,
	src/SparseVector.h, src/SplitVector.h, src/Style.cxx, src/Style.h,
	src/UniConversion.cxx, src/UniConversion.h, src/UnicodeFromUTF8.h,
	src/UniqueString.h, src/ViewStyle.cxx, src/ViewStyle.h, src/XPM.cxx,
	src/XPM.h, test/README, test/ScintillaCallable.py, test/XiteWin.py,
	test/lexTests.py, test/performanceTests.py, test/simpleTests.py,
	test/test_lexlua.lua, test/unit/Sci.natvis,
	test/unit/UnitTester.cxx, test/unit/UnitTester.vcxproj,
	test/unit/catch.hpp, test/unit/makefile, test/unit/test.mak,
	test/unit/testCellBuffer.cxx, test/unit/testCharClassify.cxx,
	test/unit/testContractionState.cxx, test/unit/testDecoration.cxx,
	test/unit/testPartitioning.cxx, test/unit/testRunStyles.cxx,
	test/unit/testSparseState.cxx, test/unit/testSparseVector.cxx,
	test/unit/testSplitVector.cxx, test/unit/testUniConversion.cxx,
	test/unit/testUnicodeFromUTF8.cxx, test/unit/testWordList.cxx,
	test/unit/unitTest.cxx, version.txt, win32/CheckD2D.cxx,
	win32/HanjaDic.cxx, win32/HanjaDic.h, win32/PlatWin.cxx,
	win32/PlatWin.h, win32/SciLexer.vcxproj, win32/ScintRes.rc,
	win32/ScintillaDLL.cxx, win32/ScintillaWin.cxx,
	win32/ScintillaWin.h, win32/deps.mak, win32/makefile,
	win32/scintilla.mak:
	The v3.10.1 based code will now build - otherwise untested.
	[cb6d486795ec]

2018-11-05  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[a99dfcd91f84]

	* qt/qscintilla_cs.ts, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_es.qm, qt/qscintilla_es.ts, qt/qscintilla_fr.ts,
	qt/qscintilla_pt_br.ts:
	Updated the translation files.
	[1529479f8a31]

	* Python/configure.py, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qscilexerpython.cpp,
	qt/qscintilla.pro, qt/qscintilla_cs.ts, qt/qscintilla_de.ts,
	qt/qscintilla_es.ts, qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Merged the 2.10-maint branch with the trunk.
	[5fcc66abfca0]

2018-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10.8 for changeset 57c8b6076899
	[b565980f962b] <2.10-maint>

	* NEWS:
	Released as v2.10.8.
	[57c8b6076899] [2.10.8] <2.10-maint>

2018-09-30  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[345f597a4a90] <2.10-maint>

2018-08-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/SciAccessibility.cpp:
	More accessibility fixes.
	[2cc2d6865762] <2.10-maint>

	* qt/SciAccessibility.cpp, qt/SciAccessibility.h, qt/qscintilla.pro:
	Refactored the accessibility support to use less of the Qt stuff
	which doesn't handle CR-LF end-of-lines.
	[8b2d6e3e73d8] <2.10-maint>

2018-07-15  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[fc1deaccc716] <2.10-maint>

2018-06-29  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10.7 for changeset 60598a703fd4
	[8828f9ad7dc6] <2.10-maint>

	* NEWS:
	Released as v2.10.7.
	[60598a703fd4] [2.10.7] <2.10-maint>

	* NEWS:
	Updated the NEWS file.
	[92edf18019ec] <2.10-maint>

2018-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintillabase.sip:
	Tweaked the signature of the QscoScintillaBase::SCN_MACRORECORD()
	signal so that it matches what Qt uses so that the signal test
	passes.
	[bfcd9319329a] <2.10-maint>

2018-06-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10.6 for changeset dc0993c72a05
	[9c774d0a9694] <2.10-maint>

	* NEWS:
	Released as v2.10.6.
	[dc0993c72a05] [2.10.6] <2.10-maint>

2018-06-22  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10.5 for changeset f35b3a43a241
	[8cf5694ca328] <2.10-maint>

	* NEWS:
	Released as v2.10.5.
	[f35b3a43a241] [2.10.5] <2.10-maint>

2018-06-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[12cb1a2f5ec6] <2.10-maint>

2018-06-19  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qscistyle.sip, qt/qscistyle.cpp, qt/qscistyle.h:
	Added setStyle() to QsciStyle.
	[cf5281041224] <2.10-maint>

2018-06-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_es.qm, qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime Seuma.
	[a479b9f5436f] <2.10-maint>

2018-06-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.qm, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_es.qm, qt/qscintilla_fr.qm, qt/qscintilla_pt_br.qm:
	Updated German translations from Detlev.
	[f69379899fb3] <2.10-maint>

2018-06-04  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/configure.py:
	Implemented support for the .dist-info directory.
	[387aa9bf6ad8] <2.10-maint>

2018-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintillabase.sip, qt/PlatQt.cpp,
	qt/ScintillaQt.cpp, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Fixes for font changes caused by dragging to a different display.
	[27b1f435e27a] <2.10-maint>

2018-05-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Disable to macOS use of integer font metrics for Qt5 as it is
	(probably) specific to Qt4.
	[c32fe0c4e55d] <2.10-maint>

	* qt/PlatQt.cpp:
	Fixed cursor positioning when using a secondary display with
	different scaling to the primary.
	[20420b7c4a4d] <2.10-maint>

2018-05-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexerverilog.cpp:
	Fix the handling of the 'fold.verilog.flags' property in the Verilog
	lexer.
	[9b698ba38c2b] <2.10-maint>

2018-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexerverilog.cpp, qt/qscintilla_cs.ts, qt/qscintilla_de.ts,
	qt/qscintilla_es.ts, qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts:
	Added the missing descriptions of inactive styles in the Verilog
	lexer.
	[4be691232e03] <2.10-maint>

2018-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexer.h:
	Updated the QsciLexer::keywords() documentation to point out that
	sets are numbered from 1.
	[5954b91e7ec1] <2.10-maint>

2018-04-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexeredifact.sip, qt/qscilexeredifact.cpp,
	qt/qscilexeredifact.h:
	Added some default colours to the EDIFACT lexer.
	[175598286833] <2.10-maint>

2018-04-20  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qscilexeredifact.sip, qt/qscilexeredifact.cpp,
	qt/qscilexeredifact.h, qt/qscintilla.pro, qt/qscintilla_cs.ts,
	qt/qscintilla_de.ts, qt/qscintilla_es.ts, qt/qscintilla_fr.ts,
	qt/qscintilla_pt_br.ts:
	Added the QsciLexerEDIFACT class.
	[c1e31857f3e7] <2.10-maint>

	* qt/qsciscintilla.cpp, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	If the context menu is invoked when the cursor is outside the
	selection then the selection is cleared and the cursor moved to
	where the mouse was clicked.
	[7d230dad9379] <2.10-maint>

2018-04-19  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintilla.sip, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Control-wheel up/down will now zoom in and out.
	[ba0049fe03b6] <2.10-maint>

2018-04-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp, qt/qsciabstractapis.cpp, qt/qscilexerpython.cpp,
	qt/qscilexerxml.cpp, qt/qsciscintilla.cpp:
	Removed warning messages about unused variables.
	[c2008ef93ee0] <2.10-maint>

	* qt/qscicommandset.cpp:
	Fixed the saving of alternative keys in the settings.
	[687470e937c1] <2.10-maint>

	* qt/ScintillaQt.cpp, qt/qsciapis.cpp, qt/qsciscintilla.cpp:
	Various stylistic changes to eliminate some warning messages.
	[dc753169870e] <2.10-maint>

2018-04-10  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10.4 for changeset 24cb0edc89a9
	[05ada666e2cf] <2.10-maint>

	* NEWS:
	Released as v2.10.4.
	[24cb0edc89a9] [2.10.4] <2.10-maint>

	* qt/SciAccessibility.cpp:
	Fixed the retrieval of accessibility attributes.
	[e430a7dd7818] <2.10-maint>

2018-04-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexer.cpp:
	Use STYLE_MAX to define the maximum number of styles.
	[23ca0cad0227] <2.10-maint>

2018-03-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro:
	Force QT_NO_ACCESSIBILITY when building against Qt4.
	[b65f48ec1852] <2.10-maint>

2018-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10.3 for changeset bc769d6fcf53
	[279625f1d8c9] <2.10-maint>

	* NEWS:
	Released as v2.10.3.
	[bc769d6fcf53] [2.10.3] <2.10-maint>

	* rb-product:
	Updated the PyQt5 wheel dependency.
	[7cef6e297ddf] <2.10-maint>

	* NEWS:
	Updated the NEWS file.
	[1e073e29eca4] <2.10-maint>

2018-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qsci/api/python/Python-3.7.api:
	Added the API file for Python v3.70b1.
	[6d0032674462] <2.10-maint>

2018-02-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fix the hotspot active background colour.
	[45cfd8c68394] <2.10-maint>

	* qt/SciAccessibility.cpp, qt/SciAccessibility.h:
	Completed the accessibility support.
	[2af3a5b045fa] <2.10-maint>

2018-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/SciAccessibility.cpp, qt/SciAccessibility.h:
	Implemented all of the accessible interface except for attributes().
	[434539a243dc] <2.10-maint>

	* qt/SciAccessibility.cpp:
	Implemented more of the accessible interface.
	[e8f3df5442cc] <2.10-maint>

	* qt/SciAccessibility.cpp, qt/SciAccessibility.h, qt/ScintillaQt.cpp:
	Implemented more of the accessible interface.
	[fb26d9fdba27] <2.10-maint>

2018-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/SciAccessibility.cpp, qt/SciAccessibility.h, qt/ScintillaQt.cpp,
	qt/qsciscintillabase.cpp:
	More accessibility progress.
	[ea2432348b49] <2.10-maint>

	* qt/SciAccessibility.cpp, qt/SciAccessibility.h, qt/ScintillaQt.cpp:
	Some progress on accessibility.
	[055345b62d7b] <2.10-maint>

	* qt/qscintilla.pro:
	Updated the version of the shared library.
	[fb50133f8770] <2.10-maint>

2018-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/SciAccessibility.cpp, qt/SciAccessibility.h, qt/qscintilla.pro,
	qt/qsciscintillabase.cpp:
	Added the stubs for accessibility support.
	[61e00a4f944f] <2.10-maint>

	* qt/SciAccessibility.cpp, qt/SciAccessibility.h, qt/qscintilla.pro,
	qt/qsciscintillabase.cpp:
	Added the stubs for accessibility support.
	[8f2f20b663f1]

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts:
	Updated the .ts files.
	[7630e7c16a42]

	* Python/sip/qscilexerpython.sip, qt/qscilexerpython.cpp,
	qt/qscilexerpython.h:
	Added the DoubleQuotedFString, SingleQuotedFString,
	TripleSingleQuotedFString and TripleDoubleQuotedFString styles to
	QsciLexerPython.
	[69a152791250]

	* Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added QsciScintilla::setCaretLineFrameWidth().
	[61ed51375157]

	* Python/sip/qscicommand.sip:
	Added ReverseLines to the Python bindings.
	[132758b054dc]

	* qt/qscicommand.h:
	Added ReverseLines to QsciCommand::Command.
	[1cecbd08c177]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added SCLEX_INDENT, SCI_GETCARETLINEFRAME, SCI_SETCARETLINEFRAME,
	SCI_SETACCESSIBILITY, SCI_GETACCESSIBILITY and SCI_LINEREVERSE.
	[4a5c2bea7d34]

2018-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-old.py, Python/configure.py, designer-
	Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro,
	qt/ScintillaQt.h, qt/qscintilla.pro:
	Fixes to build with the latest code.
	[262ad022e5b6]

	* README, cocoa/InfoBar.mm, cocoa/PlatCocoa.h, cocoa/PlatCocoa.mm,
	cocoa/ScintillaCocoa.h, cocoa/ScintillaCocoa.mm,
	cocoa/ScintillaFramework/Info.plist, cocoa/ScintillaFramework/Scinti
	llaFramework.xcodeproj/project.pbxproj,
	cocoa/ScintillaTest/AppController.h,
	cocoa/ScintillaTest/AppController.mm,
	cocoa/ScintillaTest/English.lproj/MainMenu.xib,
	cocoa/ScintillaTest/ScintillaTest.xcodeproj/project.pbxproj,
	cocoa/ScintillaView.mm, cppcheck.suppress, doc/ScintillaDoc.html,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/ScintillaRelated.html, doc/index.html, gtk/PlatGTK.cxx,
	gtk/ScintillaGTK.cxx, gtk/ScintillaGTK.h,
	gtk/ScintillaGTKAccessible.cxx, gtk/ScintillaGTKAccessible.h,
	gtk/deps.mak, gtk/makefile, include/Platform.h, include/SciLexer.h,
	include/Scintilla.h, include/Scintilla.iface, lexers/LexAsm.cxx,
	lexers/LexBaan.cxx, lexers/LexBash.cxx, lexers/LexBasic.cxx,
	lexers/LexCPP.cxx, lexers/LexD.cxx, lexers/LexDMIS.cxx,
	lexers/LexDiff.cxx, lexers/LexEDIFACT.cxx, lexers/LexErrorList.cxx,
	lexers/LexFortran.cxx, lexers/LexHTML.cxx, lexers/LexHaskell.cxx,
	lexers/LexIndent.cxx, lexers/LexJSON.cxx, lexers/LexLaTeX.cxx,
	lexers/LexLua.cxx, lexers/LexMatlab.cxx, lexers/LexPerl.cxx,
	lexers/LexPowerShell.cxx, lexers/LexProgress.cxx,
	lexers/LexProps.cxx, lexers/LexPython.cxx, lexers/LexRegistry.cxx,
	lexers/LexRust.cxx, lexers/LexSQL.cxx, lexers/LexVHDL.cxx,
	lexers/LexVerilog.cxx, lexers/LexVisualProlog.cxx,
	lexers/LexYAML.cxx, lexlib/Accessor.cxx,
	lexlib/CharacterCategory.cxx, lexlib/CharacterCategory.h,
	lexlib/CharacterSet.cxx, lexlib/CharacterSet.h,
	lexlib/LexAccessor.h, lexlib/LexerBase.cxx, lexlib/LexerModule.cxx,
	lexlib/LexerModule.h, lexlib/LexerNoExceptions.cxx,
	lexlib/LexerSimple.cxx, lexlib/PropSetSimple.cxx,
	lexlib/StyleContext.cxx, lexlib/StyleContext.h, lexlib/WordList.cxx,
	scripts/FileGenerator.py, scripts/HeaderOrder.txt,
	scripts/LexGen.py, scripts/ScintillaData.py, src/AutoComplete.cxx,
	src/AutoComplete.h, src/CallTip.cxx, src/CallTip.h,
	src/CaseConvert.cxx, src/CaseFolder.h, src/Catalogue.cxx,
	src/CellBuffer.cxx, src/CellBuffer.h, src/CharClassify.cxx,
	src/CharClassify.h, src/ContractionState.cxx,
	src/ContractionState.h, src/Decoration.cxx, src/Decoration.h,
	src/Document.cxx, src/Document.h, src/EditModel.cxx,
	src/EditModel.h, src/EditView.cxx, src/EditView.h, src/Editor.cxx,
	src/Editor.h, src/ExternalLexer.cxx, src/ExternalLexer.h,
	src/Indicator.cxx, src/KeyMap.cxx, src/LineMarker.cxx,
	src/LineMarker.h, src/MarginView.cxx, src/MarginView.h,
	src/Partitioning.h, src/PerLine.cxx, src/PerLine.h, src/Position.h,
	src/PositionCache.cxx, src/PositionCache.h, src/RESearch.cxx,
	src/RESearch.h, src/RunStyles.cxx, src/RunStyles.h,
	src/ScintillaBase.cxx, src/ScintillaBase.h, src/Selection.cxx,
	src/Selection.h, src/SparseVector.h, src/SplitVector.h,
	src/Style.cxx, src/Style.h, src/UniConversion.cxx,
	src/UniConversion.h, src/UniqueString.h, src/ViewStyle.cxx,
	src/ViewStyle.h, src/XPM.cxx, src/XPM.h, test/gi/Scintilla-
	filtered.h, test/unit/testCellBuffer.cxx,
	test/unit/testCharClassify.cxx, test/unit/testContractionState.cxx,
	test/unit/testDecoration.cxx, test/unit/testPartitioning.cxx,
	test/unit/testRunStyles.cxx, test/unit/testSparseState.cxx,
	test/unit/testSparseVector.cxx, test/unit/testSplitVector.cxx,
	test/unit/testUnicodeFromUTF8.cxx, version.txt, win32/HanjaDic.cxx,
	win32/PlatWin.cxx, win32/SciLexer.vcxproj, win32/ScintRes.rc,
	win32/ScintillaWin.cxx, win32/deps.mak, win32/makefile,
	win32/scintilla.mak:
	Rebased on Scintilla v3.7.6.
	[4822c10e2b59]

	* Merged the 2.10-maint branch into the trunk.
	[64e6e4c3471d]

2017-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10.2 for changeset bdfb9584af36
	[d127fc44d4c4] <2.10-maint>

	* NEWS:
	Released as v2.10.2.
	[bdfb9584af36] [2.10.2] <2.10-maint>

	* qt/qscintilla.pro:
	Bumed the .so minor version.
	[4bb28057d3c2] <2.10-maint>

2017-11-13  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added setScrollWidth() , scrollWidth, setScrollWidthTracking() and
	scrollWidthTracking() to QsciScintilla.
	[c6e64e99cb12] <2.10-maint>

2017-11-01  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fixed the handling of UTF8 call tips.
	[7aa9b863f330] <2.10-maint>

2017-07-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro:
	Fixed case sensitivity of a couple of file names.
	[e9d9b80fd61b] <2.10-maint>

	* .hgignore:
	Ignore the new-style build directory.
	[6c20c6b41705] <2.10-maint>

2017-07-03  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10.1 for changeset 20e0e2d419ba
	[d6eba6c9e5ce] <2.10-maint>

	* NEWS:
	Released as v2.10.1.
	[20e0e2d419ba] [2.10.1] <2.10-maint>

	* rb-product:
	Updated the PyQt5 dependency to v5.9.
	[83200ee6b295] <2.10-maint>

2017-05-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/README.doc:
	Updated the docs regarding use of build options supported by
	Scintilla.
	[fe6e73057d9e] <2.10-maint>

2017-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexer.sip, Python/sip/qscilexeravs.sip,
	Python/sip/qscilexerbash.sip, Python/sip/qscilexerbatch.sip,
	Python/sip/qscilexercoffeescript.sip, Python/sip/qscilexercpp.sip,
	Python/sip/qscilexercss.sip, Python/sip/qscilexerd.sip,
	Python/sip/qscilexerfortran77.sip, Python/sip/qscilexerhtml.sip,
	Python/sip/qscilexerlua.sip, Python/sip/qscilexerpascal.sip,
	Python/sip/qscilexerperl.sip, Python/sip/qscilexerpostscript.sip,
	Python/sip/qscilexerpov.sip, Python/sip/qscilexerpython.sip,
	Python/sip/qscilexerruby.sip, Python/sip/qscilexerspice.sip,
	Python/sip/qscilexersql.sip, Python/sip/qscilexertcl.sip,
	Python/sip/qscilexerverilog.sip, Python/sip/qscilexervhdl.sip:
	Added the lexer-specific re-implementations of previously internal
	methods to the Python bindings.
	[e8402392cedc] <2.10-maint>

2017-03-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro:
	Enabled explicit C++11 support for Linux for old versions of GCC.
	[e0e0b344ccf1] <2.10-maint>

2017-03-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexer.cpp:
	Changed the default macOS font to Menlo 12pt as it has bold etc.
	[39d69e37d352] <2.10-maint>

	* qt/qscilexer.cpp:
	Changed the default font on macOS to Monaco 12pt.
	[9030535e2457] <2.10-maint>

	* Python/configure.py:
	Fixed the rpath change of the Python bindings on macOS.
	[dd45e695812a] <2.10-maint>

2017-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro:
	Fixed the .pro file so that debug builds match the features file.
	[1aedd0c6eeda] <2.10-maint>

2017-02-20  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.10 for changeset 6c07847b2835
	[2442f8d2df34]

	* NEWS:
	Released as v2.10.
	[6c07847b2835] [2.10]

	* qt/qscintilla_cs.qm, qt/qscintilla_de.qm, qt/qscintilla_es.qm,
	qt/qscintilla_fr.qm, qt/qscintilla_pt_br.qm:
	Updated the .qm files.
	[3b3c5924e746]

	* qt/qscintilla_fr.ts:
	Partial updated French translations from Alan Garny.
	[ca2d6917015e]

2017-02-17  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintillabase.sip:
	Added /Transfer/ to the scroll bar replacement functions.
	[49cf7181402a]

2017-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.ts:
	Updated German translations from Detlev.
	[51cca6073075]

2017-02-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime Seuma.
	[0e30abdd0907]

2017-02-13  Phil Thompson  <phil@riverbankcomputing.com>

	* designer-Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro,
	qt/qscintilla.pro:
	Removed the 'release' option from all CONFIG lines.
	[0901267a8e49]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Added replaceHorizontalScrollBar() and replaceVerticalScrollBar() to
	QsciScintillaBase.
	[bb7efd26b8b3]

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts:
	Updated the translation files.
	[76c23d751930]

2017-01-21  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexermarkdown.sip, qt/qscilexerjson.cpp,
	qt/qscilexermarkdown.cpp, qt/qscilexermarkdown.h:
	Updated the Markdown lexer with the latest settings from Detlev.
	[9e9992a4e9f7]

2017-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciapis.cpp:
	Fixed problems with auto-completion lists where contexts and image
	identifiers were getting lost.
	[039599ba1b85]

2017-01-16  Phil Thompson  <phil@riverbankcomputing.com>

	* designer-Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro:
	Fixed the example and designer plugin .pro files for the change
	library name.
	[d6c564089958]

	* lib/README.doc:
	Updated website links to https.
	[18a7013d4f8b]

	* qt/qsciabstractapis.h, qt/qsciapis.h, qt/qscicommand.h,
	qt/qscicommandset.h, qt/qscidocument.h, qt/qsciglobal.h,
	qt/qscilexer.h, qt/qscilexeravs.h, qt/qscilexerbash.h,
	qt/qscilexerbatch.h, qt/qscilexercmake.h,
	qt/qscilexercoffeescript.h, qt/qscilexercpp.h, qt/qscilexercsharp.h,
	qt/qscilexercss.h, qt/qscilexercustom.h, qt/qscilexerd.h,
	qt/qscilexerdiff.h, qt/qscilexerfortran.h, qt/qscilexerfortran77.h,
	qt/qscilexerhtml.h, qt/qscilexeridl.h, qt/qscilexerjava.h,
	qt/qscilexerjavascript.h, qt/qscilexerjson.h, qt/qscilexerlua.h,
	qt/qscilexermakefile.h, qt/qscilexermarkdown.h,
	qt/qscilexermatlab.h, qt/qscilexeroctave.h, qt/qscilexerpascal.h,
	qt/qscilexerperl.h, qt/qscilexerpo.h, qt/qscilexerpostscript.h,
	qt/qscilexerpov.h, qt/qscilexerproperties.h, qt/qscilexerpython.h,
	qt/qscilexerruby.h, qt/qscilexerspice.h, qt/qscilexersql.h,
	qt/qscilexertcl.h, qt/qscilexertex.h, qt/qscilexerverilog.h,
	qt/qscilexervhdl.h, qt/qscilexerxml.h, qt/qscilexeryaml.h,
	qt/qscimacro.h, qt/qsciprinter.h, qt/qsciscintilla.h,
	qt/qsciscintillabase.h, qt/qscistyle.h, qt/qscistyledtext.h:
	Removed all the __APPLE__ C++ linkages.
	[ecd39912cb9b]

	* NEWS, Python/sip/qscilexer.sip, qt/qscilexer.h:
	The previously internal methods of QsciLexer are now part of the
	public API and are exposed to Python.
	[4791eae227c6]

	* NEWS, Python/configure.py, qt/features/qscintilla2.prf,
	qt/features_staticlib/qscintilla2.prf, qt/qscintilla.pro:
	The name of the library now embeds the major version of Qt so that
	Qt4 and Qt5 libraries can be installed in the same directory.
	[b501dcc67049]

	* NEWS, Python/sip/qsciscintilla.sip, qt/qscilexercustom.h,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Implemented QscScintilla::bytes() and a corresponding text()
	overload mainly for the use of QsciLexerCustom::styleText()
	implementations.
	[ed7a5a072695]

2017-01-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintillabase.sip:
	Updated the sub-class convertor code.
	[ee4e6efa0576]

	* NEWS, Python/sip/qscilexermarkdown.sip,
	Python/sip/qscimodcommon.sip, qt/qscilexermarkdown.cpp,
	qt/qscilexermarkdown.h, qt/qscintilla.pro:
	Added the QsciLexerMarkdown class.
	[0b5e03e0b64f]

2017-01-11  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qscilexerjson.sip, Python/sip/qscimodcommon.sip,
	qt/qscilexerjson.cpp, qt/qscilexerjson.h, qt/qscintilla.pro:
	Implemented QsciLexerJSON.
	[bb5118a2b0cb]

2017-01-05  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qscilexercoffeescript.sip,
	qt/qscilexercoffeescript.cpp, qt/qscilexercoffeescript.h:
	Added InstanceProperty to QsciLexerCoffeeScript.
	[2a6987f4c3c3]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Implemented the new notifications.
	[12ba81979751]

2017-01-04  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added the low-level popup options.
	[6a6fccaf8adf]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added support for multiple edge columns.
	[761b940d39c6]

2017-01-03  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added the low-level idle styling support.
	[fe8c747abb81]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added the low-level support for fold text.
	[3afaaf7830c6]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Updates to the low-level target support.
	[709bfb578a28]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.h,
	qt/qsciscintillabase.h:
	Added support for the additional indicators.
	[fb7bcbfc6c96]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added some more low-level constants.
	[d19d12e79c31]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added support for setting the margin background colour. Added
	support for setting the number of margins.
	[407db46c80a6]

	* qt/qscilexercustom.cpp, qt/qscilexercustom.h:
	Fixed QsciLexerCustom::startStyling() now that the 2nd argument
	isn't used.
	[2d4cc3cdb123]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added support for visible whitespace in indentations only. Added
	support for tab drawing modes.
	[1ef385e510b8]

	* qt/InputMethod.cpp:
	Updated the inputMethodEvent() implementation.
	[f0060458bd73]

2017-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/InputMethod.cpp, qt/ScintillaQt.cpp, qt/ScintillaQt.h:
	Fixed compilation bugs with SCI_NAMESPACE defined.
	[ef072ff5da5e]

	* lib/README.doc:
	Minor documentation updates.
	[f89ceb95b9c5]

	* qt/qsciscintillabase.cpp:
	Fixed compilation bugs.
	[8fdfb9bca00d]

	* CONTRIBUTING, Python/configure-old.py, Python/configure.py, README,
	cocoa/PlatCocoa.h, cocoa/PlatCocoa.mm, cocoa/ScintillaCocoa.h,
	cocoa/ScintillaCocoa.mm, cocoa/ScintillaFramework/Info.plist, cocoa/
	ScintillaFramework/ScintillaFramework.xcodeproj/project.pbxproj, coc
	oa/ScintillaFramework/ScintillaFramework.xcodeproj/project.xcworkspa
	ce/contents.xcworkspacedata, cocoa/ScintillaFramework/ScintillaFrame
	work.xcodeproj/xcshareddata/xcschemes/Scintilla.xcscheme,
	cocoa/ScintillaFramework/module.modulemap,
	cocoa/ScintillaTest/AppController.h,
	cocoa/ScintillaTest/AppController.mm,
	cocoa/ScintillaTest/English.lproj/MainMenu.xib,
	cocoa/ScintillaTest/Info.plist,
	cocoa/ScintillaTest/ScintillaTest.xcodeproj/project.pbxproj, cocoa/S
	cintillaTest/ScintillaTest.xcodeproj/project.xcworkspace/contents.xc
	workspacedata, cocoa/ScintillaView.h, cocoa/ScintillaView.mm,
	cocoa/checkbuildosx.sh, cppcheck.suppress, delcvs.bat, designer-
	Qt4Qt5/designer.pro, doc/Design.html, doc/Icons.html, doc/Lexer.txt,
	doc/Privacy.html, doc/SciCoding.html, doc/ScintillaDoc.html,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/ScintillaRelated.html, doc/ScintillaToDo.html,
	doc/ScintillaUsage.html, doc/index.html, example-
	Qt4Qt5/application.pro, gtk/Converter.h, gtk/PlatGTK.cxx,
	gtk/ScintillaGTK.cxx, gtk/ScintillaGTK.h,
	gtk/ScintillaGTKAccessible.cxx, gtk/ScintillaGTKAccessible.h,
	gtk/deps.mak, gtk/makefile, gtk/scintilla-marshal.c, gtk/scintilla-
	marshal.h, gtk/scintilla-marshal.list, include/ILexer.h,
	include/Platform.h, include/SciLexer.h, include/Sci_Position.h,
	include/Scintilla.h, include/Scintilla.iface,
	include/ScintillaWidget.h, lexers/LexA68k.cxx, lexers/LexAPDL.cxx,
	lexers/LexASY.cxx, lexers/LexAU3.cxx, lexers/LexAVE.cxx,
	lexers/LexAVS.cxx, lexers/LexAbaqus.cxx, lexers/LexAda.cxx,
	lexers/LexAsm.cxx, lexers/LexAsn1.cxx, lexers/LexBaan.cxx,
	lexers/LexBash.cxx, lexers/LexBasic.cxx, lexers/LexBatch.cxx,
	lexers/LexBibTeX.cxx, lexers/LexBullant.cxx, lexers/LexCLW.cxx,
	lexers/LexCOBOL.cxx, lexers/LexCPP.cxx, lexers/LexCSS.cxx,
	lexers/LexCaml.cxx, lexers/LexCmake.cxx, lexers/LexCoffeeScript.cxx,
	lexers/LexConf.cxx, lexers/LexCrontab.cxx, lexers/LexCsound.cxx,
	lexers/LexD.cxx, lexers/LexDMAP.cxx, lexers/LexDMIS.cxx,
	lexers/LexDiff.cxx, lexers/LexECL.cxx, lexers/LexEDIFACT.cxx,
	lexers/LexEScript.cxx, lexers/LexEiffel.cxx, lexers/LexErlang.cxx,
	lexers/LexErrorList.cxx, lexers/LexFlagship.cxx,
	lexers/LexForth.cxx, lexers/LexFortran.cxx, lexers/LexGAP.cxx,
	lexers/LexGui4Cli.cxx, lexers/LexHTML.cxx, lexers/LexHaskell.cxx,
	lexers/LexHex.cxx, lexers/LexInno.cxx, lexers/LexJSON.cxx,
	lexers/LexKVIrc.cxx, lexers/LexKix.cxx, lexers/LexLaTeX.cxx,
	lexers/LexLisp.cxx, lexers/LexLout.cxx, lexers/LexLua.cxx,
	lexers/LexMMIXAL.cxx, lexers/LexMPT.cxx, lexers/LexMSSQL.cxx,
	lexers/LexMagik.cxx, lexers/LexMake.cxx, lexers/LexMarkdown.cxx,
	lexers/LexMatlab.cxx, lexers/LexMetapost.cxx, lexers/LexModula.cxx,
	lexers/LexMySQL.cxx, lexers/LexNimrod.cxx, lexers/LexNsis.cxx,
	lexers/LexNull.cxx, lexers/LexOScript.cxx, lexers/LexOpal.cxx,
	lexers/LexOthers.cxx, lexers/LexPB.cxx, lexers/LexPLM.cxx,
	lexers/LexPO.cxx, lexers/LexPOV.cxx, lexers/LexPS.cxx,
	lexers/LexPascal.cxx, lexers/LexPerl.cxx, lexers/LexPowerPro.cxx,
	lexers/LexPowerShell.cxx, lexers/LexProgress.cxx,
	lexers/LexProps.cxx, lexers/LexPython.cxx, lexers/LexR.cxx,
	lexers/LexRebol.cxx, lexers/LexRegistry.cxx, lexers/LexRuby.cxx,
	lexers/LexRust.cxx, lexers/LexSML.cxx, lexers/LexSQL.cxx,
	lexers/LexSTTXT.cxx, lexers/LexScriptol.cxx,
	lexers/LexSmalltalk.cxx, lexers/LexSorcus.cxx,
	lexers/LexSpecman.cxx, lexers/LexSpice.cxx, lexers/LexTACL.cxx,
	lexers/LexTADS3.cxx, lexers/LexTAL.cxx, lexers/LexTCL.cxx,
	lexers/LexTCMD.cxx, lexers/LexTeX.cxx, lexers/LexTxt2tags.cxx,
	lexers/LexVB.cxx, lexers/LexVHDL.cxx, lexers/LexVerilog.cxx,
	lexers/LexVisualProlog.cxx, lexers/LexYAML.cxx, lexlib/Accessor.cxx,
	lexlib/Accessor.h, lexlib/CharacterSet.cxx, lexlib/CharacterSet.h,
	lexlib/LexAccessor.h, lexlib/LexerBase.cxx, lexlib/LexerBase.h,
	lexlib/LexerModule.cxx, lexlib/LexerModule.h,
	lexlib/LexerNoExceptions.cxx, lexlib/LexerNoExceptions.h,
	lexlib/LexerSimple.cxx, lexlib/LexerSimple.h,
	lexlib/StyleContext.cxx, lexlib/StyleContext.h, lexlib/SubStyles.h,
	lexlib/WordList.cxx, lexlib/WordList.h, qt/qscintilla.pro,
	scripts/Face.py, scripts/FileGenerator.py,
	scripts/GenerateCaseConvert.py, scripts/HeaderCheck.py,
	scripts/HeaderOrder.txt, scripts/LexGen.py,
	scripts/ScintillaData.py, src/AutoComplete.cxx, src/CallTip.cxx,
	src/CaseConvert.cxx, src/CaseConvert.h, src/CaseFolder.cxx,
	src/Catalogue.cxx, src/CellBuffer.cxx, src/CellBuffer.h,
	src/CharClassify.cxx, src/CharClassify.h, src/ContractionState.cxx,
	src/ContractionState.h, src/Decoration.cxx, src/Document.cxx,
	src/Document.h, src/EditModel.cxx, src/EditModel.h,
	src/EditView.cxx, src/EditView.h, src/Editor.cxx, src/Editor.h,
	src/ExternalLexer.cxx, src/Indicator.cxx, src/Indicator.h,
	src/KeyMap.cxx, src/KeyMap.h, src/LineMarker.cxx,
	src/MarginView.cxx, src/PerLine.cxx, src/Position.h,
	src/PositionCache.cxx, src/PositionCache.h, src/RESearch.cxx,
	src/RESearch.h, src/RunStyles.cxx, src/ScintillaBase.cxx,
	src/ScintillaBase.h, src/Selection.cxx, src/Selection.h,
	src/SparseVector.h, src/SplitVector.h, src/Style.cxx, src/Style.h,
	src/UniConversion.cxx, src/UniConversion.h, src/ViewStyle.cxx,
	src/ViewStyle.h, src/XPM.cxx, test/ScintillaCallable.py,
	test/XiteQt.py, test/XiteWin.py, test/examples/perl-test-
	5220delta.pl, test/examples/perl-test-5220delta.pl.styled,
	test/examples/perl-test-sub-prototypes.pl, test/examples/perl-test-
	sub-prototypes.pl.styled, test/gi/Scintilla-0.1.gir.good, test/gi
	/Scintilla-filtered.h, test/gi/filter-scintilla-h.py, test/gi/gi-
	test.py, test/gi/makefile, test/lexTests.py, test/simpleTests.py,
	test/unit/Sci.natvis, test/unit/UnitTester.cxx,
	test/unit/UnitTester.vcxproj, test/unit/makefile,
	test/unit/test.mak, test/unit/testCellBuffer.cxx,
	test/unit/testContractionState.cxx, test/unit/testDecoration.cxx,
	test/unit/testPartitioning.cxx, test/unit/testRunStyles.cxx,
	test/unit/testSparseState.cxx, test/unit/testSparseVector.cxx,
	test/unit/testSplitVector.cxx, test/unit/testWordList.cxx,
	version.txt, win32/HanjaDic.cxx, win32/HanjaDic.h,
	win32/PlatWin.cxx, win32/SciLexer.vcxproj, win32/ScintRes.rc,
	win32/ScintillaWin.cxx, win32/deps.mak, win32/makefile,
	win32/scintilla.mak:
	Initial merge of Scintilla v3.7.2.
	[abbfc844caaa]

	* lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short:
	Updated the copyright notices.
	[10d2ba70b9d0]

	* Makefile, build.py:
	Merged the v2.9 maintenance branch.
	[8c0c0a19a3c8]

2016-12-25  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.9.4 for changeset 06e486532f86
	[a0e7ce41b57a] <2.9-maint>

	* NEWS:
	Released as v2.9.4.
	[06e486532f86] [2.9.4] <2.9-maint>

2016-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qsci/api/python/Python-3.6.api:
	Added the .api file for Python v3.6.
	[4af5841ab5d2] <2.9-maint>

2016-11-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	Updated a comment to explain why setting custom scrollbars doesn't
	work.
	[757ca3bbc419] <2.9-maint>

2016-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixed configure.py for Python v2.
	[6d784269a812] <2.9-maint>

2016-10-23  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscimod4.sip, Python/sip/qscimod5.sip:
	Explicitly %Import the QtCore module so that it is imported in the
	.pyi file.
	[fec61f546e2b] <2.9-maint>

2016-09-26  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/README.doc:
	Removed some (possibly out of date) information about installation
	on macOS.
	[c793591a8192] <2.9-maint>

	* qt/InputMethod.cpp:
	Disable the hack for handling null input method method events on
	Windows as there are reports that this breaks character composition.
	[42977285ae81] <2.9-maint>

2016-09-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fixed a Qt warning about a too large red value in a QColor.
	[f9af82c24301] <2.9-maint>

2016-09-23  Phil Thompson  <phil@riverbankcomputing.com>

	* rb-product:
	Added the minimum PyQt5 wheel version to the product file.
	[11d2fb4dc51a] <2.9-maint>

2016-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, rb-product:
	Updated the handling of the minimum SIP version.
	[1e50ffa9dac1] <2.9-maint>

2016-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscimod5.sip:
	The limited API is now used for the Python bindings.
	[a2b8118a4483] <2.9-maint>

2016-08-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, build.py:
	Removed the old internal build system.
	[522e8b386eef] <2.9-maint>

2016-07-25  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Removed the Obsoletes tag from METADATA.
	[fbf9aa05d0b4] <2.9-maint>

	* .hgtags:
	Added tag 2.9.3 for changeset 19c9752958b7
	[fb5cd006685f] <2.9-maint>

	* NEWS:
	Released as v2.9.3.
	[19c9752958b7] [2.9.3] <2.9-maint>

2016-07-19  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Updated METADATA.
	[aa51b27d9baf] <2.9-maint>

2016-06-21  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, lib/qscintilla.dxy:
	Simplify the generation of the doxygen documentation.
	[12575460cd55] <2.9-maint>

	* rb-product, rbproduct.py:
	Replaced the product plugin with a product file.
	[846ad54d791e] <2.9-maint>

2016-06-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.cpp, qt/qscintilla.pro:
	Fixed a flicker problem on OS X.
	[c1482a759dc0] <2.9-maint>

2016-05-12  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in, rbproduct.py:
	Try to prevent the GPL and commercial versions being installed at
	the same time. (Although it doesn't seem to work.)
	[826424d291a2] <2.9-maint>

	* METADATA.in, rbproduct.py:
	Configure the PKG-INFO meta-data according to the license.
	[e3243207aa15] <2.9-maint>

2016-05-10  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	More changes to the product plugin required by rbtools.
	[437e6032e4df] <2.9-maint>

2016-05-09  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Updated the product plugin for the latest rbtools changes.
	[393cae59af91] <2.9-maint>

2016-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* METADATA.in:
	Updated the meta-data now that Linux wheels are available from PyPI.
	[40f18e066c6f] <2.9-maint>

2016-04-18  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.9.2 for changeset 15888f3e91ce
	[5cd132938309] <2.9-maint>

	* NEWS:
	Released as v2.9.2.
	[15888f3e91ce] [2.9.2] <2.9-maint>

	* Python/sip/qsciscintillabase.sip:
	Remove all deprecated /DocType/ annotations.
	[b9d570ab642a] <2.9-maint>

2016-04-17  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Locate the static library on Windows.
	[dd8c14dace83] <2.9-maint>

	* rbproduct.py:
	Fixed a typo.
	[baf5c942f528] <2.9-maint>

	* rbproduct.py:
	Add any pre-installed .api files to the wheel.
	[cf7b6302ae83] <2.9-maint>

	* rbproduct.py:
	Exploit verbose mode in the product plugin.
	[da743c037880] <2.9-maint>

	* rbproduct.py:
	Fixed permissions of the product plugin.
	[6fac075e0b88] <2.9-maint>

2016-04-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Updated the clean target.
	[692b14f48ade] <2.9-maint>

	* rbproduct.py:
	The wheel now includes translations and API files.
	[bf911094e537] <2.9-maint>

	* METADATA.in, Makefile, Python/configure.py, build.py, rbproduct.py:
	Added the initial support for creating wheels.
	[da0a5d22e864] <2.9-maint>

	* Makefile, build.py:
	Added the --omit-license-tag option to build.py. Added the dist-
	wheel-gpl target to the master Makefile.
	[a63c245de735] <2.9-maint>

2016-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-old.py, Python/configure.py, build.py,
	qt/features/qscintilla2.prf, qt/features_staticlib/qscintilla2.prf,
	qt/qsciglobal.h, qt/qscintilla.pro:
	Symbols are now hidden if possible on all platforms. Improved the
	handling of QSCINTILLA_DLL so it should be completely automatic.
	Removed the --no-dll option to configure.py.
	[e35caca29dd6] <2.9-maint>

2016-03-25  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-old.py, build.py:
	Use the new naming standards for development versions.
	[21d2f882320a] <2.9-maint>

2016-03-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, build.py:
	The configure.py boilerplate code is applied automatically.
	[848f3fca41c0] <2.9-maint>

2016-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Updated the configure.py boilerplate.
	[b3fd404a1134] <2.9-maint>

2016-03-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Added support for PEP 484 stub files to configure.py.
	[9316fed27503] <2.9-maint>

2015-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Switched the internal build system to Python v3.5.
	[5215e7f3116e] <2.9-maint>

2015-10-28  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Handle PATH components that are enclosed in quotes.
	[d0f19b69ce26] <2.9-maint>

2015-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.9.1 for changeset 9bd39be91ef8
	[c71bd22d6ccf] <2.9-maint>

	* NEWS:
	Released as v2.9.1.
	[9bd39be91ef8] [2.9.1] <2.9-maint>

2015-10-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fixed the handling of the keypad modifier.
	[e363cc2c347f] <2.9-maint>

2015-09-18  Phil Thompson  <phil@riverbankcomputing.com>

	* qsci/api/python/Python-3.5.api:
	Added the .api file for Python v3.5.
	[5b4e58de4663] <2.9-maint>

2015-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciabstractapis.sip, Python/sip/qsciapis.sip:
	Fixed the Python binding for
	QsciAbstractAPIs::updateAutoCompletionList().
	[53f2939a3b29] <2.9-maint>

2015-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Use win32-msvc2015 for Python v3.5 and later.
	[2f264662e2c7] <2.9-maint>

2015-09-01  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fixed the restyling of a document displayed in multiple editors.
	[9309f264ab57] <2.9-maint>

2015-08-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro, qt/qsciscintilla.cpp:
	Fixed a problem starting a call tip when the auto-completion list is
	displayed. Bumped the library version.
	[2ec2115ea4d2] <2.9-maint>

2015-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* designer-Qt4Qt5/qscintillaplugin.h:
	Fixed a warning message when compiling against Qt v5.5.0.
	[3ff05a0ef88d] <2.9-maint>

2015-07-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Update QMAKE_RPATHDIR rather than set it.
	[045c64a7e65c] <2.9-maint>

2015-06-24  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Set QMAKE_RPATHDIR for Qt v5.5 on OS X.
	[b83394e4a676] <2.9-maint>

2015-05-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixed the backstop handling in the Python bindings configuration
	script and bumped the version number.
	[1ab1dd7ea495] <2.9-maint>

2015-05-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro:
	Use QT_HOST_DATA for the .prf destination with Qt v5. Removed all Qt
	v3 support from the .pro file.
	[63c0391624a8] <2.9-maint>

2015-04-20  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.9 for changeset 41ee8162fa81
	[9817b0a7a4f7]

	* NEWS:
	Released as v2.9.
	[41ee8162fa81] [2.9]

2015-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	Fixed a problem notifying when focus is lost to another application
	widget.
	[41734678234e]

2015-04-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	Fixed a crash when deleting an instance.
	[eb936ad1f826]

2015-04-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fixed a problem applying a lexer's styles that manifested itself by
	the wrong style being applied to line numbers when using a custom
	lexer.
	[c91009909b8e]

2015-04-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_es.qm, qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime.
	[d94218e7d47d]

	* qt/ScintillaQt.h:
	Fixed some header file dependencies.
	[f246e863957f]

	* qt/qscintilla_cs.qm, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_es.qm, qt/qscintilla_fr.qm, qt/qscintilla_pt_br.qm:
	Updated German translations from Detlev.
	[01f3be277e14]

2015-04-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts:
	Updated the .ts translation files.
	[659fb035d1c4]

2015-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciapis.cpp:
	Fixed a problem displaying call-tips when auto-completion is
	enabled.
	[82ec45421a3d]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.h,
	qt/qsciscintillabase.h:
	Exposed the remaining new features.
	[6e84b61268c5]

2015-04-01  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Exposing new Scintilla functionality.
	[e0965dc46693]

2015-03-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexerverilog.cpp, qt/qscilexerverilog.h:
	Enabled the new styling features of QsciLexerVerilog.
	[5be65189b15f]

	* NEWS, Python/sip/qscilexercpp.sip, qt/qscilexercpp.cpp,
	qt/qscilexercpp.h:
	Completed the updates to QsciLexerCPP.
	[a8e24b727d82]

	* NEWS, Python/sip/qscilexercpp.sip, Python/sip/qscilexersql.sip,
	Python/sip/qscilexerverilog.sip, Python/sip/qscilexervhdl.sip,
	Python/sip/qsciscintillabase.sip, qt/qscilexercpp.cpp,
	qt/qscilexercpp.h, qt/qscilexersql.cpp, qt/qscilexersql.h,
	qt/qscilexerverilog.cpp, qt/qscilexerverilog.h,
	qt/qscilexervhdl.cpp, qt/qscilexervhdl.h, qt/qsciscintillabase.h:
	Updated existing lexers with new styles.
	[768f8ff280e1]

2015-03-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciapis.cpp:
	Make sure call tips don't include image types.
	[d0830816cda4]

	* qt/ScintillaQt.cpp, qt/ScintillaQt.h:
	Fixed the horizontal scrollbar issues, particularly with long lines.
	[db8501c0803f]

2015-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.cpp:
	Updated the paste support.
	[42ad3657d52e]

	* qt/ScintillaQt.cpp, qt/ScintillaQt.h, qt/qsciscintillabase.cpp:
	Added support for idle processing.
	[ff277e910df7]

2015-03-27  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[64766fb4c800]

	* qt/ScintillaQt.cpp, qt/ScintillaQt.h, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Add support for fine tickers.
	[3e9b89430dc0]

2015-03-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/sip/qsciabstractapis.sip, Python/sip/qsciapis.sip,
	Python/sip/qscicommandset.sip, Python/sip/qscilexer.sip,
	Python/sip/qscilexeravs.sip, Python/sip/qscilexerbash.sip,
	Python/sip/qscilexerbatch.sip, Python/sip/qscilexercmake.sip,
	Python/sip/qscilexercoffeescript.sip, Python/sip/qscilexercpp.sip,
	Python/sip/qscilexercsharp.sip, Python/sip/qscilexercss.sip,
	Python/sip/qscilexercustom.sip, Python/sip/qscilexerd.sip,
	Python/sip/qscilexerdiff.sip, Python/sip/qscilexerfortran.sip,
	Python/sip/qscilexerfortran77.sip, Python/sip/qscilexerhtml.sip,
	Python/sip/qscilexeridl.sip, Python/sip/qscilexerjava.sip,
	Python/sip/qscilexerjavascript.sip, Python/sip/qscilexerlua.sip,
	Python/sip/qscilexermakefile.sip, Python/sip/qscilexermatlab.sip,
	Python/sip/qscilexeroctave.sip, Python/sip/qscilexerpascal.sip,
	Python/sip/qscilexerperl.sip, Python/sip/qscilexerpo.sip,
	Python/sip/qscilexerpostscript.sip, Python/sip/qscilexerpov.sip,
	Python/sip/qscilexerproperties.sip, Python/sip/qscilexerpython.sip,
	Python/sip/qscilexerruby.sip, Python/sip/qscilexerspice.sip,
	Python/sip/qscilexersql.sip, Python/sip/qscilexertcl.sip,
	Python/sip/qscilexertex.sip, Python/sip/qscilexerverilog.sip,
	Python/sip/qscilexervhdl.sip, Python/sip/qscilexerxml.sip,
	Python/sip/qscilexeryaml.sip, Python/sip/qscimacro.sip,
	Python/sip/qscimod3.sip, Python/sip/qscimod4.sip,
	Python/sip/qscimod5.sip, Python/sip/qscimodcommon.sip,
	Python/sip/qsciscintilla.sip, Python/sip/qsciscintillabase.sip,
	build.py, designer-Qt3/designer.pro, designer-
	Qt3/qscintillaplugin.cpp, example-Qt3/application.cpp, example-
	Qt3/application.h, example-Qt3/application.pro, example-
	Qt3/fileopen.xpm, example-Qt3/fileprint.xpm, example-
	Qt3/filesave.xpm, example-Qt3/main.cpp, lib/README, lib/README.doc,
	lib/qscintilla.dxy, qt/InputMethod.cpp, qt/ListBoxQt.cpp,
	qt/PlatQt.cpp, qt/SciClasses.cpp, qt/SciClasses.h,
	qt/ScintillaQt.cpp, qt/ScintillaQt.h, qt/qsciabstractapis.cpp,
	qt/qsciabstractapis.h, qt/qsciapis.cpp, qt/qsciapis.h,
	qt/qscicommandset.cpp, qt/qscicommandset.h, qt/qscilexer.cpp,
	qt/qscilexer.h, qt/qscilexeravs.cpp, qt/qscilexeravs.h,
	qt/qscilexerbash.cpp, qt/qscilexerbash.h, qt/qscilexerbatch.cpp,
	qt/qscilexerbatch.h, qt/qscilexercmake.cpp, qt/qscilexercmake.h,
	qt/qscilexercoffeescript.cpp, qt/qscilexercoffeescript.h,
	qt/qscilexercpp.cpp, qt/qscilexercpp.h, qt/qscilexercsharp.cpp,
	qt/qscilexercsharp.h, qt/qscilexercss.cpp, qt/qscilexercss.h,
	qt/qscilexercustom.cpp, qt/qscilexercustom.h, qt/qscilexerd.cpp,
	qt/qscilexerd.h, qt/qscilexerdiff.cpp, qt/qscilexerdiff.h,
	qt/qscilexerfortran.cpp, qt/qscilexerfortran.h,
	qt/qscilexerfortran77.cpp, qt/qscilexerfortran77.h,
	qt/qscilexerhtml.cpp, qt/qscilexerhtml.h, qt/qscilexeridl.cpp,
	qt/qscilexeridl.h, qt/qscilexerjava.cpp, qt/qscilexerjava.h,
	qt/qscilexerjavascript.cpp, qt/qscilexerjavascript.h,
	qt/qscilexerlua.cpp, qt/qscilexerlua.h, qt/qscilexermakefile.cpp,
	qt/qscilexermakefile.h, qt/qscilexermatlab.cpp,
	qt/qscilexermatlab.h, qt/qscilexeroctave.cpp, qt/qscilexeroctave.h,
	qt/qscilexerpascal.cpp, qt/qscilexerpascal.h, qt/qscilexerperl.cpp,
	qt/qscilexerperl.h, qt/qscilexerpo.cpp, qt/qscilexerpo.h,
	qt/qscilexerpostscript.cpp, qt/qscilexerpostscript.h,
	qt/qscilexerpov.cpp, qt/qscilexerpov.h, qt/qscilexerproperties.cpp,
	qt/qscilexerproperties.h, qt/qscilexerpython.cpp,
	qt/qscilexerpython.h, qt/qscilexerruby.cpp, qt/qscilexerruby.h,
	qt/qscilexerspice.cpp, qt/qscilexerspice.h, qt/qscilexersql.cpp,
	qt/qscilexersql.h, qt/qscilexertcl.cpp, qt/qscilexertcl.h,
	qt/qscilexertex.cpp, qt/qscilexertex.h, qt/qscilexerverilog.cpp,
	qt/qscilexerverilog.h, qt/qscilexervhdl.cpp, qt/qscilexervhdl.h,
	qt/qscilexerxml.cpp, qt/qscilexerxml.h, qt/qscilexeryaml.cpp,
	qt/qscilexeryaml.h, qt/qscimacro.cpp, qt/qscimacro.h,
	qt/qsciprinter.cpp, qt/qsciscintilla.cpp, qt/qsciscintilla.h,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h, qt/qscistyle.cpp,
	qt/qscistyledtext.h:
	Removed all support for Qt3 and PyQt3.
	[b33b2f06716e]

	* Python/configure-old.py, Python/configure.py, designer-
	Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro,
	qt/ScintillaQt.cpp, qt/ScintillaQt.h, qt/qscintilla.pro:
	The updated code now compiles.
	[35d05076c62f]

	* cocoa/InfoBar.h, cocoa/InfoBar.mm, cocoa/InfoBarCommunicator.h,
	cocoa/PlatCocoa.h, cocoa/PlatCocoa.mm, cocoa/QuartzTextLayout.h,
	cocoa/QuartzTextStyle.h, cocoa/ScintillaCocoa.h,
	cocoa/ScintillaCocoa.mm, cocoa/ScintillaFramework/ScintillaFramework
	.xcodeproj/project.pbxproj, cocoa/ScintillaTest/AppController.h,
	cocoa/ScintillaTest/ScintillaTest.xcodeproj/project.pbxproj,
	cocoa/ScintillaView.h, cocoa/ScintillaView.mm,
	cocoa/checkbuildosx.sh, cppcheck.suppress, doc/ScintillaDoc.html,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/index.html, gtk/Converter.h, gtk/PlatGTK.cxx,
	gtk/ScintillaGTK.cxx, gtk/deps.mak, gtk/makefile,
	include/Platform.h, include/SciLexer.h, include/Scintilla.h,
	include/Scintilla.iface, lexers/LexAbaqus.cxx, lexers/LexAsm.cxx,
	lexers/LexBash.cxx, lexers/LexBasic.cxx, lexers/LexBibTeX.cxx,
	lexers/LexCPP.cxx, lexers/LexCmake.cxx, lexers/LexCoffeeScript.cxx,
	lexers/LexDMAP.cxx, lexers/LexDMIS.cxx, lexers/LexECL.cxx,
	lexers/LexEScript.cxx, lexers/LexForth.cxx, lexers/LexFortran.cxx,
	lexers/LexGui4Cli.cxx, lexers/LexHTML.cxx, lexers/LexHaskell.cxx,
	lexers/LexHex.cxx, lexers/LexKix.cxx, lexers/LexLua.cxx,
	lexers/LexMarkdown.cxx, lexers/LexMatlab.cxx, lexers/LexModula.cxx,
	lexers/LexMySQL.cxx, lexers/LexOthers.cxx, lexers/LexPS.cxx,
	lexers/LexPerl.cxx, lexers/LexRegistry.cxx, lexers/LexRuby.cxx,
	lexers/LexRust.cxx, lexers/LexSQL.cxx, lexers/LexScriptol.cxx,
	lexers/LexSpecman.cxx, lexers/LexTCL.cxx, lexers/LexTCMD.cxx,
	lexers/LexTxt2tags.cxx, lexers/LexVHDL.cxx, lexers/LexVerilog.cxx,
	lexers/LexVisualProlog.cxx, lexlib/Accessor.cxx, lexlib/Accessor.h,
	lexlib/CharacterCategory.cxx, lexlib/CharacterSet.cxx,
	lexlib/LexAccessor.h, lexlib/LexerBase.cxx, lexlib/LexerModule.cxx,
	lexlib/LexerModule.h, lexlib/LexerNoExceptions.cxx,
	lexlib/LexerSimple.cxx, lexlib/LexerSimple.h,
	lexlib/PropSetSimple.cxx, lexlib/SparseState.h, lexlib/StringCopy.h,
	lexlib/StyleContext.cxx, lexlib/StyleContext.h, lexlib/SubStyles.h,
	lexlib/WordList.cxx, lexlib/WordList.h, lib/README.doc,
	qt/qscintilla.pro, scripts/GenerateCaseConvert.py,
	scripts/GenerateCharacterCategory.py, scripts/HFacer.py,
	scripts/HeaderOrder.txt, scripts/LexGen.py,
	scripts/ScintillaData.py, src/AutoComplete.cxx, src/AutoComplete.h,
	src/CallTip.cxx, src/CaseConvert.cxx, src/CaseFolder.cxx,
	src/Catalogue.cxx, src/CellBuffer.cxx, src/CellBuffer.h,
	src/CharClassify.cxx, src/ContractionState.cxx,
	src/ContractionState.h, src/Decoration.cxx, src/Decoration.h,
	src/Document.cxx, src/Document.h, src/EditModel.cxx,
	src/EditModel.h, src/EditView.cxx, src/EditView.h, src/Editor.cxx,
	src/Editor.h, src/ExternalLexer.cxx, src/ExternalLexer.h,
	src/FontQuality.h, src/Indicator.cxx, src/Indicator.h,
	src/KeyMap.cxx, src/KeyMap.h, src/LineMarker.cxx, src/LineMarker.h,
	src/MarginView.cxx, src/MarginView.h, src/Partitioning.h,
	src/PerLine.cxx, src/PerLine.h, src/PositionCache.cxx,
	src/PositionCache.h, src/RESearch.cxx, src/RESearch.h,
	src/ScintillaBase.cxx, src/ScintillaBase.h, src/Selection.cxx,
	src/Selection.h, src/SplitVector.h, src/Style.cxx, src/Style.h,
	src/UniConversion.cxx, src/UniConversion.h, src/ViewStyle.cxx,
	src/ViewStyle.h, src/XPM.cxx, src/XPM.h, test/XiteQt.py,
	test/XiteWin.py, test/lexTests.py, test/simpleTests.py,
	test/unit/LICENSE_1_0.txt, test/unit/README,
	test/unit/SciTE.properties, test/unit/catch.hpp, test/unit/makefile,
	test/unit/test.mak, test/unit/testCellBuffer.cxx,
	test/unit/testCharClassify.cxx, test/unit/testContractionState.cxx,
	test/unit/testDecoration.cxx, test/unit/testPartitioning.cxx,
	test/unit/testRunStyles.cxx, test/unit/testSparseState.cxx,
	test/unit/testSplitVector.cxx, test/unit/testUnicodeFromUTF8.cxx,
	test/unit/unitTest.cxx, version.txt, win32/HanjaDic.cxx,
	win32/HanjaDic.h, win32/PlatWin.cxx, win32/PlatWin.h,
	win32/SciLexer.vcxproj, win32/ScintRes.rc, win32/ScintillaWin.cxx,
	win32/deps.mak, win32/makefile, win32/scintilla.mak:
	Added the initial import of Scintilla v3.5.4.
	[025db9484942]

	* lib/GPL_EXCEPTION.TXT, lib/GPL_EXCEPTION_ADDENDUM.TXT,
	lib/LICENSE.GPL2, lib/LICENSE.GPL3, lib/OPENSOURCE-NOTICE.TXT,
	qt/qscintilla_ru.qm, qt/qscintilla_ru.ts:
	Merged the 2.8-maint branch into the default.
	[efe1067a091a]

2015-03-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fixed QsciScintilla::clearMarginText().
	[885b972e38df] <2.8-maint>

2015-02-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/configure.py:
	Installing into a virtual env should now work. The internal build
	system supports sip5.
	[62d128cc92de] <2.8-maint>

2015-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Use sip5 if available.
	[6f5e4b0dae8f] <2.8-maint>

2015-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, qt/InputMethod.cpp:
	Updated the copyright notices.
	[50b9b459dc48] <2.8-maint>

	* Python/configure-old.py:
	Fixed configure-old.py for previews.
	[7ff9140391e4] <2.8-maint>

2014-12-22  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, lib/LICENSE.GPL3, lib/LICENSE.commercial.short,
	lib/LICENSE.gpl, lib/LICENSE.gpl.short:
	More license tweaks.
	[f3e84d697877] <2.8-maint>

	* build.py, lib/GPL_EXCEPTION.TXT, lib/GPL_EXCEPTION_ADDENDUM.TXT,
	lib/LICENSE.GPL2, lib/LICENSE.gpl.short, lib/OPENSOURCE-NOTICE.TXT,
	lib/README.doc:
	Aligned the GPL licensing with Qt.
	[aa58ba575cac] <2.8-maint>

2014-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updated the commercial license to v4.0.
	[fd91beaa78dd] <2.8-maint>

2014-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	A source package now includes a full ChangeLog.
	[ba92c1d5c839] <2.8-maint>

2014-09-11  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.8.4 for changeset e18756e8cf86
	[e7f7a594518d] <2.8-maint>

	* .hgignore, NEWS:
	Released as v2.8.4.
	[e18756e8cf86] [2.8.4] <2.8-maint>

2014-09-04  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[e4e3562b54cb] <2.8-maint>

2014-09-03  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintilla.sip, Python/sip/qsciscintillabase.sip,
	qt/qscintilla.pro, qt/qsciscintilla.cpp, qt/qsciscintilla.h,
	qt/qsciscintillabase.h:
	Added the missing SCI_SETHOTSPOTSINGLELINE to QsciScintillaBase.
	Added resetHotspotForegroundColor(), resetHotspotBackgroundColor(),
	setHotspotForegroundColor(), setHotspotBackgroundColor(),
	setHotspotUnderline() and setHotspotWrap() to QsciScintilla.
	[2da018f7e48c] <2.8-maint>

2014-07-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Attempted to improve the auto-indentation behaviour so that the
	indentation of a line is maintained if a new line has been inserted
	above by pressing enter at the start of the line.
	[aafc4a7247fb] <2.8-maint>

2014-07-11  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixed the installation of the .api file.
	[aae8494847ff] <2.8-maint>

2014-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, designer-Qt4Qt5/designer.pro,
	qt/qscintilla.pro:
	Fixes to work around QTBUG-39300. Fix when building with a
	configuration file.
	[1051e8c260fd] <2.8-maint>

2014-07-03  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.8.3 for changeset e9cb8530f97f
	[bb531051c8f3] <2.8-maint>

	* NEWS:
	Released as v2.8.3.
	[e9cb8530f97f] [2.8.3] <2.8-maint>

2014-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixed a cut-and-paste bug in configure.py.
	[5f7c4c6c9a29] <2.8-maint>

	* Python/configure.py:
	Updated to the latest build system boilerplate.
	[ee0b9a647e7a] <2.8-maint>

2014-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/configure.py:
	Updates to the build system and the latest boilerplate configure.py.
	[8485111172c7] <2.8-maint>

2014-06-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexercoffeescript.cpp, qt/qscintilla.pro,
	qt/qscintilla_cs.qm, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_es.qm, qt/qscintilla_es.ts, qt/qscintilla_fr.qm,
	qt/qscintilla_pt_br.qm, qt/qscintilla_ru.qm, qt/qscintilla_ru.ts:
	Updated CoffeeScript keywords and German translations from Detlev.
	Updated Spanish translations from Jaime. Removed the Russian
	translations as none were current.
	[978fe16935c4] <2.8-maint>

2014-06-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the translation source files.
	[440ab56f1863] <2.8-maint>

2014-06-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexercoffeescript.sip, Python/sip/qscimodcommon.sip,
	Python/sip/qsciscintillabase.sip:
	Added QsciLexerCoffeeScript to the Python bindings.
	[36a6e2123a69] <2.8-maint>

	* qt/qscilexercoffeescript.h:
	QsciLexerCoffeeScript property setters are no longer virtual slots.
	[eef97550eb16] <2.8-maint>

	* qt/qscilexercoffeescript.cpp, qt/qscilexercoffeescript.h,
	qt/qscintilla.pro:
	Added the QsciLexerCoffeeScript class.
	[0cf56e9cd32a] <2.8-maint>

2014-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixes for Python v2.6.
	[9b7b5393f228] <2.8-maint>

2014-06-01  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixed a regression in configure.py when using the -n or -o options.
	[f7b1c9821894] <2.8-maint>

2014-05-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp, qt/qsciscintillabase.cpp:
	Fixes for Qt3.
	[4d0a54024b52] <2.8-maint>

	* qt/PlatQt.cpp, qt/qscilexer.cpp, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qscistyle.cpp:
	Font sizes are now handled as floating point values rather than
	integers.
	[ea017cc2b198] <2.8-maint>

2014-05-26  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.8.2 for changeset 5aab3ae01e0e
	[6cc6eec7c440] <2.8-maint>

	* NEWS:
	Released as v2.8.2.
	[5aab3ae01e0e] [2.8.2] <2.8-maint>

	* Python/sip/qsciscintillabase.sip:
	Updated the sub-class converter code.
	[9b276dae576d] <2.8-maint>

	* Makefile:
	Internal build system fixes.
	[b29b24829b0b] <2.8-maint>

2014-05-24  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/configure.py:
	Fixed some build regressions with PyQt4.
	[175b657ad031] <2.8-maint>

2014-05-18  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Updates to the top-level Makefile for the latest Android tools.
	[405fb3eb5473] <2.8-maint>

2014-05-17  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Added the PyQt4 against Qt5 on the iPhone simulator build target.
	[c31ae5795eec] <2.8-maint>

2014-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/configure.py:
	Use the PyQt .sip files in sysroot when cross-compiling.
	[5d8e8b8ddfe5] <2.8-maint>

	* Makefile, Python/configure.py:
	Replaced pyqt_sip_flags with pyqt_disabled_features in the
	configuration file.
	[f209403c183b] <2.8-maint>

2014-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/sip/qscimod5.sip:
	The PyQt5 bindings now run on the iOS simulator.
	[056871b18335] <2.8-maint>

	* Makefile, Python/configure.py:
	Building the Python bindings for the iOS simulator now works.
	[9dfcea4447b8] <2.8-maint>

	* Makefile:
	Updated the main Makefile for the Qt v5.2 iOS support.
	[a619fd411878] <2.8-maint>

2014-05-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Don't create the .api file if it isn't going to be installed.
	[79db1145e882] <2.8-maint>

2014-05-12  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Added the --sysroot, --no-sip-files and --no-qsci-api options to
	configure.py.
	[10642d7deba9] <2.8-maint>

2014-05-05  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Updated the internal build system for the combined iOS/Android Qt
	installation.
	[9097d3096b70] <2.8-maint>

2014-05-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.qm, qt/qscintilla_de.ts:
	Updated German translations from Detlev.
	[d4f631ee3aaf] <2.8-maint>

	* qt/qscintilla_es.qm, qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime Seuma.
	[51350008c8a4] <2.8-maint>

2014-04-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the .ts files.
	[4c5f88b22952] <2.8-maint>

2014-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexerpo.sip, Python/sip/qscimodcommon.sip,
	qt/qscilexerpo.cpp, qt/qscilexerpo.h, qt/qscintilla.pro:
	Added the QsciLexerPO class.
	[d42e44550d80] <2.8-maint>

	* Python/sip/qscilexeravs.sip, Python/sip/qscimodcommon.sip,
	qt/qscilexeravs.cpp, qt/qscilexeravs.h, qt/qscintilla.pro:
	Added the QsciLexerAVS class.
	[ed6edb6ec205] <2.8-maint>

2014-04-27  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixes for the refactored configure.py.
	[21b9fa66338e] <2.8-maint>

	* Python/configure.py:
	Initial refactoring of configure.py so that it is implemented as
	configurable (and reusable) boilerplate.
	[615d75a88db9] <2.8-maint>

2014-04-24  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintilla.sip, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	setEnabled() now implements the expected visual effects.
	[3e4254394b08] <2.8-maint>

2014-03-22  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixed the handling of the --pyqt-sip-flags option. Restored the
	specification of the Python library directory for Windows.
	[3ea496d62b9f] <2.8-maint>

	* Python/configure.py, qt/features/qscintilla2.prf, qt/qscintilla.pro:
	Added the --pyqt-sip-flags to configure.py to avoid having to
	introspect PyQt. Fixed the .prf file for OS/X. Tweaks to
	configure.py so that a configuration file will use the same names as
	PyQt5.
	[77ff3a21d00a] <2.8-maint>

2014-03-21  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/README.doc, qt/qscintilla.pro:
	Changes to the .pro file to build a static library without having to
	edit it.
	[f82637449276] <2.8-maint>

2014-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp, qt/qsciscintillabase.cpp:
	Fixed building against Qt v5.0.x.
	[d68e28068b67] <2.8-maint>

2014-03-14  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.8.1 for changeset 6bb7ab27c958
	[dfd473e8336b] <2.8-maint>

	* NEWS:
	Released as v2.8.1.
	[6bb7ab27c958] [2.8.1] <2.8-maint>

	* qt/SciClasses.cpp:
	Fixed the display of UTF-8 call tips.
	[3f0ca7ba60a0] <2.8-maint>

2014-03-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qsci/api/python/Python-3.4.api:
	Added the .api file for Python v3.4.
	[3db067b6dcec] <2.8-maint>

2014-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Revised attempt at the outline of alpha rectangles in case Qt ignore
	the alpha of the pen.
	[86ab8898503e] <2.8-maint>

	* qt/PlatQt.cpp:
	Fixed the setting of the pen when drawing alpha rectangles.
	[3f4ff2e8aca3] <2.8-maint>

2014-02-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	The Python module now has the correct install name on OS/X.
	[eec8c704418a] <2.8-maint>

2014-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscicommand.cpp, qt/qscicommand.h, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Fixed a problem entering non-ASCII characters that clashed with
	Scintilla's SCK_* values. Key_Enter, Key_Backtab, Key_Super_L,
	Key_Super_R and Key_Menu are now valid QsciCommand keys.
	[94aec4f075df] <2.8-maint>

2014-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Make sure the editor is active after a selection of a user list
	entry.
	[e0f2106777d0] <2.8-maint>

2014-01-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/SciClasses.cpp:
	On Linux, single clicking on an item in an auto-completion list now
	just selects the itemm (rather than inserting the item) to be
	consistent with other platforms.
	[d916bbbf6517] <2.8-maint>

	* qt/qsciscintillabase.cpp:
	Fix the handling of the auto-completion list when losing focus.
	[a67b51ac8611] <2.8-maint>

2014-01-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/InputMethod.cpp, qt/qsciscintillabase.cpp:
	Fixed building against Qt4.
	[bf0a5f984fc1] <2.8-maint>

2014-01-19  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[da2a76da712e] <2.8-maint>

2014-01-18  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/InputMethod.cpp:
	Another attempt to fix input events on losing focus.
	[6de3ab62fade] <2.8-maint>

	* lib/README.doc:
	Added the qmake integration section to the docs.
	[2918e4760c36] <2.8-maint>

2014-01-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Added Android to the internal build system.
	[3be74b3e89e9] <2.8-maint>

2014-01-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/InputMethod.cpp, qt/qsciscintillabase.cpp:
	Newlines can now be entered on iOS.
	[8d23447dbd4d] <2.8-maint>

2014-01-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/InputMethod.cpp:
	See if we can detect a input methdo event generated when losing
	focus and not to clear the selection.
	[8e4216289efe] <2.8-maint>

2014-01-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciprinter.sip:
	The Python bindings now respect the PyQt_Printer feature.
	[c3106f715803] <2.8-maint>

2014-01-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Added support for software input panels with Qt v5.
	[d4499b61ff04] <2.8-maint>

	* qt/qsciscintilla.cpp:
	Disable input methods when read-only (rather than non-UTF8) to be
	consistent with Qt.
	[f8817d4a47e3] <2.8-maint>

	* qt/qscintilla.pro, qt/qsciprinter.h:
	Fixed the .pro file so that QT_NO_PRINTER is set properly and
	removed the workaround.
	[b5a6709d814a] <2.8-maint>

2014-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Finally fixed buffered drawing on retina displays.
	[f8d23103df70] <2.8-maint>

	* qt/PlatQt.cpp, qt/qsciscintillabase.cpp:
	Fixes for buffered drawing on retina displays. (Not yet correct, but
	close.)
	[a3b36be44112] <2.8-maint>

	* Makefile:
	Changed the build system for the example on the iOS simulator so
	that qmake is only used to generate the .xcodeproj file.
	[179dbf5ba385] <2.8-maint>

	* Makefile:
	Added the building of the example to the main Makefile.
	[aec2ac3ac591] <2.8-maint>

	* Makefile:
	Added iOS simulator targets to the build system.
	[72af8241b261] <2.8-maint>

	* Makefile, build.py, lib/LICENSE.GPL2, lib/LICENSE.GPL3,
	lib/LICENSE.commercial.short, lib/LICENSE.gpl.short,
	qt/InputMethod.cpp:
	Updated copyright notices.
	[f21e016499fe] <2.8-maint>

	* qt/MacPasteboardMime.cpp, qt/qsciprinter.cpp, qt/qsciprinter.h,
	qt/qsciscintillabase.cpp:
	Fixes for building for iOS.
	[46d25e648b4a] <2.8-maint>

2013-12-31  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, build.py, designer-Qt4Qt5/designer.pro,
	example-Qt4Qt5/application.pro, lib/README.doc,
	qt/features/qscintilla2.prf, qt/qscintilla.pro:
	Implemented the qscintilla2.prf feature file and updated everything
	to use it.
	[c3bfef1a55ad] <2.8-maint>

2013-12-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.h:
	Added some additional header file dependencies.
	[7ec67eced9de] <2.8-maint>

2013-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/MacPasteboardMime.cpp, qt/ScintillaQt.cpp:
	Fixes for building against Qt3.
	[f25cbda736fd] <2.8-maint>

2013-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* designer-Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro:
	Updated the plugin and example .pro files to work around the qmake
	incompatibilities introduced in Qt v5.2.0.
	[a14729b2702d] <2.8-maint>

2013-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	Fixed the previous fix.
	[6c322fa1b20f] <2.8-maint>

2013-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp, qt/qsciscintillabase.cpp:
	Backed out the attempted fix for retina displays at it needs more
	work. As a workaround buffered writes are disabled if a retina
	display is detected.
	[a1f648d1025e] <2.8-maint>

2013-12-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro:
	Enabled exceptions in the .pro file.
	[6e07131f6741] <2.8-maint>

2013-12-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Create pixmaps for buffered drawing using the same pixel ratio as
	the actual device.
	[f4f706006071] <2.8-maint>

2013-12-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexeroctave.cpp:
	Updated the keywords defined for the Octave lexer.
	[9ccf1c74f266] <2.8-maint>

2013-12-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.cpp:
	More scrollbar fixes.
	[194a2142c9b6] <2.8-maint>

2013-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.cpp, qt/qscintilla.pro:
	Fixes to the scrollbar visibility handling.
	[5e8a96258ab0] <2.8-maint>

2013-12-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Fixed the implementation of SurfaceImpl::LogPixelsY() (even though
	it is never called).
	[9ef0387cfc08] <2.8-maint>

2013-11-08  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.8 for changeset 562785a5f685
	[fc52bfaa75c4]

	* NEWS:
	Released as v2.8.
	[562785a5f685] [2.8]

2013-11-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_es.qm, qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime Seuma.
	[e7a128a28157]

2013-11-04  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qscilexerpascal.cpp, qt/qsciscintillabase.h:
	Added support for the new v3.3.6 features to the low-level API.
	[e553c1263387]

	* Makefile, NEWS, cocoa/Framework.mk, cocoa/InfoBar.mm,
	cocoa/PlatCocoa.mm, cocoa/SciTest.mk, cocoa/ScintillaCocoa.h,
	cocoa/ScintillaCocoa.mm, cocoa/ScintillaFramework/ScintillaFramework
	.xcodeproj/project.pbxproj, cocoa/ScintillaView.h,
	cocoa/ScintillaView.mm, cocoa/checkbuildosx.sh, cocoa/common.mk,
	doc/ScintillaDoc.html, doc/ScintillaDownload.html,
	doc/ScintillaHistory.html, doc/index.html, gtk/PlatGTK.cxx,
	gtk/ScintillaGTK.cxx, gtk/makefile, include/ILexer.h,
	include/Platform.h, include/SciLexer.h, include/Scintilla.h,
	include/Scintilla.iface, lexers/LexCPP.cxx,
	lexers/LexCoffeeScript.cxx, lexers/LexOthers.cxx,
	lexers/LexPascal.cxx, lexers/LexPerl.cxx, lexers/LexRust.cxx,
	lexers/LexSQL.cxx, lexers/LexVisualProlog.cxx,
	lexlib/StyleContext.h, lexlib/SubStyles.h, lexlib/WordList.cxx,
	lib/README.doc, qt/qscintilla.pro, src/Catalogue.cxx,
	src/Document.cxx, src/Editor.cxx, src/ScintillaBase.cxx,
	src/ScintillaBase.h, src/ViewStyle.cxx, src/ViewStyle.h,
	test/XiteQt.py, test/simpleTests.py, version.txt, win32/PlatWin.cxx,
	win32/ScintRes.rc, win32/ScintillaWin.cxx, win32/makefile,
	win32/scintilla.mak:
	Merged Scintilla v3.3.6.
	[ada0941dec52]

2013-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.qm, qt/qscintilla_de.ts:
	Updated German translations from Detlev.
	[6c0af6af651c]

	* Makefile, build.py, qt/MacPasteboardMime.cpp, qt/qscintilla.pro,
	qt/qsciscintillabase.cpp:
	Reinstated support for rectangular selections on OS/X for Qt v5.2
	and later.
	[dbfdf7be4793]

2013-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the translation source files.
	[7ed4bf7ed4e7]

	* qt/qscilexercpp.cpp:
	Added missing descriptions to the C++ lexer settings.
	[55d7627bb129]

2013-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* designer-Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro:
	Fixed the building of the Designer plugin and the example for OS/X.
	[a67f71b06d3c]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/InputMethod.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added the remaining non-provisional Scintilla v3.3.5 features to the
	low-level API.
	[4e8d0b46ebc0]

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the translation source files.
	[4beefc0d95ec]

	* NEWS, Python/sip/qscilexercpp.sip, Python/sip/qsciscintillabase.sip,
	qt/qscilexercpp.cpp, qt/qscilexercpp.h, qt/qsciscintillabase.h:
	Updated the lexers for Scintilla v3.3.5.
	[fc901a2a491f]

2013-09-30  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-old.py, Python/configure.py, README,
	cocoa/InfoBar.mm, cocoa/PlatCocoa.mm, cocoa/ScintillaCocoa.h,
	cocoa/ScintillaCocoa.mm, cocoa/ScintillaFramework/ScintillaFramework
	.xcodeproj/project.pbxproj, cocoa/ScintillaTest/AppController.mm,
	cocoa/ScintillaTest/English.lproj/MainMenu.xib,
	cocoa/ScintillaView.h, cocoa/ScintillaView.mm, cppcheck.suppress,
	delbin.bat, designer-Qt4Qt5/designer.pro, doc/Lexer.txt,
	doc/ScintillaDoc.html, doc/ScintillaDownload.html,
	doc/ScintillaHistory.html, doc/ScintillaRelated.html,
	doc/ScintillaToDo.html, doc/index.html, example-
	Qt4Qt5/application.pro, gtk/Converter.h, gtk/PlatGTK.cxx,
	gtk/ScintillaGTK.cxx, gtk/deps.mak, gtk/makefile, include/Face.py,
	include/HFacer.py, include/ILexer.h, include/Platform.h,
	include/SciLexer.h, include/Scintilla.h, include/Scintilla.iface,
	lexers/LexA68k.cxx, lexers/LexAU3.cxx, lexers/LexAVE.cxx,
	lexers/LexAda.cxx, lexers/LexAsm.cxx, lexers/LexAsn1.cxx,
	lexers/LexBash.cxx, lexers/LexBullant.cxx, lexers/LexCOBOL.cxx,
	lexers/LexCPP.cxx, lexers/LexCoffeeScript.cxx, lexers/LexConf.cxx,
	lexers/LexCrontab.cxx, lexers/LexCsound.cxx, lexers/LexD.cxx,
	lexers/LexECL.cxx, lexers/LexForth.cxx, lexers/LexGAP.cxx,
	lexers/LexGui4Cli.cxx, lexers/LexHTML.cxx, lexers/LexHaskell.cxx,
	lexers/LexInno.cxx, lexers/LexKVIrc.cxx, lexers/LexLaTeX.cxx,
	lexers/LexLisp.cxx, lexers/LexLout.cxx, lexers/LexLua.cxx,
	lexers/LexMMIXAL.cxx, lexers/LexMPT.cxx, lexers/LexMSSQL.cxx,
	lexers/LexMatlab.cxx, lexers/LexModula.cxx, lexers/LexMySQL.cxx,
	lexers/LexNsis.cxx, lexers/LexOpal.cxx, lexers/LexOthers.cxx,
	lexers/LexPO.cxx, lexers/LexPerl.cxx, lexers/LexPowerShell.cxx,
	lexers/LexPython.cxx, lexers/LexR.cxx, lexers/LexRuby.cxx,
	lexers/LexSTTXT.cxx, lexers/LexScriptol.cxx, lexers/LexSpice.cxx,
	lexers/LexTCMD.cxx, lexers/LexYAML.cxx, lexlib/Accessor.cxx,
	lexlib/Accessor.h, lexlib/CharacterCategory.cxx,
	lexlib/CharacterCategory.h, lexlib/CharacterSet.cxx,
	lexlib/LexAccessor.h, lexlib/LexerBase.cxx, lexlib/LexerModule.cxx,
	lexlib/LexerNoExceptions.cxx, lexlib/LexerNoExceptions.h,
	lexlib/LexerSimple.cxx, lexlib/OptionSet.h,
	lexlib/PropSetSimple.cxx, lexlib/PropSetSimple.h,
	lexlib/StyleContext.cxx, lexlib/StyleContext.h, lexlib/SubStyles.h,
	lexlib/WordList.cxx, lexlib/WordList.h, lib/README.doc,
	qt/ScintillaQt.cpp, qt/ScintillaQt.h, qt/qscintilla.pro,
	qt/qsciscintillabase.cpp, scripts/Face.py, scripts/FileGenerator.py,
	scripts/GenerateCaseConvert.py,
	scripts/GenerateCharacterCategory.py, scripts/HFacer.py,
	scripts/LexGen.py, scripts/ScintillaData.py, src/AutoComplete.cxx,
	src/AutoComplete.h, src/CallTip.cxx, src/CallTip.h,
	src/CaseConvert.cxx, src/CaseConvert.h, src/CaseFolder.cxx,
	src/CaseFolder.h, src/Catalogue.cxx, src/CellBuffer.cxx,
	src/CellBuffer.h, src/ContractionState.cxx, src/Decoration.cxx,
	src/Decoration.h, src/Document.cxx, src/Document.h, src/Editor.cxx,
	src/Editor.h, src/ExternalLexer.cxx, src/FontQuality.h,
	src/Indicator.cxx, src/KeyMap.cxx, src/KeyMap.h, src/LexGen.py,
	src/LineMarker.cxx, src/LineMarker.h, src/Partitioning.h,
	src/PerLine.cxx, src/PerLine.h, src/PositionCache.cxx,
	src/PositionCache.h, src/RESearch.cxx, src/RESearch.h,
	src/RunStyles.cxx, src/RunStyles.h, src/SVector.h,
	src/ScintillaBase.cxx, src/ScintillaBase.h, src/Selection.cxx,
	src/SplitVector.h, src/Style.cxx, src/Style.h,
	src/UniConversion.cxx, src/UniConversion.h, src/UnicodeFromUTF8.h,
	src/ViewStyle.cxx, src/ViewStyle.h, src/XPM.cxx, src/XPM.h,
	test/README, test/ScintillaCallable.py, test/XiteQt.py,
	test/XiteWin.py, test/examples/x.lua, test/examples/x.lua.styled,
	test/examples/x.pl, test/examples/x.pl.styled, test/examples/x.rb,
	test/examples/x.rb.styled, test/lexTests.py,
	test/performanceTests.py, test/simpleTests.py,
	test/unit/testCharClassify.cxx, test/unit/testContractionState.cxx,
	test/unit/testPartitioning.cxx, test/unit/testRunStyles.cxx,
	test/unit/testSplitVector.cxx, version.txt, win32/PlatWin.cxx,
	win32/PlatWin.h, win32/ScintRes.rc, win32/ScintillaWin.cxx,
	win32/deps.mak, win32/makefile, win32/scintilla.mak,
	win32/scintilla_vc6.mak:
	Initial merge of Scintilla v3.3.5.
	[40933b62f5ed]

2013-09-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-ng.py, Python/configure.py, designer-
	Qt4/designer.pro, designer-Qt4/qscintillaplugin.cpp, designer-
	Qt4/qscintillaplugin.h:
	Merged the 2.7-maint branch with the trunk.
	[7288d97c54b0]

2013-08-17  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintillabase.sip:
	Fixed a missing const in the .sip files.
	[8b0425b87953] <2.7-maint>

2013-06-27  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/configure-old.py, Python/configure.py,
	Python/sip/qsciscintillabase.sip, designer-Qt4Qt5/designer.pro,
	example-Qt4Qt5/application.pro, qt/InputMethod.cpp,
	qt/qscintilla.pro, qt/qsciscintilla.cpp, qt/qsciscintilla.h,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Added support for input methods.
	[b97af619044b] <2.7-maint>

2013-06-16  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.7.2 for changeset 9ecd14550589
	[2b1f187f29c6] <2.7-maint>

	* NEWS:
	Released as v2.7.2.
	[9ecd14550589] [2.7.2] <2.7-maint>

2013-06-12  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixed a configure.py bug.
	[cb062c6f9189] <2.7-maint>

2013-05-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/configure.py:
	Fixes for the PyQt5 support.
	[0714ef531ead] <2.7-maint>

	* Makefile, NEWS, Python/configure.py, Python/sip/qscimod5.sip,
	lib/README.doc:
	Added support for building against PyQt5.
	[c982ff1b86f7] <2.7-maint>

2013-05-05  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	Changed the format of the name of a snapshot to match other
	packages.
	[d1f87bbc8377] <2.7-maint>

2013-05-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Significantly improved the performance of measuring the width of
	text so that very long lines (100,000 characters) can be handled.
	[5c88dc344f69] <2.7-maint>

2013-04-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	configure.py now issues a more explicit error message if QtCore
	cannot be imported.
	[4d0097b1ff05] <2.7-maint>

	* Python/configure.py:
	Fixed a qmake warning message from configure.py.
	[2363c96edeb0] <2.7-maint>

2013-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	The default EOL mode on OS/X is now EolUnix. Clarified the
	documentation for EolMode.
	[a436460d0300] <2.7-maint>

2013-03-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Further fixes for configure.py.
	[78fa6fef2c76] <2.7-maint>

2013-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexer.h:
	Clarified the description of QSciLexer::description().
	[688b482379e3] <2.7-maint>

	* Python/configure.py:
	Fixed the last (trivial) change.
	[0a3494ba669a] <2.7-maint>

2013-03-12  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	configure.py now gives the user more information about the copy of
	sip being used.
	[5c3be581d62b] <2.7-maint>

2013-03-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	On OS/X configure.py will explicitly set the qmake spec to macx-g++
	(Qt4) or macx-clang (Qt5) if the default might be macx-xcode. Added
	the --spec option to configure.py.
	[36a9bf2fbebd] <2.7-maint>

2013-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Minor cosmetic tweaks to configure.py.
	[296cd10747b7] <2.7-maint>

	* qt/PlatQt.cpp, qt/SciClasses.cpp, qt/qscicommandset.cpp,
	qt/qscintilla.pro, qt/qsciscintillabase.cpp:
	Removed the remaining uses of Q_WS_* for Qt v5.
	[7fafd5c09eea] <2.7-maint>

2013-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.7.1 for changeset 2583dc3dbc8d
	[0674c291eab4] <2.7-maint>

	* NEWS:
	Released as v2.7.1.
	[2583dc3dbc8d] [2.7.1] <2.7-maint>

2013-02-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lexlib/CharacterSet.h:
	Re-applied a fix to the underlying code thay got lost when Scintilla
	v3.23 was merged.
	[ee9eeec7d796] <2.7-maint>

2013-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciapis.cpp:
	A fix for the regression introduced with the previous fix.
	[154428cebb5e] <2.7-maint>

2013-02-19  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, qt/qsciapis.cpp, qt/qscintilla.pro:
	Fixed an autocompletion bug where there are entries Foo.* and
	FooBar.
	[620d72d86980] <2.7-maint>

2013-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	configure.py fixes for Linux.
	[031b5b767926] <2.7-maint>

	* Python/configure.py:
	Added the --sip-incdir and --pyqt-sipdir options to configure.py and
	other fixes for building on Windows.
	[517a3d0243fd] <2.7-maint>

	* Makefile, NEWS:
	Updated the NEWS file.
	[eb00e08e1950] <2.7-maint>

	* Makefile, Python/configure.py:
	Fixed configure.py for Qt5.
	[7ddb5bf2030c] <2.7-maint>

	* Python/configure-ng.py, Python/configure-old.py,
	Python/configure.py, build.py, lib/README.doc:
	Completed configure-ng.py and renamed it configure.py. The old
	configure.py is now called configure-old.py.
	[8d58b2899080] <2.7-maint>

2013-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-ng.py:
	configure-ng.py now uses -fno-exceptions on Linux and OS/X.
	configure-ng.py now hides unneeded symbols on Linux.
	[391e4f56b009] <2.7-maint>

	* Python/configure-ng.py:
	configure-ng.py will now install the .sip and .api files.
	[e228d58a670c] <2.7-maint>

	* Python/configure-ng.py:
	configure-ng.py will now create a Makefile that will build the
	Python module.
	[cb47ace62a70] <2.7-maint>

2013-02-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciglobal.h:
	Use Q_OS_WIN for compatibility for Qt5.
	[da752cf4510a] <2.7-maint>

2013-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* designer-Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro:
	Use macx rather than mac in the .pro files.
	[ee818a367df7] <2.7-maint>

2012-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-ng.py, Python/configure.py, designer-
	Qt4Qt5/designer.pro, example-Qt4Qt5/application.pro, lib/README.doc,
	qt/qscintilla.pro:
	Various OS/X fixes so that setting DYLD_LIBRARY_PATH isn't
	necessary.
	[e7854b8b01e3] <2.7-maint>

2012-12-19  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, designer-Qt4/designer.pro, designer-
	Qt4/qscintillaplugin.cpp, designer-Qt4/qscintillaplugin.h, designer-
	Qt4Qt5/designer.pro, designer-Qt4Qt5/qscintillaplugin.cpp, designer-
	Qt4Qt5/qscintillaplugin.h, lib/README.doc:
	Updated the Designer plugin for Qt5.
	[77f575c87ebb] <2.7-maint>

2012-12-08  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.7 for changeset 9bab1e7b02e3
	[5600138109ce]

	* NEWS:
	Released as v2.7.
	[9bab1e7b02e3] [2.7]

2012-12-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_es.qm, qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime.
	[b188c942422c]

	* NEWS:
	Updated the NEWS file regarding Qt v5-rc1.
	[be9e6b928921]

2012-12-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	A final(?) fix for scroll bars and annotations.
	[378f28e5b4b2]

	* Python/configure-ng.py:
	More build system changes.
	[f53fc8743ff1]

2012-11-29  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-ng.py:
	More configure script changes.
	[434c9b3185a5]

	* Python/configure-ng.py:
	More work on the new configure script.
	[3a044732b799]

	* qt/qscintilla_cs.qm, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_es.qm, qt/qscintilla_fr.qm, qt/qscintilla_pt_br.qm,
	qt/qscintilla_ru.qm:
	Updated German translations from Detlev.
	[9dab221845ca]

2012-11-28  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure-ng.py, build.py:
	Added the start of the SIP v5 compatible build script.
	[781d2af60cfc]

2012-11-27  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Fixed the handling of the 'linux' platform in the Python bindings.
	[835d5e3be69e]

2012-11-26  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Worked around Scintilla bugs related to scroll bars and annotations.
	[edc190ecc6fc]

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the translation files.
	[ec754f87a735]

	* NEWS, Python/sip/qscilexercss.sip, qt/qscilexercss.cpp,
	qt/qscilexercss.h:
	Updated the CSS lexer for Scintilla v3.23.
	[011fba6d668d]

	* qt/qscilexercpp.h:
	Fixed a couple of documentation typos.
	[7c2d04c76bd6]

	* NEWS, Python/sip/qscilexercpp.sip, qt/qscilexercpp.cpp,
	qt/qscilexercpp.h:
	Updated the C++ lexer for Scintilla v3.23.
	[ad93ee355639]

2012-11-24  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexercpp.sip, qt/qscilexercpp.cpp, qt/qscilexercpp.h:
	Updated the styles for the C++ lexer.
	[153429503998]

2012-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip, qt/PlatQt.cpp,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Added CallTipsPosition, callTipsPosition() and
	setCallTipsPosition().
	[7e5602869fee]

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.h:
	Added SquigglePixmapIndicator to QsciScintilla::IndicatorStyle.
	[ad98a5396151]

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added WrapFlagInMargin to QsciScintilla::WrapVisualFlag.
	[a38c75c45fb3]

	* NEWS, qt/PlatQt.cpp, qt/qsciscintilla.cpp, qt/qscistyle.cpp:
	Created a back door to pass the Qt weight of a font avoiding lossy
	conversions between Qt weights and Scintilla weights. The default
	behaviour is now SC_CASEINSENSITIVEBEHAVIOUR_IGNORECASE which is a
	change but reflects what people really expect.
	[78ce86e97ad3]

2012-11-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Updated the constants from Scintilla v3.23.
	[a3a0768af999]

	* NEWS, Python/configure.py, include/Platform.h, lib/README.doc,
	qt/ListBoxQt.cpp, qt/ListBoxQt.h, qt/PlatQt.cpp, qt/SciClasses.cpp,
	qt/ScintillaQt.cpp, qt/qscintilla.pro, src/ExternalLexer.h,
	src/XPM.cxx, src/XPM.h:
	Updated the platform support so that it compiles (but untested).
	[abae8e56a6ea]

2012-11-20  Phil Thompson  <phil@riverbankcomputing.com>

	* cocoa/InfoBar.h, cocoa/InfoBar.mm, cocoa/PlatCocoa.h,
	cocoa/PlatCocoa.mm, cocoa/QuartzTextStyle.h,
	cocoa/QuartzTextStyleAttribute.h, cocoa/ScintillaCocoa.h,
	cocoa/ScintillaCocoa.mm,
	cocoa/ScintillaFramework/English.lproj/InfoPlist.strings, cocoa/Scin
	tillaFramework/ScintillaFramework.xcodeproj/project.pbxproj,
	cocoa/ScintillaTest/AppController.mm,
	cocoa/ScintillaTest/English.lproj/InfoPlist.strings,
	cocoa/ScintillaTest/ScintillaTest.xcodeproj/project.pbxproj,
	cocoa/ScintillaView.h, cocoa/ScintillaView.mm,
	cocoa/checkbuildosx.sh, delbin.bat, delcvs.bat,
	doc/ScintillaDoc.html, doc/ScintillaDownload.html,
	doc/ScintillaHistory.html, doc/ScintillaRelated.html,
	doc/ScintillaToDo.html, doc/annotations.png, doc/index.html,
	doc/styledmargin.png, gtk/PlatGTK.cxx, gtk/ScintillaGTK.cxx,
	gtk/makefile, include/Face.py, include/ILexer.h, include/Platform.h,
	include/SciLexer.h, include/Scintilla.h, include/Scintilla.iface,
	include/ScintillaWidget.h, lexers/LexAVS.cxx, lexers/LexAda.cxx,
	lexers/LexAsm.cxx, lexers/LexBash.cxx, lexers/LexBasic.cxx,
	lexers/LexCPP.cxx, lexers/LexCSS.cxx, lexers/LexCoffeeScript.cxx,
	lexers/LexD.cxx, lexers/LexECL.cxx, lexers/LexFortran.cxx,
	lexers/LexHTML.cxx, lexers/LexLua.cxx, lexers/LexMMIXAL.cxx,
	lexers/LexMPT.cxx, lexers/LexNsis.cxx, lexers/LexOScript.cxx,
	lexers/LexOthers.cxx, lexers/LexPO.cxx, lexers/LexPascal.cxx,
	lexers/LexPerl.cxx, lexers/LexRuby.cxx, lexers/LexSQL.cxx,
	lexers/LexScriptol.cxx, lexers/LexSpice.cxx, lexers/LexTADS3.cxx,
	lexers/LexTCL.cxx, lexers/LexTCMD.cxx, lexers/LexVHDL.cxx,
	lexers/LexVisualProlog.cxx, lexers/LexYAML.cxx,
	lexlib/CharacterSet.h, lexlib/LexAccessor.h,
	lexlib/PropSetSimple.cxx, macosx/ExtInput.cxx, macosx/ExtInput.h,
	macosx/PlatMacOSX.cxx, macosx/PlatMacOSX.h,
	macosx/QuartzTextLayout.h, macosx/QuartzTextStyle.h,
	macosx/QuartzTextStyleAttribute.h,
	macosx/SciTest/English.lproj/InfoPlist.strings,
	macosx/SciTest/English.lproj/main.xib, macosx/SciTest/Info.plist,
	macosx/SciTest/SciTest.xcode/project.pbxproj,
	macosx/SciTest/SciTest_Prefix.pch, macosx/SciTest/main.cpp,
	macosx/SciTest/version.plist, macosx/ScintillaCallTip.cxx,
	macosx/ScintillaCallTip.h, macosx/ScintillaListBox.cxx,
	macosx/ScintillaListBox.h, macosx/ScintillaMacOSX.cxx,
	macosx/ScintillaMacOSX.h, macosx/TCarbonEvent.cxx,
	macosx/TCarbonEvent.h, macosx/TRect.h, macosx/TView.cxx,
	macosx/TView.h, macosx/deps.mak, macosx/makefile,
	src/AutoComplete.cxx, src/AutoComplete.h, src/CallTip.cxx,
	src/CallTip.h, src/Catalogue.cxx, src/CellBuffer.cxx,
	src/CellBuffer.h, src/CharClassify.cxx, src/CharClassify.h,
	src/Decoration.cxx, src/Document.cxx, src/Document.h,
	src/Editor.cxx, src/Editor.h, src/ExternalLexer.h,
	src/FontQuality.h, src/Indicator.cxx, src/Indicator.h,
	src/LexGen.py, src/LineMarker.cxx, src/LineMarker.h,
	src/PerLine.cxx, src/PerLine.h, src/PositionCache.cxx,
	src/PositionCache.h, src/RESearch.cxx, src/RunStyles.cxx,
	src/SciTE.properties, src/ScintillaBase.cxx, src/ScintillaBase.h,
	src/SplitVector.h, src/Style.cxx, src/Style.h,
	src/UniConversion.cxx, src/UniConversion.h, src/ViewStyle.cxx,
	src/ViewStyle.h, src/XPM.cxx, src/XPM.h, test/README,
	test/examples/x.cxx, test/examples/x.cxx.styled, test/lexTests.py,
	test/simpleTests.py, test/unit/makefile,
	test/unit/testCharClassify.cxx, test/unit/testRunStyles.cxx, tgzsrc,
	version.txt, win32/CheckD2D.cxx, win32/PlatWin.cxx, win32/PlatWin.h,
	win32/ScintRes.rc, win32/ScintillaWin.cxx, win32/makefile,
	win32/scintilla.mak, win32/scintilla_vc6.mak, zipsrc.bat:
	Initial merge of Scintilla v3.23.
	[b116f361ac01]

	* example-Qt4/application.pro, example-Qt4/application.qrc, example-
	Qt4/images/copy.png, example-Qt4/images/cut.png, example-
	Qt4/images/new.png, example-Qt4/images/open.png, example-
	Qt4/images/paste.png, example-Qt4/images/save.png, example-
	Qt4/main.cpp, example-Qt4/mainwindow.cpp, example-Qt4/mainwindow.h:
	Merged the 2.6 maintenance branch with the trunk.
	[0bf4f7453c68]

2012-11-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, example-Qt4Qt5/application.pro, qt/qsciscintillabase.cpp:
	Fixed the linking of the example on OS/X.
	[e1d1f43fae71] <2.6-maint>

2012-11-12  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qt/PlatQt.cpp, qt/qscimacro.cpp, qt/qsciscintilla.cpp,
	qt/qscistyle.cpp:
	Removed all calls that are deprecated in Qt5. The build system now
	supports cross-compilation to the Raspberry Pi.
	[afef9d2b3ab1] <2.6-maint>

2012-11-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexersql.h:
	Added comments to the QsciLexerSQL documentation stating that
	additional keywords must be defined using lower case.
	[79a9274b77c3] <2.6-maint>

2012-10-09  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lib/ed.py, qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Added a replace option to the test editor's find commands. Finished
	implementing findFirstInSelection().
	[80df6cc89bae] <2.6-maint>

	* lib/ed.py:
	Added the Find, Find in Selection and Find Next actions to the test
	editor.
	[4aad56aedbea] <2.6-maint>

2012-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/ed.py:
	Added an internal copy of the hackable Python test editor.
	[a67a6fe99937] <2.6-maint>

2012-09-27  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/gen_python3_api.py, qsci/api/python/Python-3.3.api:
	Fixed the gen_python3_api.py script to be able to exclude module
	hierachies. Added the API file for Python v3.3.
	[06bbb2d1c227] <2.6-maint>

2012-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ListBoxQt.cpp:
	Fixed a problem building against versions of Qt4 prior to v4.7.
	[7bf93d60a50b] <2.6-maint>

2012-09-18  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added setOverwriteMode() and overwriteMode() to QsciScintilla.
	[1affc53d2d88] <2.6-maint>

2012-09-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	Disable the use of QMacPasteboardMime for Qt v5-beta1.
	[a6625d5928c6] <2.6-maint>

2012-08-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexerperl.cpp, qt/qscilexerperl.h:
	Fixed auto-indentation for Perl.
	[5eb1d97f95d6] <2.6-maint>

2012-08-13  Phil Thompson  <phil@riverbankcomputing.com>

	* lexlib/CharacterSet.h:
	Removed an incorrect assert() in the main Scintilla code.
	[1aaf5e09d4b2] <2.6-maint>

2012-08-09  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Added QsciScintilla::wordAtLineIndex().
	[0c5d77aef4f7] <2.6-maint>

2012-07-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro, qt/qsciscintillabase.cpp:
	Fixed key handling on Linux with US international layout which
	generates non-ASCII sequences for quote characters.
	[061ab2c5bea3] <2.6-maint>

2012-06-20  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.6.2 for changeset f9d3d982c20f
	[a5bb033cd9e0] <2.6-maint>

	* NEWS:
	Released as v2.6.2.
	[f9d3d982c20f] [2.6.2] <2.6-maint>

2012-06-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	Fixed pasting of text in UTF8 mode (and hopefully Latin1 mode as
	well).
	[6df653daef18] <2.6-maint>

	* qt/qsciscintillabase.cpp:
	Rectangular selections are now always encoded as plain/text with an
	explicit, and separate, marker to indicate that it is rectangular.
	[012a0b2ca89f] <2.6-maint>

2012-06-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	Used the Mac method of marking rectangular selections as the '\0'
	Scintilla hack just doesn't work with Qt.
	[75020a35b5eb] <2.6-maint>

	* qt/qscintilla.pro:
	Bumped the library version number.
	[12f21729e254] <2.6-maint>

2012-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	Improved the support for rectangular selections and the
	interoperability with other Scintilla based editors.
	[a42942b57fb7] <2.6-maint>

	* qt/qsciscintillabase.cpp:
	Fixed the middle button pasting of rectangular selections.
	[db58aa6c6d7d] <2.6-maint>

	* qt/qscidocument.cpp:
	Fixed a bug that seemed to mean the initial EOL mode was always
	UNIX.
	[88561cd29a60] <2.6-maint>

	* qt/qsciscintillabase.cpp:
	Line endings are properly translated when dropping text.
	[d21994584e87] <2.6-maint>

2012-06-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qt/qsciprinter.h:
	The Python bindings now build against Qt5.
	[ff2a74e5aec2] <2.6-maint>

2012-04-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, NEWS, build.py, example-Qt4/application.pro, example-
	Qt4/application.qrc, example-Qt4/images/copy.png, example-
	Qt4/images/cut.png, example-Qt4/images/new.png, example-
	Qt4/images/open.png, example-Qt4/images/paste.png, example-
	Qt4/images/save.png, example-Qt4/main.cpp, example-
	Qt4/mainwindow.cpp, example-Qt4/mainwindow.h, example-
	Qt4Qt5/application.pro, example-Qt4Qt5/application.qrc, example-
	Qt4Qt5/images/copy.png, example-Qt4Qt5/images/cut.png, example-
	Qt4Qt5/images/new.png, example-Qt4Qt5/images/open.png, example-
	Qt4Qt5/images/paste.png, example-Qt4Qt5/images/save.png, example-
	Qt4Qt5/main.cpp, example-Qt4Qt5/mainwindow.cpp, example-
	Qt4Qt5/mainwindow.h, lib/LICENSE.GPL2, lib/LICENSE.GPL3,
	lib/LICENSE.commercial.short, lib/LICENSE.gpl.short, lib/README,
	lib/README.doc, lib/qscintilla.dxy, qt/PlatQt.cpp,
	qt/qscintilla.pro:
	Ported to Qt v5.
	[ff3710487c3e] <2.6-maint>

2012-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciapis.cpp:
	Worked around an obscure Qt (or compiler) bug when handling call
	tips.
	[e6c7edcfdfb9] <2.6-maint>

2012-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexer.sip, Python/sip/qscilexerbash.sip,
	Python/sip/qscilexerbatch.sip, Python/sip/qscilexercpp.sip,
	Python/sip/qscilexercss.sip, Python/sip/qscilexerd.sip,
	Python/sip/qscilexerdiff.sip, Python/sip/qscilexerhtml.sip,
	Python/sip/qscilexermakefile.sip, Python/sip/qscilexerperl.sip,
	Python/sip/qscilexerpov.sip, Python/sip/qscilexerproperties.sip,
	Python/sip/qscilexertex.sip, Python/sip/qscilexerverilog.sip,
	qt/qscilexer.h, qt/qscilexerbash.h, qt/qscilexerbatch.h,
	qt/qscilexercpp.h, qt/qscilexercss.h, qt/qscilexerd.h,
	qt/qscilexerdiff.h, qt/qscilexerhtml.h, qt/qscilexermakefile.h,
	qt/qscilexerperl.h, qt/qscilexerpov.h, qt/qscilexerproperties.h,
	qt/qscilexertex.h, qt/qscilexerverilog.h:
	QSciLexer::wordCharacters() is now part of the public API.
	[933ef6a11ee6] <2.6-maint>

2012-02-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexercpp.h:
	Updated the documentation for QsciLexerCpp::keywords() so that it
	describes which sets are supported.
	[4e0cb0250dad] <2.6-maint>

2012-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla.pro, src/Document.cxx:
	Some Scintilla fixes for the SCI_NAMESPACE support.
	[611ffd016585] <2.6-maint>

2012-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.6.1 for changeset 47d8fdf44946
	[aa843f471972] <2.6-maint>

	* NEWS:
	Updated the NEWS file. Released as v2.6.1.
	[47d8fdf44946] [2.6.1] <2.6-maint>

2012-01-26  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Don't implement shortcut overrides for the standard context menu
	shortcuts. Instead leave it to the check against bound keys.
	[e8ccaf398640] <2.6-maint>

2012-01-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciapis.cpp:
	APIs now allow for whitespace between the end of a word and the
	opening parenthesis of the argument list.
	[b09b25f38411] <2.6-maint>

2012-01-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/SciClasses.cpp:
	Fixed the handling of auto-completion lists on Windows.
	[131138b43c85] <2.6-maint>

2011-12-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscicommandset.sip, qt/qscicommandset.cpp,
	qt/qscicommandset.h, qt/qscintilla.pro:
	Improved the Qt v3 port so that the signatures don't need to be
	changed. Bumped the .so version number.
	[3171bb05b1d8] <2.6-maint>

2011-12-06  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, NEWS, Python/sip/qscicommandset.sip, include/Platform.h,
	qt/ListBoxQt.cpp, qt/qscicommandset.cpp, qt/qscicommandset.h,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h, src/XPM.cxx:
	Fixed building against Qt v3.
	[74df75a62f5c] <2.6-maint>

2011-11-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, include/Platform.h, qt/ListBoxQt.cpp, qt/ListBoxQt.h,
	qt/PlatQt.cpp, qt/SciClasses.cpp, qt/SciClasses.h,
	qt/SciNamespace.h, qt/ScintillaQt.cpp, qt/ScintillaQt.h,
	qt/qscintilla.pro, qt/qsciscintilla.h, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Added support for SCI_NAMESPACE to allow all internal Scintilla
	classes to be placed in the Scintilla namespace.
	[ab7857131e35] <2.6-maint>

2011-11-11  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.6 for changeset 8b119c4f69d0
	[1a5dd31e773e]

	* NEWS, lib/README.doc:
	Updated the NEWS file. Updated the introductory documentation.
	Released as v2.6.
	[8b119c4f69d0] [2.6]

2011-11-07  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qscicommandset.sip, Python/sip/qsciscintilla.sip,
	qt/qscicommandset.cpp, qt/qscicommandset.h, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added QsciCommandSet::boundTo(). Ordinary keys and those bound to
	commands now override any shortcuts.
	[ba98bc555aca]

2011-10-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.qm, qt/qscintilla_de.ts:
	More updated German translations from Detlev.
	[9ff20df1997b]

2011-10-27  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.qm, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_es.qm, qt/qscintilla_es.ts, qt/qscintilla_fr.qm,
	qt/qscintilla_pt_br.qm, qt/qscintilla_ru.qm:
	Updated Spanish translations from Jaime. Updated German translations
	from Detlev.
	[4903315d96b1]

2011-10-23  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscicommand.sip:
	Fixed SelectAll in the Python bindings.
	[b6f0a46e0eac]

	* qt/ScintillaQt.cpp, qt/qsciscintillabase.cpp:
	Fixed drag and drop (specifically so that copying works on OS/X
	again).
	[6ab90cb63b2b]

2011-10-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Fixed a display bug with kerned fonts.
	[a746e319d9cd]

	* qt/qsciscintilla.cpp:
	The foreground and background colours of selected text are now taken
	from the application palette.
	[7f6c34ad8d27]

	* NEWS:
	Updated the NEWS file.
	[1717c6d59b12]

	* Python/sip/qsciscintilla.sip, qt/qscicommand.h,
	qt/qscicommandset.cpp, qt/qscintilla_cs.ts, qt/qscintilla_de.ts,
	qt/qscintilla_es.ts, qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts,
	qt/qscintilla_ru.ts, qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Renamed QsciCommand::SelectDocument to SelectAll. Added
	QsciScintilla::createStandardContextMenu().
	[c42fa7e83b07]

2011-10-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the .ts files.
	[92d0b6ddf371]

	* qt/qscicommandset.cpp:
	Completed the OS/X specific key bindings.
	[964fa889b807]

2011-10-20  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscicommandset.cpp, qt/qsciscintillabase.cpp:
	Fixed the support for SCMOD_META. Started to add the correct OS/X
	key bindings as the default.
	[0073fa86a5a0]

	* Python/sip/qscicommand.sip, qt/qscicommand.h, qt/qscicommandset.cpp:
	All available commands are now defined in the standard command set.
	[7c7b81b55f0e]

	* Python/sip/qscicommand.sip, qt/qscicommand.h:
	Completed the QsciCommand::Command documentation. Added the members
	to QsciCommand.Command in the Python bindings.
	[0ca6ff576c21]

2011-10-18  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qscicommandset.sip, qt/qscicommand.h,
	qt/qscicommandset.cpp, qt/qscicommandset.h:
	Added QsciCommandSet::find().
	[e75565018b90]

	* NEWS, Python/sip/qscicommand.sip, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qscicommand.cpp,
	qt/qscicommand.h, qt/qscicommandset.cpp, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added Command, command() and execute() to QsciCommand. Backed out
	the high level support for moving the selection up and down.
	[4852ee57353e]

2011-10-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexersql.cpp:
	Fix for the changed fold at else property in the SQL lexer.
	[e65a458cd9d8]

	* NEWS, Python/sip/qscilexerpython.sip, qt/qscilexerpython.cpp,
	qt/qscilexerpython.h:
	Added highlightSubidentifiers() and setHighlightSubidentifiers() to
	the Python lexer.
	[b397695bc2ab]

	* NEWS, Python/sip/qscilexercpp.sip, qt/qscilexercpp.cpp,
	qt/qscilexercpp.h:
	Added support for triple quoted strings to the C++ lexer.
	[687d04948c5d]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added low level support for identifiers, scrolling to the start and
	end. Added low and hight level support for moving the selection up
	and down.
	[3ac1ccfad039]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added low and high level support for margin options.
	[f3cd3244cecd]

2011-10-14  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Updated the brace matching support to handle indicators.
	[7e4a4d3529a8]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added SCI_SETEMPTYSELECTION.
	[879b97c676a4]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Updated the support for indicators.
	[b3643569a827]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added SCI_MARKERSETBACKSELECTED and SCI_MARKERENABLEHIGHLIGHT.
	[7127ee82d128]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Added low and high-level support for RGBA images (ie. QImage).
	[7707052913ef]

2011-10-13  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qscilexerlua.sip, qt/qscilexerlua.cpp,
	qt/qscilexerlua.h:
	Updated the Lua lexer.
	[710e50d5692c]

	* NEWS, Python/sip/qscilexerperl.sip, qt/qscilexerperl.cpp,
	qt/qscilexerperl.h:
	Updated the Perl lexer.
	[6d16e2e9354b]

2011-10-11  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, cocoa/ScintillaCallTip.h,
	cocoa/ScintillaCallTip.mm, cocoa/ScintillaListBox.h,
	cocoa/ScintillaListBox.mm, cocoa/res/info_bar_bg.png,
	cocoa/res/mac_cursor_busy.png, cocoa/res/mac_cursor_flipped.png,
	macosx/SciTest/English.lproj/InfoPlist.strings,
	macosx/SciTest/English.lproj/main.nib/classes.nib,
	macosx/SciTest/English.lproj/main.nib/info.nib,
	macosx/SciTest/English.lproj/main.nib/objects.xib,
	macosx/SciTest/English.lproj/main.xib, qt/ListBoxQt.cpp,
	qt/ListBoxQt.h, qt/PlatQt.cpp, qt/qscintilla.pro, src/XPM.cxx,
	src/XPM.h:
	Some fixes left over from the merge of v2.29. Added support for RGBA
	images so that the merged version compiles.
	[16c6831c337f]

	* cocoa/InfoBar.mm, cocoa/PlatCocoa.h, cocoa/PlatCocoa.mm,
	cocoa/QuartzTextLayout.h, cocoa/QuartzTextStyle.h,
	cocoa/QuartzTextStyleAttribute.h, cocoa/ScintillaCocoa.h,
	cocoa/ScintillaCocoa.mm, cocoa/ScintillaFramework/ScintillaFramework
	.xcodeproj/project.pbxproj, cocoa/ScintillaTest/AppController.mm,
	cocoa/ScintillaTest/ScintillaTest.xcodeproj/project.pbxproj,
	cocoa/ScintillaView.h, cocoa/ScintillaView.mm, doc/SciCoding.html,
	doc/ScintillaDoc.html, doc/ScintillaDownload.html,
	doc/ScintillaHistory.html, doc/ScintillaRelated.html,
	doc/ScintillaToDo.html, doc/index.html, gtk/PlatGTK.cxx,
	gtk/ScintillaGTK.cxx, gtk/makefile, include/Platform.h,
	include/SciLexer.h, include/Scintilla.h, include/Scintilla.iface,
	lexers/LexAU3.cxx, lexers/LexCOBOL.cxx, lexers/LexCPP.cxx,
	lexers/LexConf.cxx, lexers/LexHTML.cxx, lexers/LexInno.cxx,
	lexers/LexLua.cxx, lexers/LexMagik.cxx, lexers/LexMarkdown.cxx,
	lexers/LexMatlab.cxx, lexers/LexModula.cxx, lexers/LexOthers.cxx,
	lexers/LexPerl.cxx, lexers/LexPowerPro.cxx, lexers/LexPython.cxx,
	lexers/LexSQL.cxx, lexers/LexTeX.cxx, lexers/LexVHDL.cxx,
	lexers/LexVerilog.cxx, lexlib/Accessor.cxx, lexlib/CharacterSet.h,
	lexlib/PropSetSimple.cxx, lexlib/SparseState.h,
	lexlib/StyleContext.h, lexlib/WordList.cxx, macosx/PlatMacOSX.cxx,
	macosx/PlatMacOSX.h, macosx/SciTest/SciTest.xcode/project.pbxproj,
	macosx/ScintillaMacOSX.h, macosx/makefile, src/CallTip.cxx,
	src/ContractionState.cxx, src/ContractionState.h,
	src/Decoration.cxx, src/Document.cxx, src/Document.h,
	src/Editor.cxx, src/Editor.h, src/Indicator.cxx, src/Indicator.h,
	src/KeyMap.cxx, src/KeyMap.h, src/LexGen.py, src/LineMarker.cxx,
	src/LineMarker.h, src/PerLine.cxx, src/PositionCache.cxx,
	src/PositionCache.h, src/RESearch.cxx, src/RunStyles.cxx,
	src/RunStyles.h, src/ScintillaBase.cxx, src/Style.cxx, src/Style.h,
	src/ViewStyle.cxx, src/ViewStyle.h, src/XPM.cxx, src/XPM.h,
	test/XiteMenu.py, test/XiteWin.py, test/examples/x.html,
	test/examples/x.html.styled, test/performanceTests.py,
	test/simpleTests.py, test/unit/testContractionState.cxx,
	test/unit/testRunStyles.cxx, version.txt, win32/PlatWin.cxx,
	win32/ScintRes.rc, win32/ScintillaWin.cxx, win32/scintilla.mak:
	Merged Scintilla v2.29.
	[750c2c3cef72]

	* Merged the v2.5 maintenance branch back into the trunk.
	[eab39863675f]

2011-06-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexer.cpp, qt/qscilexerbash.cpp, qt/qscilexerbatch.cpp,
	qt/qscilexercmake.cpp, qt/qscilexercpp.cpp, qt/qscilexercsharp.cpp,
	qt/qscilexercss.cpp, qt/qscilexerd.cpp, qt/qscilexerfortran77.cpp,
	qt/qscilexerhtml.cpp, qt/qscilexerjavascript.cpp,
	qt/qscilexerlua.cpp, qt/qscilexermakefile.cpp,
	qt/qscilexermatlab.cpp, qt/qscilexerpascal.cpp,
	qt/qscilexerperl.cpp, qt/qscilexerpostscript.cpp,
	qt/qscilexerpov.cpp, qt/qscilexerproperties.cpp,
	qt/qscilexerpython.cpp, qt/qscilexerruby.cpp, qt/qscilexerspice.cpp,
	qt/qscilexersql.cpp, qt/qscilexertcl.cpp, qt/qscilexerverilog.cpp,
	qt/qscilexervhdl.cpp, qt/qscilexerxml.cpp, qt/qscilexeryaml.cpp:
	Changed the default fonts for MacOS so that they are larger and
	similar to the Windows defaults.
	[9c37c180ba8d] <2.5-maint>

	* build.py:
	Fixed the build system for MacOS as the development platform.
	[3352479980c5] <2.5-maint>

2011-05-13  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/README.doc:
	Updated the licensing information in the main documentation.
	[d31c561e0b7c] <2.5-maint>

	* lib/LICENSE.GPL2, lib/LICENSE.GPL3, lib/LICENSE.gpl.short:
	Removed some out of date links from the license information. Updated
	the dates of some copyright notices.
	[a84451464396] <2.5-maint>

2011-05-10  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added the optional posix flag to QsciScintilla::findFirst().
	[ad6064227d06] <2.5-maint>

2011-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, qt/qscintilla.pro, qt/qsciscintilla.cpp,
	qt/qscistyle.cpp, qt/qscistyle.h, qt/qscistyledtext.cpp,
	qt/qscistyledtext.h:
	Fixed problems with QsciStyle and QsciStyledText when used with more
	than one QsciScintilla instance.
	[8bac389fb7ae] <2.5-maint>

2011-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciglobal.h:
	Changed the handling of QT_BEGIN_NAMESPACE etc. as it isn't defined
	in early versions of Qt v4.
	[595c8c6cdfd2] <2.5-maint>

2011-04-17  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.5.1 for changeset c8648c2c0c7f
	[298153b3d40e] <2.5-maint>

	* NEWS:
	Released as v2.5.1.
	[c8648c2c0c7f] [2.5.1] <2.5-maint>

2011-04-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.ts, qt/qscintilla_es.ts:
	Updated translations from Detlev and Jaime.
	[9436bea546c9] <2.5-maint>

2011-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.qm, qt/qscintilla_de.qm, qt/qscintilla_es.qm,
	qt/qscintilla_fr.qm, qt/qscintilla_pt_br.qm, qt/qscintilla_ru.qm:
	Updated the compiled translation files.
	[c5d39aca8f51] <2.5-maint>

2011-04-13  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qscilexermatlab.sip, Python/sip/qscilexeroctave.sip,
	Python/sip/qscimodcommon.sip:
	Added Python bindings for QsciLexerMatlab abd QsciLexerOctave.
	[22d0ed0fab2a] <2.5-maint>

	* NEWS, qt/qscilexermatlab.cpp, qt/qscilexermatlab.h,
	qt/qscilexeroctave.cpp, qt/qscilexeroctave.h, qt/qscintilla.pro,
	qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Added QsciLexerMatlab and QsciLexerOctave.
	[40d3053334de] <2.5-maint>

2011-04-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Merged the font strategy fix from the trunk.
	[d270e1b107d2] <2.5-maint>

	* NEWS:
	Updated the NEWS file.
	[8f32ff4cdd1f] <2.5-maint>

2011-04-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp, qt/qscintilla.pro:
	Fixed the handling of the font quality setting so that the default
	behavior (particularly on Windows) is the same as earlier versions.
	[87ae98d2674b]

2011-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.5 for changeset 9d94a76f783e
	[e4807fd91f6c]

	* NEWS:
	Released as v2.5.
	[9d94a76f783e] [2.5]

2011-03-28  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/configure.py:
	Added support for the protected-is-public hack to configure.py.
	[beee52b8e10a]

2011-03-27  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp:
	Fixed an OS/X build problem.
	[ac7f1d3c9abe]

2011-03-26  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added replaceSelectedText() to QsciScintilla.
	[3c00a19d6571]

2011-03-25  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, Python/sip/qsciapis.sip,
	Python/sip/qscilexer.sip, Python/sip/qscilexercustom.sip,
	Python/sip/qscimod4.sip, Python/sip/qsciprinter.sip,
	Python/sip/qsciscintilla.sip, Python/sip/qscistyle.sip,
	qt/qsciapis.cpp, qt/qsciapis.h, qt/qscilexercustom.cpp,
	qt/qscilexercustom.h, qt/qsciscintilla.cpp, qt/qsciscintilla.h,
	qt/qscistyle.cpp, qt/qscistyle.h:
	Went through the API making sure all optional arguments had
	consistent and meaningful names. Enabled keyword support in the
	Python bindings.
	[d60fa45e40b7]

2011-03-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.qm, qt/qscintilla_de.ts, qt/qscintilla_es.qm,
	qt/qscintilla_es.ts:
	Updated German translations from Detlev. Updated Spanish
	translations from Jaime.
	[f64c97749375]

2011-03-21  Phil Thompson  <phil@riverbankcomputing.com>

	* lexers/LexModula.cxx, lexlib/SparseState.h, qt/qscintilla_cs.ts,
	qt/qscintilla_de.ts, qt/qscintilla_es.ts, qt/qscintilla_fr.ts,
	qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts,
	test/unit/testSparseState.cxx, vcbuild/SciLexer.dsp:
	Updated the translation files. Updated the repository for the new
	and removed Scintilla v2.25 files.
	[6eb77ba7c57c]

	* NEWS, Python/sip/qscilexercpp.sip, Python/sip/qsciscintillabase.sip,
	qt/qscilexercpp.cpp, qt/qscilexercpp.h, qt/qscintilla.pro,
	qt/qsciscintillabase.h:
	Added support for raw string to the C++ lexer.
	[f83112ced877]

	* NEWS, cocoa/Framework.mk, cocoa/PlatCocoa.mm,
	cocoa/ScintillaCocoa.mm, cocoa/ScintillaFramework/ScintillaFramework
	.xcodeproj/project.pbxproj, cocoa/ScintillaTest/AppController.mm,
	cocoa/ScintillaView.h, cocoa/ScintillaView.mm,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/ScintillaRelated.html, doc/index.html, gtk/PlatGTK.cxx,
	gtk/makefile, include/Platform.h, include/SciLexer.h,
	include/Scintilla.iface, lexers/LexAsm.cxx, lexers/LexBasic.cxx,
	lexers/LexCPP.cxx, lexers/LexD.cxx, lexers/LexFortran.cxx,
	lexers/LexOthers.cxx, lexlib/CharacterSet.h, lib/README.doc,
	macosx/SciTest/main.cpp, src/AutoComplete.cxx, src/Catalogue.cxx,
	src/Document.cxx, src/Editor.cxx, src/LexGen.py, test/unit/makefile,
	version.txt, win32/PlatWin.cxx, win32/ScintRes.rc,
	win32/scintilla.mak, win32/scintilla_vc6.mak:
	Merged Scintilla v2.25.
	[e01dec109182]

2011-03-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_es.qm, qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime Seuma.
	[b83a3ca4f3e6]

2011-03-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.qm, qt/qscintilla_de.ts:
	Updated German translations from Detlev.
	[e5729134a47b]

2011-03-11  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the translation source files.
	[51e8ee8b1ba9]

	* NEWS, Python/sip/qscilexercpp.sip, qt/qscilexercpp.cpp,
	qt/qscilexercpp.h:
	Added support for the inactive styles of QsciLexerCPP.
	[59b566d322af]

	* qt/qscilexercpp.cpp, qt/qscilexercpp.h:
	Inlined all existing property getters in QsciLexerCPP.
	[1117e5105e5e]

2011-03-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Fixed QsciScintilla::setContractedFolds() so that it actually
	updates the display to show the new state.
	[5079f59a0103]

	* NEWS, Python/sip/qscilexerhtml.sip, qt/qscilexerhtml.cpp,
	qt/qscilexerhtml.h:
	Updated QsciLexerHTML.
	[0707f4bc7855]

	* NEWS, Python/sip/qscilexerproperties.sip,
	qt/qscilexerproperties.cpp, qt/qscilexerproperties.h:
	Updated QsciLexerProperties.
	[1dfe5e2d4913]

	* NEWS, Python/sip/qscilexerpython.sip, Python/sip/qscilexerruby.sip,
	Python/sip/qscilexersql.sip, Python/sip/qscilexertcl.sip,
	Python/sip/qscilexertex.sip, qt/qscilexerpython.cpp,
	qt/qscilexerpython.h, qt/qscilexerruby.h, qt/qscilexersql.h,
	qt/qscilexertcl.h, qt/qscilexertex.cpp, qt/qscilexertex.h:
	Updated QsciLexerPython.
	[bc96868a1a6f]

	* NEWS, Python/sip/qscilexerruby.sip, Python/sip/qscilexersql.sip,
	Python/sip/qscilexertcl.sip, Python/sip/qscilexertex.sip,
	qt/qscilexerruby.cpp, qt/qscilexerruby.h, qt/qscilexersql.h,
	qt/qscilexertcl.h, qt/qscilexertex.h:
	The new lexer property setters are no longer virtual slots.
	[c3e88383e8d3]

	* qt/qscilexersql.cpp, qt/qscilexersql.h:
	Restored the default behaviour of setFoldCompact() for QsciLexerSQL.
	[c74aef0f7eb4]

	* NEWS, Python/sip/qscilexertcl.sip, qt/qscilexersql.h,
	qt/qscilexertcl.cpp, qt/qscilexertcl.h:
	Updated QsciLexerTCL.
	[43a150bb40d5]

	* NEWS, Python/sip/qscilexertex.sip, qt/qscilexertex.cpp,
	qt/qscilexertex.h:
	Updated QsciLexerTeX.
	[1457935cee44]

	* qt/qscintilla_cs.qm, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_es.qm, qt/qscintilla_fr.qm, qt/qscintilla_pt_br.qm,
	qt/qscintilla_ru.qm:
	Updated German translations from Detlev.
	[ad4a4bd4855b]

2011-03-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the .ts translation files.
	[8d70033d07e2]

	* NEWS, Python/sip/qscilexersql.sip, qt/qscilexersql.cpp,
	qt/qscilexersql.h:
	Updated QsciLexerSQL.
	[8bc79d109c88]

	* NEWS, Python/sip/qscilexercss.sip, qt/qscilexercss.cpp,
	qt/qscilexercss.h:
	Updated QsciLexerCSS.
	[f3adcb31b1a9]

	* NEWS, Python/sip/qscilexerd.sip, qt/qscilexerd.cpp, qt/qscilexerd.h:
	Updated QsciLexerD.
	[82d8a6561943]

	* Python/sip/qscilexerlua.sip, qt/qscilexerlua.cpp, qt/qscilexerlua.h:
	Updated QsciLexerLua.
	[103f5881c642]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qsciscintillabase.h:
	Added support for the QsciScintillaBase::SCN_HOTSPOTRELEASECLICK()
	signal.
	[1edd56e105cd]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for SCLEX_MARKDOWN, SCLEX_TXT2TAGS and
	SCLEX_A68K.
	[de92a613cea7]

	* Python/sip/qsciscintillabase.sip, qt/qscicommand.cpp,
	qt/qsciscintilla.cpp, qt/qsciscintillabase.h:
	Added support for SCMOD_SUPER as the Qt Meta key modifier.
	[24e745cddeea]

	* NEWS, Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Updated the QsciScintillaBase::SCN_UPDATEUI() signal. Added low-
	level support for SC_MOD_LEXERSTATE.
	[0a341fcb0545]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for the updated property functions.
	[f33d9c271992]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for SCI_GETLEXERLANGUAGE and
	SCI_PRIVATELEXERCALL.
	[ac69f8c2ef3b]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for the new stick caret options.
	[693ac6c68e6f]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for SCI_AUTOCGETCURRENTTEXT.
	[2634827cdb4e]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for SC_SEL_THIN.
	[4225a944dc14]

	* qt/qsciscintilla.cpp:
	Folding now works again.
	[3972053c646e]

2011-03-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for SCI_VERTICALCENTRECARET.
	[92d5ecb154d1]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added setContractedFolds() and contractedFolds() to QsciScintilla.
	[46eb254c6200]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for SCI_CHANGELEXERSTATE.
	[edd899d77aa7]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintilla.h,
	qt/qsciscintillabase.h:
	Added low-level support for SCI_CHARPOSITIONFROMPOINT and
	SCI_CHARPOSITIONFROMPOINTCLOSE.
	[5a000cf4bfba]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added low-level support for multiple selections.
	[dedda8cbf413]

	* Python/sip/qsciscintillabase.sip, qt/qsciscintillabase.h:
	Added SCI_GETTAG.
	[775d0058f00e]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added QsciScintilla::setFirstVisibleLine().
	[8b662ffe3fb6]

	* Python/sip/qsciscintillabase.sip, qt/PlatQt.cpp,
	qt/qsciscintillabase.h:
	Added low-level support for setting the font quality.
	[933e8b01eda6]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added high-level support for line wrap indentation modes.
	[1faa3b2fa31e]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added high-level support for extra ascent and descent space. Added
	high-level support for whitespace size, foreground and background.
	[537c551a79ef]

	* Python/sip/qsciscintillabase.sip, qt/PlatQt.cpp,
	qt/qsciscintillabase.h:
	Updated the low level support for cursors.
	[2ce685a89697]

	* NEWS, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, qt/qsciscintilla.h,
	qt/qsciscintillabase.h:
	Updated the support for markers and added FullRectangle,
	LeftRectangle and Underline to the MarkerSymbol enum.
	[4c626f8189bf]

2011-03-06  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/ScintillaQt.h, qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Rectangular selections are now fully supported. The signatures of
	toMimeData() and fromMimeData() have changed.
	[397948f42b2e]

	* NEWS:
	Updated the NEWS file.
	[bc75b98210f2]

	* .hgignore:
	Added the .hgignore file.
	[77312a36220e]

	* qt/qsciscintilla.cpp:
	Removed the workaround for the broken annotations in Scintilla
	v1.78.
	[70ab4c4b7c66]

	* qt/ListBoxQt.cpp:
	Fixed a regression when displaying an auto-completion list.
	[c38d4b97a1ca]

2011-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ListBoxQt.cpp, qt/PlatQt.cpp, qt/ScintillaQt.cpp,
	qt/ScintillaQt.h, qt/qsciscintillabase.cpp:
	Completed the merge of Scintilla v2.24.
	[6890939e2da6]

	* build.py, qt/qscintilla.pro:
	More build system changes.
	[3e9deec76c02]

	* qt/qscintilla.pro, qt/qsciscintilla.cpp:
	Updated the .pro file for the changed files and directory structure
	in v2.24.
	[274cb7017857]

	* License.txt, README, bin/empty.txt, cocoa/Framework.mk,
	cocoa/InfoBar.h, cocoa/InfoBar.mm, cocoa/InfoBarCommunicator.h,
	cocoa/PlatCocoa.h, cocoa/PlatCocoa.mm, cocoa/QuartzTextLayout.h,
	cocoa/QuartzTextStyle.h, cocoa/QuartzTextStyleAttribute.h,
	cocoa/SciTest.mk, cocoa/ScintillaCallTip.h,
	cocoa/ScintillaCallTip.mm, cocoa/ScintillaCocoa.h,
	cocoa/ScintillaCocoa.mm, cocoa/ScintillaFramework/Info.plist, cocoa/
	ScintillaFramework/ScintillaFramework.xcodeproj/project.pbxproj,
	cocoa/ScintillaFramework/Scintilla_Prefix.pch,
	cocoa/ScintillaListBox.h, cocoa/ScintillaListBox.mm,
	cocoa/ScintillaTest/AppController.h,
	cocoa/ScintillaTest/AppController.mm,
	cocoa/ScintillaTest/English.lproj/MainMenu.xib,
	cocoa/ScintillaTest/Info.plist, cocoa/ScintillaTest/Scintilla-
	Info.plist,
	cocoa/ScintillaTest/ScintillaTest.xcodeproj/project.pbxproj,
	cocoa/ScintillaTest/ScintillaTest_Prefix.pch,
	cocoa/ScintillaTest/TestData.sql, cocoa/ScintillaTest/main.m,
	cocoa/ScintillaView.h, cocoa/ScintillaView.mm, cocoa/common.mk,
	delbin.bat, delcvs.bat, doc/Design.html, doc/Lexer.txt,
	doc/SciBreak.jpg, doc/SciCoding.html, doc/SciRest.jpg,
	doc/SciTEIco.png, doc/SciWord.jpg, doc/ScintillaDoc.html,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/ScintillaRelated.html, doc/ScintillaToDo.html,
	doc/ScintillaUsage.html, doc/Steps.html, doc/index.html,
	gtk/Converter.h, gtk/PlatGTK.cxx, gtk/ScintillaGTK.cxx,
	gtk/deps.mak, gtk/makefile, gtk/scintilla-marshal.c, gtk/scintilla-
	marshal.h, gtk/scintilla-marshal.list, gtk/scintilla.mak,
	include/Accessor.h, include/Face.py, include/HFacer.py,
	include/ILexer.h, include/KeyWords.h, include/Platform.h,
	include/PropSet.h, include/SString.h, include/SciLexer.h,
	include/Scintilla.h, include/Scintilla.iface,
	include/ScintillaWidget.h, include/WindowAccessor.h,
	lexers/LexA68k.cxx, lexers/LexAPDL.cxx, lexers/LexASY.cxx,
	lexers/LexAU3.cxx, lexers/LexAVE.cxx, lexers/LexAbaqus.cxx,
	lexers/LexAda.cxx, lexers/LexAsm.cxx, lexers/LexAsn1.cxx,
	lexers/LexBaan.cxx, lexers/LexBash.cxx, lexers/LexBasic.cxx,
	lexers/LexBullant.cxx, lexers/LexCLW.cxx, lexers/LexCOBOL.cxx,
	lexers/LexCPP.cxx, lexers/LexCSS.cxx, lexers/LexCaml.cxx,
	lexers/LexCmake.cxx, lexers/LexConf.cxx, lexers/LexCrontab.cxx,
	lexers/LexCsound.cxx, lexers/LexD.cxx, lexers/LexEScript.cxx,
	lexers/LexEiffel.cxx, lexers/LexErlang.cxx, lexers/LexFlagship.cxx,
	lexers/LexForth.cxx, lexers/LexFortran.cxx, lexers/LexGAP.cxx,
	lexers/LexGui4Cli.cxx, lexers/LexHTML.cxx, lexers/LexHaskell.cxx,
	lexers/LexInno.cxx, lexers/LexKix.cxx, lexers/LexLisp.cxx,
	lexers/LexLout.cxx, lexers/LexLua.cxx, lexers/LexMMIXAL.cxx,
	lexers/LexMPT.cxx, lexers/LexMSSQL.cxx, lexers/LexMagik.cxx,
	lexers/LexMarkdown.cxx, lexers/LexMatlab.cxx,
	lexers/LexMetapost.cxx, lexers/LexMySQL.cxx, lexers/LexNimrod.cxx,
	lexers/LexNsis.cxx, lexers/LexOpal.cxx, lexers/LexOthers.cxx,
	lexers/LexPB.cxx, lexers/LexPLM.cxx, lexers/LexPOV.cxx,
	lexers/LexPS.cxx, lexers/LexPascal.cxx, lexers/LexPerl.cxx,
	lexers/LexPowerPro.cxx, lexers/LexPowerShell.cxx,
	lexers/LexProgress.cxx, lexers/LexPython.cxx, lexers/LexR.cxx,
	lexers/LexRebol.cxx, lexers/LexRuby.cxx, lexers/LexSML.cxx,
	lexers/LexSQL.cxx, lexers/LexScriptol.cxx, lexers/LexSmalltalk.cxx,
	lexers/LexSorcus.cxx, lexers/LexSpecman.cxx, lexers/LexSpice.cxx,
	lexers/LexTACL.cxx, lexers/LexTADS3.cxx, lexers/LexTAL.cxx,
	lexers/LexTCL.cxx, lexers/LexTeX.cxx, lexers/LexTxt2tags.cxx,
	lexers/LexVB.cxx, lexers/LexVHDL.cxx, lexers/LexVerilog.cxx,
	lexers/LexYAML.cxx, lexlib/Accessor.cxx, lexlib/Accessor.h,
	lexlib/CharacterSet.cxx, lexlib/CharacterSet.h,
	lexlib/LexAccessor.h, lexlib/LexerBase.cxx, lexlib/LexerBase.h,
	lexlib/LexerModule.cxx, lexlib/LexerModule.h,
	lexlib/LexerNoExceptions.cxx, lexlib/LexerNoExceptions.h,
	lexlib/LexerSimple.cxx, lexlib/LexerSimple.h, lexlib/OptionSet.h,
	lexlib/PropSetSimple.cxx, lexlib/PropSetSimple.h,
	lexlib/StyleContext.cxx, lexlib/StyleContext.h, lexlib/WordList.cxx,
	lexlib/WordList.h, lib/README.doc, macosx/PlatMacOSX.cxx,
	macosx/SciTest/SciTest.xcode/project.pbxproj,
	macosx/ScintillaMacOSX.cxx, macosx/ScintillaMacOSX.h,
	macosx/deps.mak, macosx/makefile, src/AutoComplete.cxx,
	src/AutoComplete.h, src/CallTip.cxx, src/CallTip.h,
	src/Catalogue.cxx, src/Catalogue.h, src/CellBuffer.cxx,
	src/CellBuffer.h, src/CharClassify.cxx, src/CharClassify.h,
	src/CharacterSet.h, src/ContractionState.cxx,
	src/ContractionState.h, src/Decoration.h, src/Document.cxx,
	src/Document.h, src/DocumentAccessor.cxx, src/DocumentAccessor.h,
	src/Editor.cxx, src/Editor.h, src/ExternalLexer.cxx,
	src/ExternalLexer.h, src/FontQuality.h, src/Indicator.cxx,
	src/Indicator.h, src/KeyMap.cxx, src/KeyMap.h, src/KeyWords.cxx,
	src/LexAPDL.cxx, src/LexASY.cxx, src/LexAU3.cxx, src/LexAVE.cxx,
	src/LexAbaqus.cxx, src/LexAda.cxx, src/LexAsm.cxx, src/LexAsn1.cxx,
	src/LexBaan.cxx, src/LexBash.cxx, src/LexBasic.cxx,
	src/LexBullant.cxx, src/LexCLW.cxx, src/LexCOBOL.cxx,
	src/LexCPP.cxx, src/LexCSS.cxx, src/LexCaml.cxx, src/LexCmake.cxx,
	src/LexConf.cxx, src/LexCrontab.cxx, src/LexCsound.cxx,
	src/LexD.cxx, src/LexEScript.cxx, src/LexEiffel.cxx,
	src/LexErlang.cxx, src/LexFlagship.cxx, src/LexForth.cxx,
	src/LexFortran.cxx, src/LexGAP.cxx, src/LexGen.py,
	src/LexGui4Cli.cxx, src/LexHTML.cxx, src/LexHaskell.cxx,
	src/LexInno.cxx, src/LexKix.cxx, src/LexLisp.cxx, src/LexLout.cxx,
	src/LexLua.cxx, src/LexMMIXAL.cxx, src/LexMPT.cxx, src/LexMSSQL.cxx,
	src/LexMagik.cxx, src/LexMatlab.cxx, src/LexMetapost.cxx,
	src/LexMySQL.cxx, src/LexNimrod.cxx, src/LexNsis.cxx,
	src/LexOpal.cxx, src/LexOthers.cxx, src/LexPB.cxx, src/LexPLM.cxx,
	src/LexPOV.cxx, src/LexPS.cxx, src/LexPascal.cxx, src/LexPerl.cxx,
	src/LexPowerPro.cxx, src/LexPowerShell.cxx, src/LexProgress.cxx,
	src/LexPython.cxx, src/LexR.cxx, src/LexRebol.cxx, src/LexRuby.cxx,
	src/LexSML.cxx, src/LexSQL.cxx, src/LexScriptol.cxx,
	src/LexSmalltalk.cxx, src/LexSorcus.cxx, src/LexSpecman.cxx,
	src/LexSpice.cxx, src/LexTACL.cxx, src/LexTADS3.cxx, src/LexTAL.cxx,
	src/LexTCL.cxx, src/LexTeX.cxx, src/LexVB.cxx, src/LexVHDL.cxx,
	src/LexVerilog.cxx, src/LexYAML.cxx, src/LineMarker.cxx,
	src/LineMarker.h, src/Partitioning.h, src/PerLine.cxx,
	src/PerLine.h, src/PositionCache.cxx, src/PositionCache.h,
	src/PropSet.cxx, src/RESearch.cxx, src/RESearch.h,
	src/RunStyles.cxx, src/SVector.h, src/SciTE.properties,
	src/ScintillaBase.cxx, src/ScintillaBase.h, src/Selection.cxx,
	src/Selection.h, src/SplitVector.h, src/Style.cxx, src/Style.h,
	src/StyleContext.cxx, src/StyleContext.h, src/UniConversion.cxx,
	src/UniConversion.h, src/ViewStyle.cxx, src/ViewStyle.h,
	src/WindowAccessor.cxx, src/XPM.cxx, src/XPM.h,
	test/MessageNumbers.py, test/README, test/XiteMenu.py,
	test/XiteWin.py, test/examples/x.asp, test/examples/x.asp.styled,
	test/examples/x.cxx, test/examples/x.cxx.styled, test/examples/x.d,
	test/examples/x.d.styled, test/examples/x.html,
	test/examples/x.html.styled, test/examples/x.php,
	test/examples/x.php.styled, test/examples/x.py,
	test/examples/x.py.styled, test/examples/x.vb,
	test/examples/x.vb.styled, test/lexTests.py,
	test/performanceTests.py, test/simpleTests.py, test/unit/README,
	test/unit/SciTE.properties, test/unit/makefile,
	test/unit/testContractionState.cxx, test/unit/testPartitioning.cxx,
	test/unit/testRunStyles.cxx, test/unit/testSplitVector.cxx,
	test/unit/unitTest.cxx, test/xite.py, vcbuild/SciLexer.dsp,
	version.txt, win32/Margin.cur, win32/PlatWin.cxx,
	win32/PlatformRes.h, win32/SciTE.properties, win32/ScintRes.rc,
	win32/Scintilla.def, win32/ScintillaWin.cxx, win32/deps.mak,
	win32/makefile, win32/scintilla.mak, win32/scintilla_vc6.mak,
	zipsrc.bat:
	Merged Scintilla v2.24.
	[59ca27407fd9]

2011-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py, qt/qscintilla.pro:
	Updated the .so version number to 6.0.0.
	[8ebe3f1fccd4]

	* Makefile:
	Switched the build system to Qt v4.7.2.
	[47f653394ef0]

	* .hgtags, lib/README.svn:
	Merged the v2.4 maintenance branch.
	[d00b7d9115d1]

	* qsci/api/python/Python-3.2.api:
	Added an API file for Python v3.2.
	[8cc94408b710] <2.4-maint>

2011-02-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintillabase.cpp:
	On X11 the control modifier is now used (instead of alt) to trigger
	a rectangular selection.
	[4bea3b8b8271] <2.4-maint>

2011-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscimacro.cpp:
	Fixed a bug with Qt4 when loading a macro that meant that a macro
	may not have a terminating '\0'.
	[bbec6ef96cd2] <2.4-maint>

2011-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial.short, lib/LICENSE.gpl.short:
	Updated the copyright notices.
	[f386964f3853] <2.4-maint>

	* Python/sip/qsciscintilla.sip, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Deprecated setAutoCompletionShowSingle(), added
	setAutoCompletionUseSingle(). Deprecated autoCompletionShowSingle(),
	added autoCompletionUseSingle().
	[7dae1a33b74b] <2.4-maint>

	* qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	QsciScintilla::setAutoCompletionCaseSensitivity() is no longer
	ignored if a lexer has been set.
	[92d3c5f7b825] <2.4-maint>

	* qt/qscintilla.pro, qt/qsciscintillabase.cpp:
	Translate Key_Backtab to Shift-Key_Tab before passing to Scintilla.
	[fc2d75b26ef8] <2.4-maint>

2011-01-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime Seuma.
	[8921e85723a1] <2.4-maint>

2010-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.h:
	Fixed a documentation typo.
	[1b951cf8838a] <2.4-maint>

2010-12-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.4.6 for changeset 1884d76f35b0
	[696037b84e26] <2.4-maint>

	* NEWS:
	Released as v2.4.6.
	[1884d76f35b0] [2.4.6] <2.4-maint>

2010-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp:
	Auto-completion words from documents are now ignored if they are
	already included from APIs.
	[db48fbf19e7c] <2.4-maint>

	* qt/SciClasses.cpp:
	Make sure call tips are redrawn afer being clicked on.
	[497ad4605ae3] <2.4-maint>

2010-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Added support for indicators to the high-level API. See the NEWS
	file for the details.
	[8673b7890874] <2.4-maint>

2010-11-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/configure.py:
	Added the --no-timestamp option to configure.py.
	[61d1b5d28e21] <2.4-maint>

	* qsci/api/python/Python-2.7.api:
	Added the API file for Python v2.7.
	[5b2c77e7150a] <2.4-maint>

2010-11-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qt/PlatQt.cpp:
	Applied a fix for calculating character widths under OS/X. Switched
	the build system to Qt v4.7.1.
	[47a4eff86efa] <2.4-maint>

2010-11-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexercpp.h:
	Fixed a bug in the documentation of QsciLexerCPP.GlobalClass.
	[3cada289b329] <2.4-maint>

2010-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/SciClasses.h, qt/ScintillaQt.h, qt/qscicommandset.h,
	qt/qsciglobal.h, qt/qscilexer.h, qt/qsciprinter.h,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Added support for QT_BEGIN_NAMESPACE and QT_END_NAMESPACE.
	[a80f0df49f6c] <2.4-maint>

2010-10-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscintilla_de.qm, qt/qscintilla_de.ts:
	Updated German translations from Detlev.
	[693d3adf3c3f] <2.4-maint>

2010-10-21  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/sip/qscilexerproperties.sip,
	qt/qscilexerproperties.cpp, qt/qscilexerproperties.h,
	qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Added support for the Key style to QsciLexerProperties.
	[0b2e86015862] <2.4-maint>

2010-08-31  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.4.5 for changeset f3f3936e5b86
	[84bb1b0d0674] <2.4-maint>

	* NEWS:
	Released as v2.4.5.
	[f3f3936e5b86] [2.4.5] <2.4-maint>

2010-08-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[80afe6b1504a] <2.4-maint>

2010-08-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintillabase.sip:
	With Python v3, the QsciScintillaBase.SendScintilla() overloads that
	take char * arguments now require them to be bytes objects and no
	longer allow them to be str objects.
	[afa9ac3c487d] <2.4-maint>

2010-08-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintillabase.sip:
	Reverted the addition of the /Encoding/ annotations to
	SendScintilla() as it is (probably) not the right solution.
	[4cb625284e4f] <2.4-maint>

	* qt/qsciscintilla.cpp:
	The entries in user and auto-completion lists should now support
	UTF-8.
	[112d71cec57a] <2.4-maint>

	* Python/sip/qsciscintillabase.sip:
	The QsciScintillaBase.SendScintilla() Python overloads will now
	accept unicode strings that can be encoded to UTF-8.
	[2f21b97985f2] <2.4-maint>

2010-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexerhtml.cpp, qt/qscilexerhtml.h:
	Implemented QsciLexerHTML::autoCompletionFillups() to change the
	fillups to "/>".
	[8d9c1aad1349] <2.4-maint>

	* qt/qsciscintilla.cpp:
	Fixed a regression, and the original bug, in
	QsciScintilla::clearAnnotations().
	[fd8746ae2198] <2.4-maint>

	* qt/qscistyle.cpp:
	QsciStyle now auto-allocates style numbers from 63 rather than
	STYLE_MAX because Scintilla only initially creates enough storage
	for that number of styles.
	[7c69b0a4ee5b] <2.4-maint>

2010-07-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscilexerverilog.cpp, qt/qscintilla.pro:
	Fixed a bug in QsciLexerVerilog that meant that the Keyword style
	was being completely ignored.
	[09e28404476a] <2.4-maint>

2010-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.4.4 for changeset c61a49005995
	[4c98368d9bea] <2.4-maint>

	* NEWS:
	Released as v2.4.4.
	[c61a49005995] [2.4.4] <2.4-maint>

2010-06-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qt/qsciscintillabase.cpp:
	Pop-lists now get removed when the main widget loses focus.
	[169fa07f52ab] <2.4-maint>

2010-06-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.cpp:
	Changed SCN_MODIFIED to deal with text being NULL.
	[68148fa857ab] <2.4-maint>

2010-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/ScintillaQt.cpp:
	The SCN_MODIFIED signal now tries to make sure that the text passed
	is valid.
	[90e3461f410f] <2.4-maint>

2010-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	QsciScintilla::markerDefine() now allows existing markers to be
	redefined if an explicit marker number is given.
	[63f1a7a1d8e2] <2.4-maint>

	* qt/ScintillaQt.cpp, qt/qsciscintilla.cpp, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Fixed the drag and drop behaviour so that a move automatically turns
	into a copy when the mouse leaves the widget.
	[4dab09799716] <2.4-maint>

2010-04-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/PlatQt.cpp, qt/ScintillaQt.cpp:
	Fixed build problems against Qt v3.
	[71168072ac9b] <2.4-maint>

	* Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Added QsciScintillaBase::fromMimeData().
	[b86a15672079] <2.4-maint>

	* Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Renamed QsciScintillaBase::createMimeData() to toMimeData().
	[6f5837334dde] <2.4-maint>

2010-04-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Added QsciScintillaBase::canInsertFromMimeData().
	[bbba2c1799ef] <2.4-maint>

	* Python/sip/qsciscintillabase.sip, qt/ScintillaQt.cpp,
	qt/qscintilla.pro, qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Added QsciScintillaBase::createMimeData().
	[b2c3e3a9b43d] <2.4-maint>

2010-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 2.4.3 for changeset 786429e0227d
	[1931843aec48] <2.4-maint>

	* NEWS, build.py:
	Fixed the generation of the change log after tagging a release.
	Updated the NEWS file. Released as v2.4.3.
	[786429e0227d] [2.4.3] <2.4-maint>

2010-02-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Reverted the setting of the alpha component in
	setMarkerForegroundColor() (at least until SC_MARK_UNDERLINE is
	supported).
	[111da2e01c5e] <2.4-maint>

	* qt/PlatQt.cpp, qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Fixed the very broken support for the alpha component with Qt4.
	[b1d73c7f447b] <2.4-maint>

	* Python/sip/qsciscintilla.sip, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Added QsciScintilla::clearFolds() to clear all current folds
	(typically prior to disabling folding).
	[4f4266da1962] <2.4-maint>

2010-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Switched the build system to Qt v4.6.2.
	[f023013b79e4] <2.4-maint>

2010-02-07  Phil Thompson  <phil@riverbankcomputing.com>

	* qt/qscidocument.cpp:
	Fixed a bug in the handling of multiple views of a document.
	[8b4aa000df1c] <2.4-maint>

2010-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, build.py:
	Minor tidy ups for the internal build system.
	[c3a41d195b8a] <2.4-maint>

2010-01-30  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, Python/configure.py, build.py, lib/README.doc,
	lib/README.svn, lib/qscintilla.dxy, qt/qsciglobal.h:
	Changes to the internal build system required by the migration to
	Mercurial.
	[607e474dfd28] <2.4-maint>

2010-01-29  phil  <phil>

	* .hgtags:
	Import from SVN.
	[49d5a0d80211]

2010-01-20  phil  <phil>

	* Makefile, NEWS:
	Updated the build system to Qt v4.6.1. Released as v2.4.2.
	[73732e5bae08] [2.4.2] <2.4-maint>

2010-01-18  phil  <phil>

	* qt/qscintilla_es.qm, qt/qscintilla_es.ts:
	Updated Spanish translations from Jaime Seuma.
	[3b911e69696d] <2.4-maint>

2010-01-15  phil  <phil>

	* Python/configure.py:
	The Python bindings now check for SIP v4.10.
	[8d5f4957a07c] <2.4-maint>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_es.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the .ts files.
	[15c647ac0c42] <2.4-maint>

	* NEWS, build.py:
	Fixed the build system for Qt v3 and v4 prior to v4.5.
	[1b5bea85a3bf] <2.4-maint>

2010-01-14  phil  <phil>

	* NEWS, lib/LICENSE.commercial.short, lib/LICENSE.gpl.short:
	Released as v2.4.1.
	[a04b69746aa6] [2.4.1] <2.4-maint>

2009-12-22  phil  <phil>

	* lib/gen_python3_api.py, qsci/api/python/Python-3.1.api:
	Added the API file for Python v3.1.
	[116c24ab58b2] <2.4-maint>

	* NEWS, Python/configure.py:
	Added support for automatically generated docstrings.
	[3d316b4f222b] <2.4-maint>

2009-12-11  phil  <phil>

	* Makefile, qt/PlatQt.cpp:
	Fixed a performance problem when displaying very long lines.
	[d3fe67ad2eb5] <2.4-maint>

2009-11-01  phil  <phil>

	* qt/qsciapis.cpp:
	Fixed a possible crash in the handling of call tips.
	[6248caa24fec] <2.4-maint>

	* qt/SciClasses.cpp:
	Applied the workaround for the autocomplete focus bug under Gnome's
	window manager which (appears) to work with current versions of Qt
	across all platforms.
	[f709f1518e70] <2.4-maint>

	* Makefile, qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Make sure a lexer is fully detached when a QScintilla instance is
	destroyed.
	[db47764231d2] <2.4-maint>

2009-08-19  phil  <phil>

	* lib/LICENSE.gpl.short, qt/qscintilla_de.qm, qt/qscintilla_de.ts:
	Updated German translations from Detlev.
	[458b60ec031e] <2.4-maint>

2009-08-09  phil  <phil>

	* Python/sip/qscilexerverilog.sip, Python/sip/qscimodcommon.sip,
	qt/qscilexerverilog.cpp, qt/qscilexerverilog.h, qt/qscintilla.pro:
	Added the QsciLexerVerilog class.
	[86b2aceac88c] <2.4-maint>

	* Makefile, Python/sip/qscilexerspice.sip,
	Python/sip/qscimodcommon.sip, lib/LICENSE.commercial, lib
	/OPENSOURCE-NOTICE.TXT, lib/README.doc, qt/qscilexerspice.cpp,
	qt/qscilexerspice.h, qt/qscintilla.pro:
	Added the QsciLexerSpice class.
	[56532ec00839] <2.4-maint>

2009-06-05  phil  <phil>

	* NEWS, lib/LICENSE.commercial:
	Released as v2.4.
	[612b1bcb8223] [2.4]

2009-06-03  phil  <phil>

	* NEWS, qt/qscistyledtext.h:
	Fixed a bug building on Qt v3.
	[88ebc67fdff4]

2009-05-30  phil  <phil>

	* qt/ScintillaQt.cpp:
	Applied a fix for copying UTF-8 text to the X clipboard from Lars
	Reichelt.
	[e59fa72c2e2d]

2009-05-27  phil  <phil>

	* qt/qscilexercustom.h:
	Fixed a missing forward declaration in qscilexercustom.h.
	[0018449ee6aa]

2009-05-25  phil  <phil>

	* qt/qscilexercustom.cpp:
	Don't ask the custom lexer to style zero characters.
	[6ae021232f4f]

2009-05-19  phil  <phil>

	* NEWS, qt/qscintilla.pro, qt/qscintilla_cs.qm, qt/qscintilla_es.qm,
	qt/qscintilla_es.ts, qt/qscintilla_fr.qm, qt/qscintilla_pt_br.qm,
	qt/qscintilla_ru.qm:
	Added Spanish translations from Jaime Seuma.
	[0cdbee8db9af]

	* qt/qsciscintilla.cpp:
	A minor fix for ancient C++ compilers.
	[0523c3a0e0aa]

2009-05-18  phil  <phil>

	* NEWS, Python/sip/qscilexer.sip, Python/sip/qscilexercustom.sip,
	Python/sip/qscimodcommon.sip, Python/sip/qsciscintilla.sip,
	qt/qscilexer.cpp, qt/qscilexer.h, qt/qscilexercustom.cpp,
	qt/qscilexercustom.h, qt/qscintilla.pro, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added QsciScintilla::annotation(). Added QsciLexerCustom (completely
	untested) and supporting changes to QsciLexer.
	[382d5b86f600]

2009-05-17  phil  <phil>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.qm, qt/qscintilla_de.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated translations from Detlev.
	[0b8c8438e464]

2009-05-09  phil  <phil>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added support for text margins.
	[be9db7d41b50]

	* qt/PlatQt.cpp, qt/qsciscintilla.cpp, qt/qsciscintilla.h,
	qt/qscistyledtext.cpp, qt/qscistyledtext.h:
	Debugged the support for annotations. Tidied up the QString to
	Scintilla string conversions.
	[573199665222]

2009-05-08  phil  <phil>

	* NEWS, Python/sip/qscimodcommon.sip, Python/sip/qsciscintilla.sip,
	Python/sip/qscistyle.sip, Python/sip/qscistyledtext.sip,
	qt/qscicommand.h, qt/qscimacro.h, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h, qt/qscistyle.cpp,
	qt/qscistyle.h, qt/qscistyledtext.cpp, qt/qscistyledtext.h:
	Implemented the rest of the annotation API - still needs debugging.
	[7f23400d2416]

2009-05-07  phil  <phil>

	* NEWS, qt/qscintilla.pro, qt/qscistyle.cpp, qt/qscistyle.h:
	Added the QsciStyle class.
	[bf8e3e02071e]

2009-05-06  phil  <phil>

	* qt/qsciscintillabase.cpp:
	Fixed the key event handling when the text() is empty and the key()
	should be used - only seems to happen with OS/X.
	[868a146b019f]

2009-05-03  phil  <phil>

	* Makefile, NEWS, Python/configure.py, Python/sip/qscicommand.sip,
	Python/sip/qscicommandset.sip, Python/sip/qscilexer.sip,
	Python/sip/qscilexercpp.sip, Python/sip/qscilexercss.sip,
	Python/sip/qscilexerdiff.sip, Python/sip/qscilexerhtml.sip,
	Python/sip/qscilexerpascal.sip, Python/sip/qscilexerperl.sip,
	Python/sip/qscilexerpython.sip, Python/sip/qscilexerxml.sip,
	Python/sip/qsciscintilla.sip, Python/sip/qsciscintillabase.sip,
	README, UTF-8-demo.txt, doc/ScintillaDoc.html,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/ScintillaRelated.html, doc/ScintillaToDo.html,
	doc/annotations.png, doc/index.html, doc/styledmargin.png,
	gtk/PlatGTK.cxx, gtk/ScintillaGTK.cxx, gtk/deps.mak, gtk/makefile,
	gtk/scintilla.mak, include/Face.py, include/HFacer.py,
	include/SciLexer.h, include/Scintilla.h, include/Scintilla.iface,
	include/ScintillaWidget.h, lib/LICENSE.commercial,
	macosx/PlatMacOSX.cxx, macosx/makefile, qt/PlatQt.cpp,
	qt/ScintillaQt.cpp, qt/qsciapis.cpp, qt/qscidocument.cpp,
	qt/qscidocument.h, qt/qscilexer.cpp, qt/qscilexer.h,
	qt/qscilexercpp.cpp, qt/qscilexercpp.h, qt/qscilexercss.cpp,
	qt/qscilexercss.h, qt/qscilexerdiff.cpp, qt/qscilexerdiff.h,
	qt/qscilexerhtml.cpp, qt/qscilexerhtml.h, qt/qscilexerpascal.cpp,
	qt/qscilexerpascal.h, qt/qscilexerperl.cpp, qt/qscilexerperl.h,
	qt/qscilexerpython.cpp, qt/qscilexerpython.h, qt/qscilexerxml.cpp,
	qt/qscilexerxml.h, qt/qscintilla.pro, qt/qscintilla_cs.ts,
	qt/qscintilla_de.ts, qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts,
	qt/qscintilla_ru.ts, qt/qsciscintilla.cpp, qt/qsciscintilla.h,
	qt/qsciscintillabase.h, src/CellBuffer.cxx, src/CellBuffer.h,
	src/Document.cxx, src/Document.h, src/Editor.cxx, src/Editor.h,
	src/ExternalLexer.cxx, src/Indicator.cxx, src/Indicator.h,
	src/KeyWords.cxx, src/LexAU3.cxx, src/LexAbaqus.cxx, src/LexAsm.cxx,
	src/LexBash.cxx, src/LexCOBOL.cxx, src/LexCPP.cxx, src/LexCSS.cxx,
	src/LexD.cxx, src/LexFortran.cxx, src/LexGen.py, src/LexHTML.cxx,
	src/LexHaskell.cxx, src/LexInno.cxx, src/LexLua.cxx,
	src/LexMySQL.cxx, src/LexNimrod.cxx, src/LexNsis.cxx,
	src/LexOthers.cxx, src/LexPascal.cxx, src/LexPerl.cxx,
	src/LexPowerPro.cxx, src/LexProgress.cxx, src/LexPython.cxx,
	src/LexRuby.cxx, src/LexSML.cxx, src/LexSQL.cxx, src/LexSorcus.cxx,
	src/LexTACL.cxx, src/LexTADS3.cxx, src/LexTAL.cxx, src/LexTeX.cxx,
	src/LexVerilog.cxx, src/LexYAML.cxx, src/PerLine.cxx, src/PerLine.h,
	src/PositionCache.cxx, src/RESearch.cxx, src/RESearch.h,
	src/RunStyles.h, src/SciTE.properties, src/ScintillaBase.cxx,
	src/SplitVector.h, src/UniConversion.cxx, src/ViewStyle.cxx,
	src/ViewStyle.h, vcbuild/SciLexer.dsp, version.txt,
	win32/PlatWin.cxx, win32/ScintRes.rc, win32/ScintillaWin.cxx,
	win32/makefile, win32/scintilla.mak, win32/scintilla_vc6.mak:
	Merged the v2.3 branch onto the trunk.
	[1bb3d2b01123]

2008-09-20  phil  <phil>

	* Makefile, NEWS, lib/README.doc:
	Released as v2.3.
	[8fd73a9a9d66] [2.3]

2008-09-17  phil  <phil>

	* NEWS, Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added QsciScintilla::apiContext() for further open up the auto-
	completion and call tips support.
	[a6291ea6dd37]

2008-09-16  phil  <phil>

	* Python/configure.py, lib/gen_python_api.py,
	qsci/api/python/Python-2.6.api, qt/qsciapis.h:
	Added the API file for Python v2.6rc1. Fixed a typo in the help for
	the Python bindings configure.py.
	[ac10be3cc7fb]

2008-09-03  phil  <phil>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_fr.ts,
	qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the i18n .ts files.
	[b73beac06e0f]

2008-09-01  phil  <phil>

	* lib/README.doc:
	Updated the Windows installation notes to cover the need to manually
	install the DLL when using Qt3.
	[17019ebfab36]

	* lib/README.doc, qt/qsciscintilla.cpp:
	Fixed a regression in the highlighting of call tip arguments.
	Updated the Windows installation notes to say that any header files
	installed from a previous build should first be removed.
	[cb3f27b93323]

2008-08-31  phil  <phil>

	* NEWS, Python/configure.py, Python/sip/qsciabstractapis.sip,
	Python/sip/qsciapis.sip, Python/sip/qscilexer.sip,
	Python/sip/qscimodcommon.sip, Python/sip/qsciscintillabase.sip,
	qt/qsciabstractapis.cpp, qt/qsciabstractapis.h, qt/qsciapis.cpp,
	qt/qsciapis.h, qt/qscilexer.cpp, qt/qscilexer.h, qt/qscintilla.pro,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Added the QsciAbstractAPIs class to allow applications to provide
	their own implementation of APIs.
	[eb5a8a602e5d]

	* Makefile, Python/configure.py, Python/sip/qscilexerfortran.sip,
	Python/sip/qscilexerfortran77.sip, Python/sip/qscilexerpascal.sip,
	Python/sip/qscilexerpostscript.sip, Python/sip/qscilexertcl.sip,
	Python/sip/qscilexerxml.sip, Python/sip/qscilexeryaml.sip,
	Python/sip/qscimodcommon.sip, Python/sip/qsciscintilla.sip,
	Python/sip/qsciscintillabase.sip, build.py, doc/ScintillaDoc.html,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/ScintillaRelated.html, doc/index.html, gtk/PlatGTK.cxx,
	gtk/ScintillaGTK.cxx, gtk/makefile, gtk/scintilla.mak,
	include/Platform.h, include/SciLexer.h, include/Scintilla.h,
	include/Scintilla.iface, lib/LICENSE.commercial, lib/README.doc,
	lib/qscintilla.dxy, macosx/ExtInput.cxx, macosx/ExtInput.h,
	macosx/PlatMacOSX.cxx, macosx/PlatMacOSX.h,
	macosx/QuartzTextLayout.h, macosx/QuartzTextStyle.h,
	macosx/QuartzTextStyleAttribute.h, macosx/ScintillaMacOSX.cxx,
	macosx/ScintillaMacOSX.h, macosx/TView.cxx, macosx/makefile,
	qt/ListBoxQt.cpp, qt/ListBoxQt.h, qt/qscilexerfortran.cpp,
	qt/qscilexerfortran.h, qt/qscilexerfortran77.cpp,
	qt/qscilexerfortran77.h, qt/qscilexerhtml.cpp, qt/qscilexerlua.cpp,
	qt/qscilexerlua.h, qt/qscilexerpascal.cpp, qt/qscilexerpascal.h,
	qt/qscilexerperl.cpp, qt/qscilexerperl.h,
	qt/qscilexerpostscript.cpp, qt/qscilexerpostscript.h,
	qt/qscilexertcl.cpp, qt/qscilexertcl.h, qt/qscilexerxml.cpp,
	qt/qscilexerxml.h, qt/qscilexeryaml.cpp, qt/qscilexeryaml.h,
	qt/qscimacro.cpp, qt/qscimacro.h, qt/qscintilla.pro,
	qt/qscintilla_de.qm, qt/qscintilla_de.ts, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.h, src/CellBuffer.cxx,
	src/Editor.cxx, src/Editor.h, src/KeyWords.cxx, src/LexCPP.cxx,
	src/LexGen.py, src/LexMagik.cxx, src/LexMatlab.cxx, src/LexPerl.cxx,
	src/LexPowerShell.cxx, src/LineMarker.cxx, src/RunStyles.cxx,
	src/RunStyles.h, vcbuild/SciLexer.dsp, version.txt,
	win32/PlatWin.cxx, win32/ScintRes.rc, win32/ScintillaWin.cxx,
	win32/makefile, win32/scintilla.mak, win32/scintilla_vc6.mak:
	Merged the v2.2 maintenance branch.
	[cd784c60bcc7]

2008-02-27  phil  <phil>

	* NEWS, build.py, lib/GPL_EXCEPTION.TXT, lib/LICENSE.GPL2,
	lib/LICENSE.GPL3, lib/LICENSE.commercial,
	lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/OPENSOURCE-NOTICE.TXT:
	Updated the licenses to be in line with the the current Qt licenses,
	including GPL v3. Released as v2.2.
	[a039ca791129] [2.2]

2008-02-23  phil  <phil>

	* Makefile, qt/PlatQt.cpp:
	Switched to Qt v4.3.4. Further tweaks for Windows64 support.
	[3ae9686f38e6]

2008-02-22  phil  <phil>

	* Makefile, NEWS, Python/sip/qsciscintillabase.sip, qt/PlatQt.cpp,
	qt/ScintillaQt.cpp, qt/qscidocument.cpp, qt/qscimacro.cpp,
	qt/qscintilla.pro, qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Several fixes for Windows64 support based on a patch from Randall
	Frank.
	[2c753ee01c42]

2008-02-09  phil  <phil>

	* Python/configure.py, lib/README.doc, qt/qscintilla.pro:
	It's no longer necessary to set DYLD_LIBRARY_PATH when using the
	Python bindings.
	[d1098424aed1]

2008-02-03  phil  <phil>

	* Python/sip/qscilexerruby.sip:
	Added the missing QsciLexerRuby.Error to the Python bindings.
	[0b4f06a30251]

2008-01-20  phil  <phil>

	* designer-Qt4/qscintillaplugin.cpp, designer-Qt4/qscintillaplugin.h:
	Fixed a problem with the Qt4 Designer plugin on Leopard.
	[5450a1bc62df]

2008-01-11  phil  <phil>

	* qt/SciClasses.cpp, qt/qsciscintillabase.cpp:
	Hopefully fixed shortcuts and accelerators when the autocompletion
	list is displayed.
	[8304a1f4e36b]

2008-01-06  phil  <phil>

	* qt/SciClasses.cpp:
	Hopefully fixed a bug stopping normal typing when the autocompletion
	list is being displayed.
	[2db0cc8fa158]

2008-01-03  phil  <phil>

	* lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/README.doc, qt/qsciscintillabase.cpp:
	Fixed a Qt3 compilation bug. Updated the copyright notices.
	[cf238f41fb54]

2007-12-30  phil  <phil>

	* qt/SciClasses.cpp, qt/SciClasses.h, qt/qsciscintillabase.cpp:
	Hopefully fixed the problems with the auto-completion popup on all
	platforms (not tested on Mac).
	[585aa7e4e59f]

2007-12-29  phil  <phil>

	* qt/SciClasses.cpp:
	Remove the use of the internal Tooltip widget flag so that the X11
	auto-completion list now has the same problems as the Windows
	version. (Prior to fixing the problem properly.)
	[93d584d099db]

2007-12-23  phil  <phil>

	* qt/ScintillaQt.cpp:
	Fixed DND problems with Qt4.
	[23f8c1a7c4c7]

	* qt/qsciscintilla.cpp:
	Fix from Detlev for an infinite loop caused by calling
	getCursorPosition() when Scintilla reports a position past the end
	of the text.
	[dd99ade93fa6]

2007-12-05  phil  <phil>

	* qt/qscilexerperl.cpp, qt/qscintilla_cs.ts, qt/qscintilla_de.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Fixed a silly typo in the updated Perl lexer.
	[0e290eb71572]

	* qt/qscintilla_de.qm:
	Updated German translations from Detlev.
	[e820d3c167f5]

	* Makefile:
	Switched the internal build system to Qt v4.3.3.
	[df2d877e2422]

2007-12-04  phil  <phil>

	* qt/qscintilla_cs.ts, qt/qscintilla_de.ts, qt/qscintilla_fr.ts,
	qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the translation source files.
	[1fb11f16d750]

	* Python/sip/qscilexerperl.sip, Python/sip/qsciscintillabase.sip,
	doc/ScintillaDoc.html, doc/ScintillaDownload.html,
	doc/ScintillaHistory.html, doc/ScintillaRelated.html,
	doc/index.html, gtk/PlatGTK.cxx, gtk/ScintillaGTK.cxx, gtk/makefile,
	gtk/scintilla.mak, include/Platform.h, include/PropSet.h,
	include/SciLexer.h, include/Scintilla.h, include/Scintilla.iface,
	lib/README.svn, macosx/PlatMacOSX.cxx, macosx/ScintillaMacOSX.h,
	macosx/makefile, qt/PlatQt.cpp, qt/qscilexer.cpp, qt/qscilexer.h,
	qt/qscilexerperl.cpp, qt/qscilexerperl.h, qt/qscilexerpython.cpp,
	qt/qscilexerpython.h, qt/qscintilla.pro, qt/qsciscintilla.cpp,
	qt/qsciscintillabase.h, src/CellBuffer.cxx, src/CellBuffer.h,
	src/ContractionState.cxx, src/ContractionState.h, src/Document.cxx,
	src/Document.h, src/DocumentAccessor.cxx, src/Editor.cxx,
	src/Editor.h, src/KeyWords.cxx, src/LexAPDL.cxx, src/LexASY.cxx,
	src/LexAU3.cxx, src/LexAbaqus.cxx, src/LexBash.cxx, src/LexCPP.cxx,
	src/LexGen.py, src/LexHTML.cxx, src/LexHaskell.cxx,
	src/LexMetapost.cxx, src/LexOthers.cxx, src/LexPerl.cxx,
	src/LexPython.cxx, src/LexR.cxx, src/LexSQL.cxx, src/LexTeX.cxx,
	src/LexYAML.cxx, src/Partitioning.h, src/PositionCache.cxx,
	src/PositionCache.h, src/PropSet.cxx, src/RunStyles.cxx,
	src/RunStyles.h, src/ScintillaBase.cxx, src/SplitVector.h,
	src/ViewStyle.cxx, src/ViewStyle.h, vcbuild/SciLexer.dsp,
	version.txt, win32/PlatWin.cxx, win32/ScintRes.rc,
	win32/ScintillaWin.cxx, win32/makefile, win32/scintilla.mak,
	win32/scintilla_vc6.mak:
	Merged Scintilla v1.75.
	[8009a4d7275a]

2007-11-17  phil  <phil>

	* qt/SciClasses.cpp, qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Bug fixes for selectAll() and getCursorPosition() from Baz Walter.
	[80eecca239b4]

2007-10-24  phil  <phil>

	* qt/qsciscintilla.cpp:
	Fixed folding for HTML.
	[bb6fb6065e30]

2007-10-14  phil  <phil>

	* build.py, lib/GPL_EXCEPTION.TXT, lib/GPL_EXCEPTION_ADDENDUM.TXT,
	lib/LICENSE.gpl, lib/OPENSOURCE-NOTICE.TXT, qt/qscicommandset.cpp:
	Control characters that are not bound to commands (or shortcuts) now
	default to doing nothing (rather than inserting the character into
	the text). Aligned the GPL license with Trolltech's exceptions.
	[148432c68762]

2007-10-12  phil  <phil>

	* src/LexHTML.cxx:
	Fixed the Scintilla HTML lexer's handling of characters >= 0x80.
	[c4e271ce8e96]

2007-10-05  phil  <phil>

	* qt/qsciscintillabase.cpp:
	Used NoSystemBackground rather than OpaquePaintEvent to eliminate
	flicker.
	[01a22c66304d]

2007-10-04  phil  <phil>

	* Makefile, qt/qsciscintillabase.cpp:
	Fixed a flashing effect visible with a non-standard background.
	Switched to Qt v4.3.2.
	[781c58fcba96]

2007-09-23  phil  <phil>

	* qt/qsciapis.h, qt/qscicommand.h, qt/qscicommandset.h,
	qt/qscidocument.h, qt/qsciglobal.h, qt/qscilexer.h,
	qt/qscilexerbash.h, qt/qscilexerbatch.h, qt/qscilexercmake.h,
	qt/qscilexercpp.h, qt/qscilexercsharp.h, qt/qscilexercss.h,
	qt/qscilexerd.h, qt/qscilexerdiff.h, qt/qscilexerhtml.h,
	qt/qscilexeridl.h, qt/qscilexerjava.h, qt/qscilexerjavascript.h,
	qt/qscilexerlua.h, qt/qscilexermakefile.h, qt/qscilexerperl.h,
	qt/qscilexerpov.h, qt/qscilexerproperties.h, qt/qscilexerpython.h,
	qt/qscilexerruby.h, qt/qscilexersql.h, qt/qscilexertex.h,
	qt/qscilexervhdl.h, qt/qscimacro.h, qt/qsciprinter.h,
	qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Made the recent portabilty changes Mac specific as AIX has a problem
	with them.
	[0de605d4079f]

2007-09-16  phil  <phil>

	* qt/qscilexer.cpp:
	A lexer's default colour, paper and font are now written to and read
	from the settings.
	[45277fc76ace]

2007-09-15  phil  <phil>

	* lib/README.doc, qt/qsciapis.h, qt/qscicommand.h,
	qt/qscicommandset.h, qt/qscidocument.h, qt/qsciglobal.h,
	qt/qscilexer.h, qt/qscilexerbash.h, qt/qscilexerbatch.h,
	qt/qscilexercmake.h, qt/qscilexercpp.h, qt/qscilexercsharp.h,
	qt/qscilexercss.h, qt/qscilexerd.h, qt/qscilexerdiff.h,
	qt/qscilexerhtml.h, qt/qscilexeridl.h, qt/qscilexerjava.h,
	qt/qscilexerjavascript.h, qt/qscilexerlua.h, qt/qscilexermakefile.h,
	qt/qscilexerperl.h, qt/qscilexerpov.h, qt/qscilexerproperties.h,
	qt/qscilexerpython.h, qt/qscilexerruby.h, qt/qscilexersql.h,
	qt/qscilexertex.h, qt/qscilexervhdl.h, qt/qscimacro.h,
	qt/qsciprinter.h, qt/qsciscintilla.h, qt/qsciscintillabase.h:
	Fixed the MacOS build problems when using the binary installer
	version of Qt.
	[e059a923a447]

	* lib/LICENSE.commercial.short, qt/PlatQt.cpp:
	Added the missing WaitMouseMoved() implementation on MacOS.
	[78d1c8fc37c0]

2007-09-10  phil  <phil>

	* qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	QsciScintilla::setFont() now calls QWidget::setFont() so that font()
	returns the expected value.
	[fd4f577c60ea]

2007-09-02  phil  <phil>

	* qt/qsciscintilla.cpp:
	Fixed problems which the font size of STYLE_DEFAULT not being
	updated when the font of style 0 was changed. Hopefully this fixes
	the problems with edge columns and indentation guides.
	[ddeccb6f64a0]

2007-08-12  phil  <phil>

	* Makefile, lib/LICENSE.commercial.short, lib/LICENSE.gpl.short,
	qt/qscintilla.pro:
	Applied .pro file fix from Dirk Mueller to add a proper install
	rule.
	[a3a2e49f1042]

2007-07-22  phil  <phil>

	* qt/qscilexer.cpp:
	Made sure that the backgound colour of areas of the widget with no
	text is updated when QsciLexer.setDefaultPaper() is called.
	[065558d2430b]

2007-07-09  phil  <phil>

	* qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Explicitly set the style for STYLE_DEFAULT when setting a lexer.
	[a95fc3357771]

2007-06-30  phil  <phil>

	* Python/sip/qsciscintillabase.sip, doc/ScintillaDoc.html,
	doc/ScintillaDownload.html, doc/ScintillaHistory.html,
	doc/ScintillaRelated.html, doc/index.html, gtk/PlatGTK.cxx,
	gtk/ScintillaGTK.cxx, gtk/deps.mak, gtk/makefile, gtk/scintilla.mak,
	include/Accessor.h, include/HFacer.py, include/KeyWords.h,
	include/Platform.h, include/PropSet.h, include/SString.h,
	include/SciLexer.h, include/Scintilla.h, include/Scintilla.iface,
	include/WindowAccessor.h, macosx/PlatMacOSX.cxx,
	macosx/PlatMacOSX.h, macosx/QuartzTextLayout.h,
	macosx/QuartzTextStyle.h, macosx/QuartzTextStyleAttribute.h,
	macosx/SciTest/English.lproj/InfoPlist.strings,
	macosx/SciTest/English.lproj/main.nib/classes.nib,
	macosx/SciTest/English.lproj/main.nib/info.nib,
	macosx/SciTest/English.lproj/main.nib/objects.xib,
	macosx/SciTest/Info.plist,
	macosx/SciTest/SciTest.xcode/project.pbxproj,
	macosx/SciTest/SciTest_Prefix.pch, macosx/SciTest/main.cpp,
	macosx/SciTest/version.plist, macosx/ScintillaCallTip.cxx,
	macosx/ScintillaCallTip.h, macosx/ScintillaListBox.cxx,
	macosx/ScintillaListBox.h, macosx/ScintillaMacOSX.cxx,
	macosx/ScintillaMacOSX.h, macosx/TCarbonEvent.cxx,
	macosx/TCarbonEvent.h, macosx/TRect.h, macosx/TView.cxx,
	macosx/TView.h, macosx/deps.mak, macosx/makefile,
	qt/ScintillaQt.cpp, qt/ScintillaQt.h, qt/qscintilla.pro,
	qt/qsciscintillabase.h, src/AutoComplete.cxx, src/AutoComplete.h,
	src/CallTip.cxx, src/CallTip.h, src/CellBuffer.cxx,
	src/CellBuffer.h, src/CharacterSet.h, src/ContractionState.cxx,
	src/ContractionState.h, src/Decoration.cxx, src/Decoration.h,
	src/Document.cxx, src/Document.h, src/DocumentAccessor.cxx,
	src/DocumentAccessor.h, src/Editor.cxx, src/Editor.h,
	src/ExternalLexer.cxx, src/ExternalLexer.h, src/Indicator.cxx,
	src/Indicator.h, src/KeyMap.cxx, src/KeyMap.h, src/KeyWords.cxx,
	src/LexAPDL.cxx, src/LexAU3.cxx, src/LexAVE.cxx, src/LexAda.cxx,
	src/LexAsm.cxx, src/LexAsn1.cxx, src/LexBaan.cxx, src/LexBash.cxx,
	src/LexBasic.cxx, src/LexBullant.cxx, src/LexCLW.cxx,
	src/LexCPP.cxx, src/LexCSS.cxx, src/LexCaml.cxx, src/LexCmake.cxx,
	src/LexConf.cxx, src/LexCrontab.cxx, src/LexCsound.cxx,
	src/LexD.cxx, src/LexEScript.cxx, src/LexEiffel.cxx,
	src/LexErlang.cxx, src/LexFlagship.cxx, src/LexForth.cxx,
	src/LexFortran.cxx, src/LexGAP.cxx, src/LexGen.py,
	src/LexGui4Cli.cxx, src/LexHTML.cxx, src/LexHaskell.cxx,
	src/LexInno.cxx, src/LexKix.cxx, src/LexLisp.cxx, src/LexLout.cxx,
	src/LexLua.cxx, src/LexMMIXAL.cxx, src/LexMPT.cxx, src/LexMSSQL.cxx,
	src/LexMatlab.cxx, src/LexMetapost.cxx, src/LexNsis.cxx,
	src/LexOpal.cxx, src/LexOthers.cxx, src/LexPB.cxx, src/LexPLM.cxx,
	src/LexPOV.cxx, src/LexPS.cxx, src/LexPascal.cxx, src/LexPerl.cxx,
	src/LexProgress.cxx, src/LexPython.cxx, src/LexRebol.cxx,
	src/LexRuby.cxx, src/LexSQL.cxx, src/LexScriptol.cxx,
	src/LexSmalltalk.cxx, src/LexSpecman.cxx, src/LexSpice.cxx,
	src/LexTADS3.cxx, src/LexTCL.cxx, src/LexTeX.cxx, src/LexVB.cxx,
	src/LexVHDL.cxx, src/LexVerilog.cxx, src/LexYAML.cxx,
	src/LineMarker.cxx, src/LineMarker.h, src/Partitioning.h,
	src/PositionCache.cxx, src/PositionCache.h, src/PropSet.cxx,
	src/RESearch.cxx, src/RESearch.h, src/RunStyles.cxx,
	src/RunStyles.h, src/SVector.h, src/ScintillaBase.cxx,
	src/ScintillaBase.h, src/SplitVector.h, src/Style.cxx, src/Style.h,
	src/StyleContext.cxx, src/StyleContext.h, src/UniConversion.cxx,
	src/UniConversion.h, src/ViewStyle.cxx, src/ViewStyle.h,
	src/WindowAccessor.cxx, src/XPM.cxx, src/XPM.h,
	vcbuild/SciLexer.dsp, version.txt, win32/PlatWin.cxx,
	win32/ScintRes.rc, win32/ScintillaWin.cxx, win32/deps.mak,
	win32/makefile, win32/scintilla.mak, win32/scintilla_vc6.mak,
	zipsrc.bat:
	Merged Scintilla v1.74.
	[04dee9c2424f]

	* Python/sip/qscilexerpython.sip, build.py, qt/qscilexer.cpp,
	qt/qscilexerbash.cpp, qt/qscilexerpython.cpp, qt/qscilexerpython.h,
	qt/qscintilla.pro:
	Fixed comment folding in the Bash lexer. A style is properly
	restored when read from QSettings. Removed ./Qsci from the qmake
	INCLUDEPATH. Removed the Scintilla version number from generated
	filenames. Used fully qualified enum names in the Python lexer so
	that the QMetaObject is correct.
	[6b27a5b211e0]

2007-06-01  phil  <phil>

	* NEWS:
	Released as v2.1.
	[9976edafc5c1] [2.1]

2007-05-30  phil  <phil>

	* Makefile:
	Switched the internal build system to Qt v4.3.0.
	[49284aa376ef]

	* NEWS, Python/configure.py, Python/sip/qscilexer.sip,
	Python/sip/qscilexerbash.sip, Python/sip/qscilexerbatch.sip,
	Python/sip/qscilexercmake.sip, Python/sip/qscilexercpp.sip,
	Python/sip/qscilexercsharp.sip, Python/sip/qscilexercss.sip,
	Python/sip/qscilexerd.sip, Python/sip/qscilexerdiff.sip,
	Python/sip/qscilexerhtml.sip, Python/sip/qscilexeridl.sip,
	Python/sip/qscilexerjavascript.sip, Python/sip/qscilexerlua.sip,
	Python/sip/qscilexermakefile.sip, Python/sip/qscilexerperl.sip,
	Python/sip/qscilexerpov.sip, Python/sip/qscilexerproperties.sip,
	Python/sip/qscilexerpython.sip, Python/sip/qscilexerruby.sip,
	Python/sip/qscilexersql.sip, Python/sip/qscilexertex.sip,
	Python/sip/qscilexervhdl.sip, Python/sip/qscimodcommon.sip,
	build.py, qt/qscilexer.cpp, qt/qscilexer.h, qt/qscilexerbash.cpp,
	qt/qscilexerbash.h, qt/qscilexerbatch.cpp, qt/qscilexerbatch.h,
	qt/qscilexercmake.cpp, qt/qscilexercmake.h, qt/qscilexercpp.cpp,
	qt/qscilexercpp.h, qt/qscilexercsharp.cpp, qt/qscilexercsharp.h,
	qt/qscilexercss.cpp, qt/qscilexercss.h, qt/qscilexerd.cpp,
	qt/qscilexerd.h, qt/qscilexerdiff.cpp, qt/qscilexerdiff.h,
	qt/qscilexerhtml.cpp, qt/qscilexerhtml.h, qt/qscilexeridl.cpp,
	qt/qscilexeridl.h, qt/qscilexerjavascript.cpp,
	qt/qscilexerjavascript.h, qt/qscilexerlua.cpp, qt/qscilexerlua.h,
	qt/qscilexermakefile.cpp, qt/qscilexermakefile.h,
	qt/qscilexerperl.cpp, qt/qscilexerperl.h, qt/qscilexerpov.cpp,
	qt/qscilexerpov.h, qt/qscilexerproperties.cpp,
	qt/qscilexerproperties.h, qt/qscilexerpython.cpp,
	qt/qscilexerpython.h, qt/qscilexerruby.cpp, qt/qscilexerruby.h,
	qt/qscilexersql.cpp, qt/qscilexersql.h, qt/qscilexertex.cpp,
	qt/qscilexertex.h, qt/qscilexervhdl.cpp, qt/qscilexervhdl.h,
	qt/qscintilla.pro:
	Lexers now remember their style settings. A lexer no longer has to
	be the current lexer when changing a style's color, end-of-line
	fill, font or paper. The color(), eolFill(), font() and paper()
	methods of QsciLexer now return the current values for a style
	rather than the default values. The setDefaultColor(),
	setDefaultFont() and setDefaultPaper() methods of QsciLexer are no
	longer slots and no longer virtual. The defaultColor(),
	defaultFont() and defaultPaper() methods of QsciLexer are no longer
	virtual. The color(), eolFill(), font() and paper() methods of all
	QsciLexer derived classes (except for QsciLexer itself) have been
	renamed defaultColor(), defaultEolFill(), defaultFont() and
	defaultPaper() respectively.
	[38aeee2a5a36]

2007-05-28  phil  <phil>

	* qt/qsciscintilla.cpp:
	Set the number of style bits after we've set the lexer.
	[84cda9af5b00]

	* Python/configure.py:
	Fixed the handling of the %Timeline in the Python bindings.
	[4b3146d1a236]

2007-05-27  phil  <phil>

	* Python/sip/qsciscintillabase.sip:
	Updated the sub-class convertor code in the Python bindings for the
	Cmake and VHDL lexers.
	[6ab6570728a2]

2007-05-26  phil  <phil>

	* NEWS:
	Updated the NEWS file. Released as v2.0.
	[eec9914d8211] [2.0]

2007-05-19  phil  <phil>

	* Python/sip/qsciscintillabase.sip, qt/qsciscintilla.cpp,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Added basic input method support for Qt4 so that accented characters
	now work. (Although there is still a font problem - at least a text
	colour problem.)
	[6b41f3694999]

	* qt/qsciapis.cpp, qt/qsciapis.h, qt/qsciscintillabase.cpp:
	Fixed building against Qt v3.
	[9e9ba05de0fb]

2007-05-17  phil  <phil>

	* qt/qsciscintilla.cpp:
	Fixed an autocompletion problem where an empty list was being
	displayed.
	[c7214274017c]

2007-05-16  phil  <phil>

	* qt/qsciscintilla.cpp:
	Fixed a bug where autocompleting from the document was looking for
	preceeding non-word characters as well.
	[3ee6fd746d49]

	* qt/qsciscintilla.cpp:
	Fixed silly typo that broke call tips.
	[05213a8933c2]

2007-05-09  phil  <phil>

	* qt/qsciscintilla.cpp:
	Fiex an autocompletion bug for words that only had preceding
	whitespace.
	[a8f3339e02c6]

	* Python/configure.py, lib/gen_python_api.py,
	qsci/api/python/Python-2.4.api, qsci/api/python/Python-2.5.api,
	qt/qsciapis.cpp, qt/qsciapis.h:
	Call tips shouldn't now get confused with commas in the text after
	the argument list. The included API files for Python should now be
	complete and properly exclude anything beginning with an underscore.
	The Python bindings configure.py can now install the API file in a
	user supplied directory.
	[c7e93dc918de]

	* qt/qscintilla_cs.qm, qt/qscintilla_fr.qm, qt/qscintilla_pt_br.qm,
	qt/qscintilla_ru.qm:
	Ran lrelease on the project.
	[c3ce60078221]

	* Makefile, qt/qscintilla_cs.ts, qt/qscintilla_de.ts,
	qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts:
	Updated the internal build system to Qt v4.3.0rc1. Ran lupdate on
	the project.
	[6a86e71a4e26]

2007-05-08  phil  <phil>

	* Python/sip/qsciscintilla.sip, qt/qsciapis.cpp, qt/qsciapis.h,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Call tips will now show all the tips for a function (in all scopes)
	if the current context/scope isn't known.
	[cbebccc205c7]

	* Python/sip/qsciscintilla.sip, qt/qsciapis.cpp, qt/qsciapis.h,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Added callTipsStyle() and setCallTipsStyle() to QsciScintilla.
	[59d453b5da8c]

2007-05-07  phil  <phil>

	* qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Autocompletion from documents should now work the same as QScintilla
	v1. The only difference is that the list does not contain the
	preceding context so it is consistent with autocompletion from APIs.
	[46de719d325e]

	* qt/qscintilla.pro, qt/qscintilla_cs.qm, qt/qscintilla_cs.ts:
	Added the Czech translations from Zdenek Bohm.
	[139fd9aee405]

2007-04-30  phil  <phil>

	* Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added QsciScintilla::wordCharacters().
	[d6e56986a031]

2007-04-29  phil  <phil>

	* Python/sip/qsciscintilla.sip, Python/sip/qsciscintillabase.sip,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Added lots of consts to QsciScintilla getter methods.
	[4aaffa8611ba]

	* Python/configure.py, Python/sip/qsciscintilla.sip,
	qt/qscintilla_de.qm, qt/qscintilla_de.ts, qt/qscintilla_fr.ts,
	qt/qscintilla_pt_br.ts, qt/qscintilla_ru.ts, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added caseSensitive() and isWordCharacter() to QsciScintilla.
	Updated translations from Detlev.
	[64223bf97266]

2007-04-10  phil  <phil>

	* Python/sip/qscilexercmake.sip, Python/sip/qscilexervhdl.sip,
	Python/sip/qscimodcommon.sip, qt/qscilexercmake.cpp,
	qt/qscilexercmake.h, qt/qscilexervhdl.cpp, qt/qscilexervhdl.h,
	qt/qscintilla.pro:
	Added the QsciLexerVHDL class.
	[10029339786f]

	* Python/sip/qscilexercmake.sip, Python/sip/qscimodcommon.sip,
	qt/qscilexercmake.cpp, qt/qscilexercmake.h, qt/qscintilla.pro:
	Added the QsciLexerCmake class.
	[c1c911246f75]

2007-04-09  phil  <phil>

	* qt/qsciapis.cpp, qt/qsciapis.h, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Finished call tip support.
	[b8c717297392]

2007-04-07  phil  <phil>

	* qt/qsciapis.cpp, qt/qsciapis.h, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Some refactoring in preparation for getting call tips working.
	[6cb925653a80]

2007-04-06  phil  <phil>

	* qt/qsciscintilla.cpp:
	Fixed autoindenting.
	[8d7b93ee4d9e]

2007-04-05  phil  <phil>

	* qt/qsciapis.cpp, qt/qsciapis.h, qt/qsciscintilla.cpp:
	Fixed autocompletion so that it works with lexers that don't define
	word separators, and lexers that are case insensitive.
	[66634cf13685]

2007-04-04  phil  <phil>

	* qt/ScintillaQt.cpp, qt/qsciscintilla.cpp:
	Fixed the horizontal scrollbar when word wrapping.
	[021ea1fe8468]

2007-04-03  phil  <phil>

	* Python/configure.py, Python/sip/qsciscintillabase.sip, delcvs.bat,
	doc/ScintillaDoc.html, doc/ScintillaDownload.html,
	doc/ScintillaHistory.html, doc/ScintillaRelated.html,
	doc/index.html, gtk/makefile, gtk/scintilla.mak, include/SciLexer.h,
	include/Scintilla.h, include/Scintilla.iface, qt/ScintillaQt.cpp,
	qt/qscintilla.pro, qt/qsciscintillabase.h, src/Document.cxx,
	src/Document.h, src/DocumentAccessor.cxx, src/Editor.cxx,
	src/Editor.h, src/ExternalLexer.h, src/KeyWords.cxx, src/LexAU3.cxx,
	src/LexBash.cxx, src/LexCmake.cxx, src/LexHTML.cxx, src/LexLua.cxx,
	src/LexMSSQL.cxx, src/LexOthers.cxx, src/LexTADS3.cxx,
	src/PropSet.cxx, src/RESearch.cxx, src/RESearch.h,
	src/SplitVector.h, vcbuild/SciLexer.dsp, version.txt,
	win32/PlatWin.cxx, win32/ScintRes.rc, win32/ScintillaWin.cxx,
	win32/makefile, win32/scintilla.mak, win32/scintilla_vc6.mak:
	Merged Scintilla v1.73.
	[2936af6fc62d]

2007-03-18  phil  <phil>

	* Makefile, Python/sip/qscilexerd.sip, Python/sip/qscimodcommon.sip,
	Python/sip/qsciscintillabase.sip, qt/qscilexerd.cpp,
	qt/qscilexerd.h, qt/qscintilla.pro, qt/qscintilla_de.qm,
	qt/qscintilla_de.ts, qt/qscintilla_fr.ts, qt/qscintilla_pt_br.ts,
	qt/qscintilla_ru.ts:
	Switched the internal build system to Qt v4.2.3. Added the D lexer
	support from Detlev.
	[667e9b81ab4f]

2007-03-04  phil  <phil>

	* Makefile, example-Qt4/mainwindow.cpp, qt/PlatQt.cpp,
	qt/qsciscintilla.cpp:
	Fixed a bug in default font handling. Removed use of QIODevice::Text
	in the example as it is unnecessary and a performance hog. Moved the
	internal Qt3 build system to Qt v3.3.8. Auto-indentation should now
	work (as badly) as it did with QScintilla v1.
	[4d3ad4d1f295]

2007-01-17  phil  <phil>

	* Python/sip/qsciapis.sip, qt/qsciapis.cpp, qt/qsciapis.h:
	Added defaultPreparedName() to QsciAPIs.
	[2a3c872122dd]

	* designer-Qt4/qscintillaplugin.cpp:
	Fixed the Qt4 Designer plugin include file value.
	[ea7cb8634ad2]

2007-01-16  phil  <phil>

	* Python/sip/qsciapis.sip, qt/qsciapis.cpp, qt/qsciapis.h:
	Added cancelPreparation() and apiPreparationCancelled() to QsciAPIs.
	[2d7dd00e3bc0]

	* Python/sip/qsciscintilla.sip, Python/sip/qsciscintillabase.sip,
	build.py, lib/LICENSE.commercial.short, lib/LICENSE.gpl.short,
	qt/qscintilla.pro, qt/qsciscintilla.cpp, qt/qsciscintilla.h,
	qt/qsciscintillabase.cpp, qt/qsciscintillabase.h:
	Updated the copyright notices. Added selectionToEol() and
	setSelectionToEol() to QsciScintilla. Added the other 1.72 changes
	to the low level API.
	[ddcf2d43cf31]

	* doc/SciBreak.jpg, doc/ScintillaDoc.html, doc/ScintillaDownload.html,
	doc/ScintillaHistory.html, doc/ScintillaRelated.html,
	doc/index.html, gtk/PlatGTK.cxx, gtk/ScintillaGTK.cxx, gtk/makefile,
	gtk/scintilla.mak, include/SciLexer.h, include/Scintilla.h,
	include/Scintilla.iface, qt/ScintillaQt.h, src/CellBuffer.cxx,
	src/CellBuffer.h, src/ContractionState.cxx, src/Document.cxx,
	src/Document.h, src/DocumentAccessor.cxx, src/Editor.cxx,
	src/Editor.h, src/KeyWords.cxx, src/LexCPP.cxx, src/LexD.cxx,
	src/LexGen.py, src/LexHTML.cxx, src/LexInno.cxx, src/LexLua.cxx,
	src/LexMatlab.cxx, src/LexNsis.cxx, src/LexOthers.cxx,
	src/LexRuby.cxx, src/LexTADS3.cxx, src/Partitioning.h,
	src/ScintillaBase.cxx, src/SplitVector.h, src/StyleContext.h,
	src/ViewStyle.cxx, src/ViewStyle.h, vcbuild/SciLexer.dsp,
	version.txt, win32/ScintRes.rc, win32/ScintillaWin.cxx,
	win32/makefile, win32/scintilla.mak, win32/scintilla_vc6.mak:
	Merged Scintilla v1.72, but any new features are not yet exploited.
	[dcdfde9050a2]

2007-01-09  phil  <phil>

	* Python/configure.py:
	Fixed bug in configure.py when the -p flag wasn't specified.
	[50dc69f2b20d]

2007-01-04  phil  <phil>

	* Python/configure.py, Python/sip/qscilexer.sip, qt/qsciapis.cpp,
	qt/qsciapis.h, qt/qsciscintilla.cpp:
	Backported to Qt v3. Note that this will probably break again in the
	future when call tips are redone.
	[3bcc4826fc73]

2007-01-02  phil  <phil>

	* Python/configure.py, lib/gen_python_api.py,
	qsci/api/python/Python-2.4.api, qsci/api/python/Python-2.5.api,
	qt/qsciapis.cpp:
	Added the Python v2.4 and v2.5 API files. Added the generation of
	the QScintilla2.api file.
	[49beb92ca721]

2007-01-01  phil  <phil>

	* Python/sip/qsciscintilla.sip, qt/qscilexer.h, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added autoCompletionFillupsEnabled() and
	setAutoCompletionFillupsEnabled() to QsciScintilla. Updated the
	Python bindings.
	[7aa946010e9d]

	* Python/sip/qsciapis.sip, qt/qsciapis.cpp, qt/qsciapis.h:
	Implemented loadPrepared() and savePrepared() in QsciAPIs. Added
	isPrepared() to QsciAPIs. Updated the Python bindings.
	[4c5e3d80fec7]

	* Python/sip/qsciapis.sip, qt/qsciapis.cpp, qt/qsciapis.h:
	Added installAPIFiles() and stubs for loadPrepared() and
	savePrepared() to QsciAPIs.
	[93f4dd7222a1]

	* Python/sip/qsciapis.sip:
	Added the missing qsciapis.sip file.
	[064b524acc93]

	* Python/sip/qscilexer.sip, Python/sip/qscimodcommon.sip,
	lib/qscintilla.dxy, qt/qsciapis.cpp, qt/qsciapis.h,
	qt/qscilexer.cpp, qt/qscilexer.h:
	Fixed the generation of the API documentation. Added apis() and
	setAPIs() to QsciLexer. Removed apiAdd(), apiClear(), apiLoad(),
	apiRemove(), apiProcessingStarted() and apiProcessingFinished() from
	QsciLexer. Added apiPreparationStarted() and
	apiPreparationFinished() to QsciAPIs. Made QsciAPIs part of the API
	again. Updated the Python bindings.
	[851d133b12ff]

2006-12-20  phil  <phil>

	* Makefile, qt/qsciapis.cpp, qt/qsciapis.h:
	Updated the internal build system to Qt v4.2.2. More work on auto-
	completion.
	[d4542220e7a2]

2006-11-26  phil  <phil>

	* qt/ListBoxQt.cpp, qt/ListBoxQt.h, qt/qsciapis.cpp, qt/qsciapis.h,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	More work on the auto-completion code.
	[37b2d0d2b154]

2006-11-22  phil  <phil>

	* qt/qsciapis.cpp, qt/qsciapis.h, qt/qscilexer.cpp, qt/qscilexer.h,
	qt/qscilexerbatch.cpp, qt/qscilexerbatch.h, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Changed the handling of case sensitivity in auto-completion lists.
	Lexers now say if they are case sensitive.
	[b1932fba61ec]

2006-11-17  phil  <phil>

	* Makefile, Python/configure.py, Python/sip/qscicommand.sip,
	Python/sip/qscicommandset.sip, Python/sip/qscidocument.sip,
	Python/sip/qscilexer.sip, Python/sip/qscilexerbash.sip,
	Python/sip/qscilexerbatch.sip, Python/sip/qscilexercpp.sip,
	Python/sip/qscilexercsharp.sip, Python/sip/qscilexercss.sip,
	Python/sip/qscilexerdiff.sip, Python/sip/qscilexerhtml.sip,
	Python/sip/qscilexeridl.sip, Python/sip/qscilexerjava.sip,
	Python/sip/qscilexerjavascript.sip, Python/sip/qscilexerlua.sip,
	Python/sip/qscilexermakefile.sip, Python/sip/qscilexerperl.sip,
	Python/sip/qscilexerpov.sip, Python/sip/qscilexerproperties.sip,
	Python/sip/qscilexerpython.sip, Python/sip/qscilexerruby.sip,
	Python/sip/qscilexersql.sip, Python/sip/qscilexertex.sip,
	Python/sip/qscimacro.sip, Python/sip/qsciprinter.sip,
	Python/sip/qsciscintilla.sip, Python/sip/qsciscintillabase.sip,
	TODO, build.py, designer-Qt3/qscintillaplugin.cpp, designer-
	Qt4/qscintillaplugin.cpp, example-Qt3/application.cpp, example-
	Qt4/mainwindow.cpp, qt/PlatQt.cpp, qt/ScintillaQt.cpp,
	qt/qsciapis.cpp, qt/qsciapis.h, qt/qscicommand.cpp,
	qt/qscicommand.h, qt/qscicommandset.cpp, qt/qscicommandset.h,
	qt/qscidocument.cpp, qt/qscidocument.h, qt/qscilexer.cpp,
	qt/qscilexer.h, qt/qscilexerbash.cpp, qt/qscilexerbash.h,
	qt/qscilexerbatch.cpp, qt/qscilexerbatch.h, qt/qscilexercpp.cpp,
	qt/qscilexercpp.h, qt/qscilexercsharp.cpp, qt/qscilexercsharp.h,
	qt/qscilexercss.cpp, qt/qscilexercss.h, qt/qscilexerdiff.cpp,
	qt/qscilexerdiff.h, qt/qscilexerhtml.cpp, qt/qscilexerhtml.h,
	qt/qscilexeridl.cpp, qt/qscilexeridl.h, qt/qscilexerjava.cpp,
	qt/qscilexerjava.h, qt/qscilexerjavascript.cpp,
	qt/qscilexerjavascript.h, qt/qscilexerlua.cpp, qt/qscilexerlua.h,
	qt/qscilexermakefile.cpp, qt/qscilexermakefile.h,
	qt/qscilexerperl.cpp, qt/qscilexerperl.h, qt/qscilexerpov.cpp,
	qt/qscilexerpov.h, qt/qscilexerproperties.cpp,
	qt/qscilexerproperties.h, qt/qscilexerpython.cpp,
	qt/qscilexerpython.h, qt/qscilexerruby.cpp, qt/qscilexerruby.h,
	qt/qscilexersql.cpp, qt/qscilexersql.h, qt/qscilexertex.cpp,
	qt/qscilexertex.h, qt/qscimacro.cpp, qt/qscimacro.h,
	qt/qscintilla.pro, qt/qsciprinter.cpp, qt/qsciprinter.h,
	qt/qsciscintilla.cpp, qt/qsciscintilla.h, qt/qsciscintillabase.cpp,
	qt/qsciscintillabase.h:
	Fixed the name of the generated source packages. Reorganised so that
	the header files are in a separate sub-directory. Updated the
	designer plugins and examples for the changing in header file
	structure. More work on autocompletion. Basic functionality is
	there, but no support for the "current context" yet.
	[312e74140bb8]

2006-11-04  phil  <phil>

	* designer-Qt4/qscintillaplugin.cpp:
	Designer plugin fixes for Qt4 from DavidB.
	[920f7af8bec6]

2006-11-03  phil  <phil>

	* qt/qscilexer.cpp:
	Fixed QsciLexer::setPaper() so that it also sets the background
	colour of the default style.
	[fcab00732d97]

2006-10-21  phil  <phil>

	* Makefile, qt/qsciapis.cpp, qt/qsciapis.h, qt/qsciscintilla.cpp:
	Switched the internal build system to Qt v3.3.7 and v4.2.1.
	Portability fixes for Qt3.
	[512b57958ea4]

2006-10-20  phil  <phil>

	* Makefile, build.py, include/Platform.h, lib/README.doc,
	qt/PlatQt.cpp, qt/qscimacro.cpp, qt/qscintilla.pro,
	qt/qsciscintilla.cpp:
	Renamed the base package QScintilla2. Platform portability fixes
	from Ulli. The qsci data directory is now installed (where API files
	will be kept).
	[2a61d65842fb]

2006-10-13  phil  <phil>

	* Python/sip/qsciscintilla.sip, qt/qscintilla.pro,
	qt/qscintilla_pt_br.qm, qt/qscintilla_pt_br.ts,
	qt/qscintilla_ptbr.qm, qt/qscintilla_ptbr.ts, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added QsciScintilla::linesChanged() from Detlev. Removed
	QsciScintilla::markerChanged(). Renamed the Brazilian Portugese
	translation files.
	[5b23de72e063]

	* Makefile, Python/sip/qscilexer.sip, qt/ListBoxQt.cpp,
	qt/ListBoxQt.h, qt/ScintillaQt.cpp, qt/qsciapis.cpp, qt/qsciapis.h,
	qt/qscilexer.cpp, qt/qscilexer.h, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	Added apiRemove(), apiProcessingStarted() and
	apiProcessingFinished() to QsciLexer.
	[ef2cb95b868a]

2006-10-08  phil  <phil>

	* qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Reset the text and paper colours and font when removing a lexer.
	[08ac85b34d80]

	* qt/qsciscintilla.cpp:
	Fixed Qt3 specific problem with most recent changes.
	[e4ba06e01a1e]

2006-10-06  phil  <phil>

	* Python/sip/qsciapis.sip, Python/sip/qscilexer.sip,
	Python/sip/qscimodcommon.sip, Python/sip/qsciscintilla.sip,
	qt/ListBoxQt.cpp, qt/SciClasses.cpp, qt/qsciapis.cpp, qt/qsciapis.h,
	qt/qscilexer.cpp, qt/qscilexer.h, qt/qscilexerbash.cpp,
	qt/qscilexerbash.h, qt/qscilexerbatch.cpp, qt/qscilexerbatch.h,
	qt/qscilexercpp.cpp, qt/qscilexercpp.h, qt/qscilexercsharp.h,
	qt/qscilexercss.cpp, qt/qscilexercss.h, qt/qscilexerdiff.cpp,
	qt/qscilexerdiff.h, qt/qscilexerhtml.cpp, qt/qscilexerhtml.h,
	qt/qscilexeridl.h, qt/qscilexerjavascript.h, qt/qscilexerlua.cpp,
	qt/qscilexerlua.h, qt/qscilexermakefile.cpp, qt/qscilexermakefile.h,
	qt/qscilexerperl.cpp, qt/qscilexerperl.h, qt/qscilexerpov.cpp,
	qt/qscilexerpov.h, qt/qscilexerproperties.cpp,
	qt/qscilexerproperties.h, qt/qscilexerpython.cpp,
	qt/qscilexerpython.h, qt/qscilexerruby.cpp, qt/qscilexerruby.h,
	qt/qscilexersql.cpp, qt/qscilexersql.h, qt/qscilexertex.cpp,
	qt/qscilexertex.h, qt/qsciscintilla.cpp, qt/qsciscintilla.h:
	Made QsciAPIs an internal class and instead added apiAdd(),
	apiClear() and apiLoad() to QsciLexer. Replaced
	setAutoCompletionStartCharacters() with
	setAutoCompletionWordSeparators() in QsciScintilla. Removed
	autoCompletionFillupsEnabled(), setAutoCompletionFillupsEnabled(),
	setAutoCompletionAPIs() and setCallTipsAPIs() from QsciScintilla.
	Added AcsNone to QsciScintilla::AutoCompletionSource. Horizontal
	scrollbars are displayed as needed in autocompletion lists. Added
	QsciScintilla::lexer(). Fixed setFont(), setColor(), setEolFill()
	and setPaper() in QsciLexer so that they handle all styles as
	documented. Removed all occurences of QString::null. Fixed the
	problem with indentation guides not changing when the size of a
	space changed. Added the QsciScintilla::markerChanged() signal.
	Updated the Python bindings.
	[9ae22e152365]

2006-10-01  phil  <phil>

	* qt/PlatQt.cpp:
	Fixed a silly line drawing bug.
	[0f9f5c22421a]

2006-09-30  phil  <phil>

	* qt/qscintilla.pro:
	Fixes for building on Windows and MacOS/X.
	[c16bc6aeba20]

2006-09-29  phil  <phil>

	* example-Qt4/application.pro, qt/PlatQt.cpp, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h, qt/qsciscintillabase.cpp:
	Fixed the documentation bug in QsciScintilla::insert(). Fixed the
	mouse shape changing properly. Fixed the drawing of fold markers.
	[08af64d93094]

2006-09-23  phil  <phil>

	* lib/README:
	Improved the README for the pedants amongst us.
	[683bdb9a84fc]

	* designer-Qt4/designer.pro, designer-Qt4/qscintillaplugin.cpp,
	designer-Qt4/qscintillaplugin.h:
	The Qt4 Designer plugin now loads - thanks to DavidB.
	[feb5a3618df6]

2006-09-16  phil  <phil>

	* build.py, designer-Qt3/designer.pro, designer-
	Qt3/qscintillaplugin.cpp, designer-Qt4/designer.pro, designer-
	Qt4/qscintillaplugin.cpp, designer/designer.pro,
	designer/qscintillaplugin.cpp, lib/README.doc, qt/qsciscintilla.h:
	Fixed the Qt3 designer plugin. Added the Qt4 designer plugin based
	on Andrius Ozelis's work. (But it doesn't load for me - does anybody
	else have a problem?)
	[3a0873ed5ff0]

2006-09-09  phil  <phil>

	* Python/sip/qsciscintilla.sip, qt/qsciscintilla.cpp,
	qt/qsciscintilla.h:
	QsciScintilla's setFont(), setColor() and setPaper() now work as
	expected when there is no lexer (and have no effect if there is a
	lexer).
	[65cc713d9ecb]

2006-08-28  phil  <phil>

	* qt/ListBoxQt.cpp, qt/PlatQt.cpp:
	Fixed a crash when double-clicking on an auto-completion list entry.
	[d8eecfc59ca2]

2006-08-27  phil  <phil>

